v0.8.2   			10-Jul-2006
----------------------------------------------------------------------------

2006-07-10 20:42 +0000 [r560656]  toma

	* digikam/version.h, digikam/digikam.lsm,
	  digikam/release_digikam_docs.rb, digikam/release_digikam.rb:
	  Prepare release

2006-07-05 14:55 +0000 [r558548]  cgilles

	* digikam/libs/widgets/imageregionwidget.cpp: set the right
	  background color when we use small pictures

2006-07-05 13:40 +0000 [r558497]  cgilles

	* digikam/libs/widgets/imageregionwidget.cpp: do not set "no
	  background" to the content widget else background will not be
	  re-generated properly with small pictures

2006-07-04 19:10 +0000 [r558143]  cgilles

	* digikam/libs/widgets/imageregionwidget.cpp: digiKam from stable:
	  no need a background with this widget

2006-06-27 13:24 +0000 [r555438]  cgilles

	* digikam/digikam/dragobjects.h: digikam from stable : backport
	  commit #555370 from trunk by 'binner' about duplicate parameter
	  names into drag object constructor ! IMPORTANT: this will fix
	  certainly any troubles with drag & drop under digiKam. Please
	  give me a report, especially about B.K.O files relevant...
	  CCMAIL: digikam-devel@kde.org, ach@mpe.mpg.de

2006-06-21 21:40 +0000 [r553734]  cgilles

	* digikam/NEWS: update

2006-06-21 21:31 +0000 [r553732]  cgilles

	* digikam/utilities/cameragui/gpcamera.cpp: digikam from stable :
	  fix initialization of CameraList object CCBUGS: 129610

2006-06-21 21:16 +0000 [r553730]  cgilles

	* digikam/configure.in.bot: fix url

2006-06-21 21:12 +0000 [r553728]  cgilles

	* digikam/utilities/setup/gpiface.cpp: digikam from stable : using
	  KDebug instead qwarning

2006-06-21 18:14 +0000 [r553691-553692]  cgilles

	* digikam/configure.in.bot: fix libkexif download url

	* digikam/README: Fix libkexif download url and version

2006-06-19 10:12 +0000 [r552862]  cgilles

	* digikam/kioslave/Makefile.am,
	  digikam/kioslave/digikamthumbnail.cpp: polish

2006-06-19 08:50 +0000 [r552830]  cgilles

	* digikam/kioslave/digikamthumbnail.cpp: digikam from stable : fix
	  value returned if dcraw thumb extraction failed

2006-06-12 23:05 +0000 [r550855]  uga

	* digikam/libs/dcraw/dcrawbinary.cpp: backport r550839

2006-06-09 14:27 +0000 [r549691]  cgilles

	* digikam/sqlite/Makefile.am: Fix warnings

2006-06-09 14:22 +0000 [r549690]  cgilles

	* digikam/utilities/imageeditor/imlibinterface.cpp: digikam from
	  trunk: fix gcc 4.1 warning

2006-06-09 13:51 +0000 [r549676]  cgilles

	* digikam/NEWS: update

2006-06-08 19:28 +0000 [r549483]  cgilles

	* digikam/NEWS, digikam/README: update

2006-06-08 19:22 +0000 [r549481]  cgilles

	* digikam/kioslave/Makefile.am,
	  digikam/kioslave/digikamthumbnail.cpp: digikam from stable : fix
	  thumbnail generation failed with DCR raw images. Note to
	  packagers : digiKAm 0.8.x is now depend of dcraw 8.x ! CCBUGS :
	  128283

2006-06-06 08:54 +0000 [r548671]  cgilles

	* digikam/libs/dcraw/dcraw_parse.cpp,
	  digikam/libs/dcraw/dcraw_parse.h: digikam from stable:
	  dcraw::parse bugfix : in rare case, if RAW file cannot be open,
	  FILE handler is wrong and digiKam can crash. CCMAIL:
	  digikam-devel@kde.org

2006-06-03 14:43 +0000 [r547836]  cgilles

	* digikam/HACKING: HACKING update : how to make a backtrace with
	  GDB.

2006-05-30 13:02 +0000 [r546573-546574]  cgilles

	* digikam/NEWS: update

	* digikam/utilities/cameragui/cameraui.cpp: digikam from stable :
	  check properlly the camera items extension before to add it in
	  mime type config using a lower char conversion. CCBUGS: 127697

2006-05-28 09:39 +0000 [r545731]  cgilles

	* digikam/kioslave/digikamthumbnail.h,
	  digikam/kioslave/digikamthumbnail.cpp: digiKam from stable: thumb
	  kioslave : no need static methods here.

2006-05-27 10:47 +0000 [r545326]  cgilles

	* digikam/kioslave/digikamthumbnail.cpp: digikam from stable:
	  always use thumbnails generated by digiKam kio slave, not kde
	  thumbnails generator. CCBUGS: 119946, 123742

2006-05-26 17:32 +0000 [r545051-545052]  cgilles

	* digikam/NEWS: update

	* digikam/digikam/albumfolderview.cpp: digikam from stable :
	  backport of commit #545017 by glaurent CCBUGS: 128069

2006-05-24 20:44 +0000 [r544443]  cgilles

	* digikam/showfoto/setupslideshow.cpp,
	  digikam/showfoto/showfoto.cpp: digikam from trunk : "toogle" to
	  "toggle" BUG: 127946

2006-05-19 09:58 +0000 [r542421-542422]  cgilles

	* digikam/NEWS: update

	* digikam/utilities/setup/setupexif.cpp: digikam from trunk : fix
	  setup message about exif-rotation actions witch can be confuse
	  for users. The image is not transformed, and is only displayed
	  rotated. BUG: 126335

2006-05-19 05:36 +0000 [r542353-542356]  cgilles

	* digikam/NEWS: update

	* digikam/digikam/albumlister.cpp: digikam from stable: fix wrong
	  cast between digikam album lister and kio slave CCBUGS: 127634

2006-05-17 15:03 +0000 [r541889]  cgilles

	* digikam/showfoto/Makefile.am: fix broken compilation

2006-05-17 14:57 +0000 [r541885-541886]  cgilles

	* digikam/NEWS: another one bug killed

	* digikam/utilities/cameragui/cameraui.cpp: digikam from stable :
	  no need to use parent widget to create the cameragui instance
	  like a real modal dialog. Now, you can minimize the camera dialog
	  during pictures download. CCMAIL: digikam-devel@kde.org BUG:
	  116485

2006-05-15 11:42 +0000 [r541017-541021]  cgilles

	* digikam/NEWS: update

	* digikam/TODO: cleanup

	* digikam/showfoto/TODO (removed): no dupplicate TODO

	* digikam/showfoto/showfoto.cpp, digikam/showfoto/mimetypes
	  (removed), digikam/showfoto/showfoto.desktop: digikam from stable
	  : showfoto and image/x-raw type mime : - removed x-raw.desktop
	  file in conflict with KDE3.5.2 - add a rule into
	  Showfoto::slotOpenFile() to detect witch KDE release we use : *
	  if KDE >= 3.5.2 --> we use image/x-raw pattern from KDE. * if KDE
	  < 3.5.2 --> we construct a new pattern from sctrach. IMPORTANT :
	  this code have been tested under Mandriva 2006.0 official using
	  KDE 3.4.2. It's untested with KDE > 3.4.2. Please give me a
	  feedback if all is ok to close this file ! CCMAIL:
	  digikam-devel@kde.org CCBUGS: 121242

2006-05-12 16:40 +0000 [r540108]  cgilles

	* digikam/digikam/digikamapp.cpp: digikam from stable : fix swapped
	  parameters for "Accelerator" and "MenuID" when QPopupMenu list is
	  created . CCBUGS: 124952

2006-05-11 14:13 +0000 [r539698]  ach

	* digikam/TODO: digikam stable: new TODO: install
	  x-image-raw.desktop only for KDE < 3.5.2

2006-05-10 22:42 +0000 [r539556]  ach

	* digikam/digikam/Makefile.am: digikam stable: install
	  digikam.desktop in applications/kde not in applnk/Graphics

2006-05-10 18:03 +0000 [r539440]  ach

	* digikam/release_digikam_cl.sh, digikam/digikam.lsm,
	  digikam/ChangeLog: digikam stable: prepare final(?) 0.8.2-rc1
	  tarball

v0.8.2-rc1   		10-May-2006
----------------------------------------------------------------------------

2006-05-10 13:55 +0000 [r539364]  ach

	* digikam/libs/jpegutils/Makefile.am: digikam stable: o disable
	  enable final for jpegutils/. Fixes bug 126326 when --enable-final
	  is used. Thx to Gilles for the hint.

2006-05-09 22:42 +0000 [r539204]  ach

	* digikam/version.h, digikam/NEWS, digikam/digikam.lsm,
	  digikam/PACKAGING, digikam/ChangeLog, digikam/release_digikam.rb:
	  digikam stable: prepare 0.8.2 rc1 release

2006-05-08 23:15 +0000 [r538809]  cgilles

	* digikam/libs/jpegutils/jpegmetadata.cpp: digikam from stable :
	  fix JFIF comments section encoding extraction to respect UTF8
	  CCMAIL: digikam-devel@kde.org CCBUGS: 120241

2006-05-03 14:59 +0000 [r536955]  cgilles

	* digikam/showfoto/mimetypes/x-raw.desktop: digikam from stable :
	  why tiff file is a RAW file here ???

2006-05-01 17:57 +0000 [r536254]  toma

	* digikam/libs/dcraw/dcrawbinary.cpp: fixed

2006-04-30 17:54 +0000 [r535907]  mwiesweg

	* digikam/utilities/imageeditor/imlibinterface.cpp: digikam stable
	  branch: Add write permission when copying permissions of original
	  file to temp file so that std::ofstream of temp file can open the
	  file. BUG: 118501

2006-04-30 17:10 +0000 [r535879]  mwiesweg

	* digikam/digikam/albummanager.cpp: digikam stable branch: Properly
	  create URL from filename. Backport commit 535877. BUG: 125926

2006-04-29 09:37 +0000 [r535317]  ach

	* digikam/version.h, digikam/release_digikam_cl.sh,
	  digikam/release_digikam.rb: digikam stable: prepare tarball for
	  testing

2006-04-29 09:11 +0000 [r535311]  cgilles

	* digikam/libs/widgets/imagepannelwidget.cpp: fix i18n

2006-04-27 08:39 +0000 [r534496-534497]  cgilles

	* digikam/utilities/cameragui/cameracontroller.cpp: Advanced debug
	  infos.

	* digikam/libs/jpegutils/exifrotate.cpp,
	  digikam/libs/jpegutils/exifrotate.h: digikam from stable :
	  ExifRotate : - Cleanup source code like in trunk branch. There
	  are no fondamental change about exif orientation rules use to
	  perform JPEG transformation. - Add a test to check we have a real
	  JPEG image like in trunk. - Add indeep debug messages Tested
	  indeep : i cannot reproduce the problem here. No Exif
	  informations are lost after rotation CCBUGS: 126326 CCMAIL:
	  digikam-devel@kde.org

2006-04-27 08:12 +0000 [r534478]  cgilles

	* digikam/digikam/albumfiletip.cpp: fix broken QT html syntax

2006-04-27 00:04 +0000 [r534392]  ach

	* digikam/libs/jpegutils/exifrotate.cpp,
	  digikam/utilities/cameragui/cameracontroller.cpp: digikam stable:
	  more debug output CCBUGS: 126326

2006-04-26 20:14 +0000 [r534302]  cgilles

	* digikam/libs/jpegutils/exifrotate.cpp: just add debug messages

2006-04-24 18:59 +0000 [r533419]  ach

	* digikam/release_digikam.rb: digikam stable: release_digikam.rb:
	  record svn rev used to create the tarball in RELEASE.rev

2006-04-24 14:12 +0000 [r533347]  cgilles

	* digikam/digikam/albumfiletip.cpp,
	  digikam/digikam/imagepropertiesgeneral.cpp,
	  digikam/digikam/imagepropertiesgeneral.h: digikam from stable :
	  added miising Rating info in Album item file tip dans image
	  properties dialog.

2006-04-23 12:39 +0000 [r532959]  cgilles

	* digikam/utilities/imageeditor/imlibinterface.cpp: digikam from
	  stable : something is broken with TIFF imlib2 loader with 16 bits
	  images. We using now KDE/Qt TIFF loader instead. Of course, in
	  stable svn branch, the image is converted to 8 bits. CCMAIL:
	  digikam-devel@kde.org

2006-04-21 11:07 +0000 [r532147]  cgilles

	* digikam/utilities/cameragui/umscamera.cpp: digikam from stable :
	  Fix broken thumbnail creation with USM camera with 16 bits TIFF
	  images unrecognized properly by dcraw::parse method like a real
	  tiff images. CCBUGS: 125916 CCMAIL: digikam-devel@kde.org

2006-04-20 07:29 +0000 [r531782]  cgilles

	* digikam/kioslave/digikamthumbnail.h,
	  digikam/kioslave/digikamthumbnail.cpp: digikam from stable : Fix
	  broken thumbnail creation by digiKam KIO-slave with 16 bits TIFF
	  images unrecognized properly by dcraw::parse method like a real
	  tiff images. CCBUGS: 125916 CCMAIL: digikam-devel@kde.org


v0.8.2-beta1   		19-Apr-2006
----------------------------------------------------------------------------

2006-04-20 00:54 +0000 [r531740]  ach

	* digikam/AUTHORS, digikam/release_digikam.rb: digikam stable: o
	  release_digikam.rb: move NEWS to toplevel dir: it contains now
	  something useful o AUTHORS: move Tom and Joern to old
	  contributors. Let me thank you for all the work you spend on
	  digikam development. We'll miss you. In fact we do already ;)

2006-04-20 00:29 +0000 [r531738]  ach

	* digikam/NEWS: digikam stable: added 0.8.2-beta1 infos to NEWS
	  file If no showstopper is found this will be 0.8.2-beta1 CCMAIL:
	  digikam-devel@kde.org

2006-04-19 21:28 +0000 [r531702]  ach

	* digikam/release_digikam_cl.sh, digikam/ChangeLog,
	  digikam/release_digikam.rb: digikam stable: more 0.8.2-beta1
	  preparation

2006-04-18 09:51 +0000 [r530992]  cgilles

	* digikam/utilities/imageeditor/imlibinterface.cpp: digikam from
	  stable : image editor imlib2 interface: to detect image file
	  format, we parse file extension in first, and in second, we parse
	  file header. This way is mandatory because some TIFF files are
	  detected like RAW files by dcraw::parse method. Please, update
	  svn and give me a feedback (:=)))... CCMAIL:
	  digikam-devel@kde.org, frank@birnstiel.org, dudasg@freemail.hu

2006-04-18 09:51 +0000 [r530990-530992]  cgilles

	* digikam/utilities/imageeditor/imlibinterface.cpp: digikam from
	  stable : image editor imlib2 interface: to detect image file
	  format, we parse file extension in first, and in second, we parse
	  file header. This way is mandatory because some TIFF files are
	  detected like RAW files by dcraw::parse method. Please, update
	  svn and give me a feedback (:=)))... CCMAIL:
	  digikam-devel@kde.org, frank@birnstiel.org, dudasg@freemail.hu

	* digikam/libs/dcraw/dcrawbinary.cpp,
	  digikam/libs/dcraw/dcrawbinary.h: digikam from stable : always
	  use visibility class declaration in digikam/libs to prevent
	  broken compilation with this mode CCMAIL: marcel.wiesweg@gmx.de

2006-04-14 19:53 +0000 [r529912]  mwiesweg

	* digikam/digikam/albumiconview.cpp, digikam/digikam/main.cpp,
	  digikam/digikam/digikamapp.cpp, digikam/showfoto/main.cpp,
	  digikam/libs/dcraw/dcrawbinary.cpp (added),
	  digikam/libs/dcraw/Makefile.am,
	  digikam/utilities/imageeditor/imlibinterface.cpp,
	  digikam/libs/dcraw/dcrawbinary.h (added): digikam stable branch:
	  Backport dcraw autodetection from trunk CCMAIL:
	  digikam-devel@kde.org

2006-04-12 09:36 +0000 [r528980]  cgilles

	* digikam/utilities/cameragui/renamecustomizer.cpp: digikam from
	  stable : cameragui : rename customizer widget : renaming image
	  file names with more command line readable strings format CCBUGS
	  : 124939

2006-04-11 07:13 +0000 [r528472]  cgilles

	* digikam/utilities/cameragui/cameracontroller.cpp: Fix valgrind
	  warnings : use uninitialized value

2006-04-07 07:24 +0000 [r527172]  cgilles

	* digikam/kioslave/digikamthumbnail.cpp: digikam from stable:
	  backport Marcel patch from trunk : Allow reading JPEG files in
	  CMYK color spaces The image data will be converted to RGB in the
	  most simple way as Qt does it. (For full colorspace independence,
	  use Krita.) This commit fix thumbnail ioslave only, not image
	  editor that use imlib2 for that. CCMAIL: digikam-devel@kde.org

2006-04-07 06:45 +0000 [r527168]  cgilles

	* digikam/kioslave/digikamthumbnail.cpp: digikam from stable :
	  process exif auto-rotation before to save thumbnail file in
	  ~/.thumbnails. This way is homogenous with konqueror. CCMAIL:
	  digikam-devel@kde.org CCBUGS: 123742

2006-04-06 00:11 +0000 [r526933]  ach

	* digikam/PACKAGING: digikam stable: PACKAGING: NEWS files needs to
	  be merged too

2006-04-06 00:06 +0000 [r526930]  ach

	* digikam/PACKAGING, digikam/AUTHORS: digikam stable: o PACKAGING:
	  add not about sync from stable of release_ and changelog for
	  tarballs from trunk o AUTHOR: fix typo and missing \n

2006-04-05 23:44 +0000 [r526927]  ach

	* digikam/release_digikam_cl.sh (added), digikam/PACKAGING,
	  digikam/ChangeLog: digikam stable: o add script to generate new
	  ChangeLog entries o update PACKAGING instructions accordingly o
	  add 0.8.2-beta1 entries to ChangeLog

2006-04-05 21:24 +0000 [r526895]  ach

	* digikam/version.h, digikam/digikam.lsm, digikam/TODO,
	  digikam/release_digikam.rb: digikam stable: o start preparing
	  0.8.2-beta1 release o TODO: commit notes about media:. On my disk
	  for ages.

2006-04-04 11:41 +0000 [r526298]  cgilles

	* digikam/digikam/iconview.cpp: digikam from trunk : bugfix :
	  cleanup whatthis image info when album content is scroll with
	  keys CCMAIL: digikam-devel@kde.org CCBUGS: 120053

2006-04-04 11:29 +0000 [r526293]  cgilles

	* digikam/digikam/iconview.cpp: digikam from stable : bugfix :
	  cleanup whatthis image info when album content is scroll with the
	  mouse CCMAIL: digikam-devel@kde.org CCBUGS: 120052

2006-03-31 19:21 +0000 [r525080-525081]  cgilles

	* digikam/digikam/digikamview.cpp: compile

	* digikam/digikam/digikamview.cpp: digikam from stable : fix
	  sidebar sizes and splitter border attributes from main interface.
	  CCBUGS: 115460

2006-03-31 11:49 +0000 [r524853]  cgilles

	* digikam/utilities/imageeditor/imagepluginloader.cpp: digikam from
	  stable : bug fix : enable all Image Editor/Showfoto image plugins
	  by default in setup dialog. CCMAIL : digikam-devel@kde.org CCBUGS
	  : 116248

2006-03-26 07:27 +0000 [r522589]  cgilles

	* digikam/kioslave/digikamtags.cpp,
	  digikam/kioslave/digikamdates.cpp,
	  digikam/kioslave/digikamalbums.cpp,
	  digikam/kioslave/digikamsearch.cpp: Digikam from stable : Fix
	  wrong cast into kioslave. This bug crash digikam during album
	  item thumbs rendering or stop it to the first item of each album
	  Nota : these patch have been already applied to trunk branch
	  (0.9.0-svn) CCMAIL: digikam-devel@kde.org CCBUGS: 121905

2006-03-20 12:36 +0000 [r520584]  cgilles

	* digikam/digikam/albumiconview.cpp, digikam/digikam/digikamview.h,
	  digikam/digikam/digikamapp.cpp, digikam/digikam/albumiconview.h,
	  digikam/digikam/digikamapp.h, digikam/digikam/digikamview.cpp,
	  digikam/libs/histogram/imagehistogram.cpp: digikam from stable :
	  Rating image using keyboard shortcuts CTRL+0/1/2/3/4/5 from main
	  interface CCMAIL: digikam-devel@kde.org CCBUGS: 123646

2006-03-06 08:17 +0000 [r516187]  cgilles

	* digikam/kioslave/digikamthumbnail.cpp,
	  digikam/kioslave/exiforientation_p.h (removed): digikam from
	  stable : Fix Exif auto-rotate thumbnails method in kioslave to
	  use libKexif instead embedded implementation. CCMAIL:
	  digikam-devel@kde.org CCBUGS: 119946

2006-02-12 19:46 +0000 [r508806]  toma

	* digikam/digikam/albumpropsedit.cpp: Backport different wording

2006-02-12 19:36 +0000 [r508803-508804]  toma

	* digikam/showfoto/showfoto.cpp: backport SVN commit 495808 by
	  mhunter: Typographical corrections and changes skipped:
	  utilities/imageeditor/editor/imagewindow.cpp

	* digikam/digikam/scanlib.cpp,
	  digikam/libs/widgets/imagepannelwidget.cpp: Backport SVN commit
	  495834 by mhunter: Typographical corrections and changes (skipped
	  imagedescedittap.cpp as this does not exists)

2006-02-12 19:29 +0000 [r508796]  toma

	* digikam/digikam/digikamapp.cpp: Comment out part so it compiles
	  again for lower kdelibs. Feature is now officially broken of
	  course.

2006-02-12 19:04 +0000 [r508791]  toma

	* digikam/digikam/albumdb.cpp, digikam/digikam/albumpropsedit.cpp,
	  digikam/digikam/albumdb.h, digikam/digikam/albumpropsedit.h:
	  backport SVN commit 508790 by toma: Add two other buttons to the
	  property settings of the album. Lowest and Highest date. CCBUG:
	  120963

2006-02-09 16:00 +0000 [r507591]  cgilles

	* digikam/utilities/imageeditor/imlibinterface.cpp: digikam from
	  stable : using uchar bytes array always working to detect
	  JPEG/TIFF file format. CCBUGS: 121646

2006-02-09 14:27 +0000 [r507545]  cgilles

	* digikam/utilities/imageeditor/imlibinterface.cpp: digiKam from
	  stable (0.8.2) : using KFileMetaInfo in imlib2 interface to get
	  image mime type from JPEG and PNG file format to prevent any
	  endianess problems with JPEG file under PPC. Please report me if
	  all is right now. CCBUG : 121646

2006-02-09 10:12 +0000 [r507467]  cgilles

	* digikam/utilities/cameragui/umscamera.cpp: digiKam from stable :
	  fix upper THM extension

2006-02-06 16:35 +0000 [r506377-506378]  cgilles

	* digikam/utilities/cameragui/umscamera.cpp: oups compile!

	* digikam/utilities/cameragui/umscamera.cpp: digikam from stable :
	  USM camera bug fix : if THM file exist with a camera item, well
	  remove it also when camera item is deleted. Tested with my Dynax
	  5D. CCMAIL : digikam-devel@kde.org

2006-02-05 20:45 +0000 [r506139]  cgilles

	* digikam/libs/dcraw/rawfiles.h: why 'jpg' and 'tif' mime types are
	  includes in RAW file mime types ?

2006-02-03 21:03 +0000 [r505430]  toma

	* digikam/kioslave/digikamsearch.cpp: I'm very sorry I made the
	  search as good as useless in 0.8.1. I hope this fixes this issue
	  (thanks for the hint Maxime). Can anyone fonfirm that? BUG:
	  120479,120775

2006-02-03 11:17 +0000 [r505168]  cgilles

	* digikam/utilities/cameragui/umscamera.cpp: digikam from stable :
	  CameraGUI : backport method to get thumbnails from .THM files
	  with USM cameras CCMAIL: digikam-devel@kde.org

2006-01-29 15:52 +0000 [r503563]  cgilles

	* digikam/utilities/setup/cameraselection.cpp: Digikam 0.9.0 from
	  stable : why using a private QLabel member and using a local
	  QLabel instance instead ?

2006-01-25 07:05 +0000 [r502188]  cgilles

	* digikam/imageplugins/imageeffect_sharpen.cpp,
	  digikam/imageplugins/imageeffect_blur.cpp: digikam from stable :
	  do not render preview effect if final rendering is already in
	  progress in image. CCBUG: 120736

2006-01-23 10:23 +0000 [r501539]  cgilles

	* digikam/digikam/albumiconview.cpp,
	  digikam/digikam/albumicongroupitem.cpp,
	  digikam/digikam/digikamapp.cpp, digikam/digikam/folderview.cpp,
	  digikam/digikam/Makefile.am, digikam/digikam/albumiconitem.cpp,
	  digikam/digikam/ratingwidget.cpp: digikam from stable : compile
	  using Digikam namespace with ThemeEngine class

2006-01-23 09:04 +0000 [r501523-501525]  cgilles

	* digikam/libs/themeengine/Makefile.am,
	  digikam/libs/themeengine/themeengine.cpp,
	  digikam/libs/themeengine/themeengine.h,
	  digikam/libs/themeengine/texture.cpp,
	  digikam/libs/themeengine/theme.cpp,
	  digikam/libs/themeengine/texture.h,
	  digikam/libs/themeengine/theme.h: digikam from stable : backport
	  Theme engine from trunk to sync implementation. No change here,
	  just using 'd' private internal class.

	* digikam/libs/widgets/sidebar.h, digikam/libs/widgets/sidebar.cpp:
	  digikam from stable : backport SideBar from trunk to sync
	  implementation. No change here, just using 'd' private internal
	  class.

	* digikam/libs/widgets/colorgradientwidget.cpp,
	  digikam/libs/widgets/colorgradientwidget.h: digikam from stable :
	  backport ColorGradientWidget from trunk witch improving color
	  gradient rendering

2006-01-22 19:56 +0000 [r501405]  cgilles

	* digikam/version.h, digikam/digikam.lsm: bump to 0.8.2-svn

2006-01-22 19:52 +0000 [r501399-501400]  cgilles

	* digikam/AUTHORS: update

	* digikam/utilities/splashscreen/digikam-splash.png: digikam from
	  stable : digikam 0.8.2 splash from Andrea Gagliardi CCMAIL:
	  andrea at euronia dot it

2006-01-22 19:23 +0000 [r501389]  cgilles

	* digikam/showfoto/pics/showfoto-splash.png: digikam from stable :
	  showfoto 0.3.2 spash from Julien Narboux CCMAIL:
	  Julien.Narboux@inria.fr

2006-01-22 17:02 +0000 [r501339]  cgilles

	* digikam/AUTHORS, digikam/showfoto/pics/showfoto-splash.png:
	  update

2006-01-17 21:40 +0000 [r499465]  ach

	* digikam/kioslave/Makefile.am, digikam/kioslave/parse.c (removed):
	  digikam trunk: remove kioslave/parse.c no longer needed.

2006-01-17 12:28 +0000 [r499258]  cgilles

	* digikam/digikam/pics/Makefile.am: cleanup

2006-01-17 12:05 +0000 [r499246]  cgilles

	* digikam/digikam/pics/Makefile.am: digikam from stable : no need
	  to have different rule to install rating icon. CCMAIL:
	  ach@mpe.mpg.de, ntung@free.fr


v0.8.1   		18-01-2006
----------------------------------------------------------------------------
2006-01-16 toma
    * disabled media support for 0.8.1

2006-01-16 01:23  ach

	* branches/stable/extragear/graphics/digikam/utilities/Makefile.am:
	   digikam stable: disable installation of media service menu
	  	support files.  Digikam media support not ready for
	  	0.8.1 release.

2006-01-16 00:24  ach

	* branches/stable/extragear/graphics/digikam/utilities/hotplug/digikam-camera:
	   digikam stable: backport of brown pager bag commit r498720 of
	  	digikam-camera: Fixed: second instance of digikam always
	  	started when one is already running.

2006-01-15 13:55  ach

	* branches/stable/extragear/graphics/digikam/utilities/Makefile.am,
	   branches/stable/extragear/graphics/digikam/utilities/hotplug, 
	  branches/stable/extragear/graphics/digikam/utilities/hotplug/Makefile.am,
	   
	  branches/stable/extragear/graphics/digikam/utilities/hotplug/configure.in.in,
	   
	  branches/stable/extragear/graphics/digikam/utilities/hotplug/digikam-camera,
	   
	  branches/stable/extragear/graphics/digikam/utilities/hotplug/digikam-download.desktop.in,
	   
	  branches/stable/extragear/graphics/digikam/utilities/hotplug/digikam-gphoto2-camera.desktop.in,
	   
	  branches/stable/extragear/graphics/digikam/utilities/hotplug/digikam-mount-and-download.desktop.in:
	   digikam stable: new digikam media services and helper script

2006-01-15 01:00  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	   
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.h, 
	  branches/stable/extragear/graphics/digikam/utilities/cameragui/cameraui.cpp,
	   
	  branches/stable/extragear/graphics/digikam/utilities/cameragui/cameraui.h:
	   Auto unmount the camera if it was unmounted before. Needs 
	  testing....

2006-01-14 22:38  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp:
	   Achim always makes digiKam crash...

2006-01-12 11:14  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp,
	   
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.h:
	   digikam from stable : backport commits #496058 and #496316 from 
	  trunk:
	  
	  SVN commit 496058 by cgilles:
	  digikam from trunk : simplify and fix dirty image flag if 
	  current image has changed. Removed m_dirtyImage flag witch 
	  cannot be use properly with any flag event from canvas (race 
	  condition). Sometimes IE/showfoto said if user want saving 
	  current image more than one time...
	  
	  SVN commit 496316 by cgilles: 
	  digikam from trunk : IE/ Showfoto : if current image is read 
	  only (RAW file for example), we need to use saveAs() method 
	  instead save() method.
	  
	  CCMAIL: digikam-devel@kde.org
	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp,
	   branches/stable/extragear/graphics/digikam/showfoto/showfoto.h: 
	  digikam from stable : backport commits #496058 and #496316 from 
	  trunk:
	  
	  SVN commit 496058 by cgilles:
	  digikam from trunk : simplify and fix dirty image flag if 
	  current image has changed. Removed m_dirtyImage flag witch 
	  cannot be use properly with any flag event from canvas (race 
	  condition). Sometimes IE/showfoto said if user want saving 
	  current image more than one time...
	  
	  SVN commit 496316 by cgilles: 
	  digikam from trunk : IE/ Showfoto : if current image is read 
	  only (RAW file for example), we need to use saveAs() method 
	  instead save() method.
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-12 06:35  cgilles

	* branches/stable/extragear/graphics/digikam/libs/dcraw/dcraw_parse.cpp:
	   digikam from stable : fix unclosed file if dcraw parse method 
	  failed
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-12 00:01  ach

	* branches/stable/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	   digikam stable: use Tung's new albumfoldernew icon
	  	in RMB menu of albumfolderview too. Looks
	  	better and is consistent with task bar.

2006-01-11 22:34  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp:
	   Disable the media-feature. It is not finished and has awkward 
	  corner cases...

2006-01-11 22:16  toma

	* branches/stable/extragear/graphics/digikam/ChangeLog, 
	  branches/stable/extragear/graphics/digikam/PACKAGING, 
	  branches/stable/extragear/graphics/digikam/digikam.lsm, 
	  branches/stable/extragear/graphics/digikam/release_digikam.rb: 
	  Prep for release

2006-01-11 18:20  cgilles

	* branches/stable/extragear/graphics/digikam/AUTHORS: update

2006-01-11 18:11  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/splashscreen/digikam-splash.png:
	   Digikam from stable : new digikam 0.8.1 splashscreen from  
	  Andrea Gagliardi
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-11 10:47  cgilles

	* branches/stable/extragear/graphics/digikam/digikam/main.cpp: fix 
	  date

2006-01-11 10:46  cgilles

	* branches/stable/extragear/graphics/digikam/digikam.lsm, 
	  branches/stable/extragear/graphics/digikam/version.h: fix 
	  release number

2006-01-11 10:44  cgilles

	* branches/stable/extragear/graphics/digikam/showfoto/main.cpp: 
	  fix release number

2006-01-11 10:41  cgilles

	* branches/stable/extragear/graphics/digikam/AUTHORS: fix

2006-01-11 10:39  cgilles

	* branches/stable/extragear/graphics/digikam/AUTHORS: update

2006-01-11 10:38  cgilles

	* branches/stable/extragear/graphics/digikam/showfoto/pics/showfoto-splash.png:
	   digikam from stable : updated 0.3.1 showfoto splashscreen from  
	  Maxime Delorme
	  CCMAIL: digikam-devel@kde.org

2006-01-11 07:27  cgilles

	* branches/stable/extragear/graphics/digikam/AUTHORS: digikam from 
	  stable : updated authors list for 0.8.x serie

2006-01-11 01:57  ach
	
	* all png files...
	    digikam stable branch:  Add new iconset contributed
	  	by  Tung NGUYEN <ntung@free.fr>. Thanks!

2006-01-10 11:47  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	   digikam from stable : IE saveAs() method : we will use current 
	  image filename to set default filename in saveAs dialog.
	  
2006-01-10 11:46  cgilles

	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp:
	   digikam from stable : Showfoto saveAs() method : we will use 
	  current image filename to set default filename in saveAs dialog.
	  
2006-01-09 12:32  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	   digikam from stable : IE/showfoto bug fix about image file 
	  format pattern to use in saveAs method

2006-01-08 20:24  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	   
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.h: 
	  Add even more support for the media kioslave:
	  o Menu entry under camera lists all media devices attached at 
	  that moment, it will update the info everytime you expand the 
	  menu.
	  o Fix: dont plugin the same entry in the menu more then once 
	  (directly under camera menu)
	  o When a media:/ device is not yet mounted, it will mount it.
	  
	  It is really difficult for me to test all corner cases. It would 
	  be great if some people could give feedback. I will mark this 
	  feature experimental in the release mail or remove it when there 
	  is no feedback.
	  CCMAIL: digikam-devel@kde.org

2006-01-08 13:38  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp:
	   Fix compile KDE < 3.5

2006-01-07 22:46  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp:
	   SVN_SILENT typo

2006-01-07 22:41  toma

	* branches/stable/extragear/graphics/digikam/digikam/dcopiface.cpp,
	   branches/stable/extragear/graphics/digikam/digikam/dcopiface.h, 
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	   
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.h: 
	  - Add a second dcop call, which makes it possible to open up the 
	  camera dialog at a location
	  - Added a subroutine from k3b which converts system:/ and 
	  media:/ etc. to a abs path, this makes 
	    it possible to use digiKam in combination with a service menu 
	  when a camera is inserted in the 
	    system. Thanks to Albert Astals Cid for the idea how to do 
	  this.
	  CCMAIL: aacid@kde.org

2006-01-05 06:23  scripty

	* branches/stable/extragear/graphics/digikam/showfoto/mimetypes/x-raw.desktop:
	   SVN_SILENT made messages (.desktop file)

2006-01-04 23:24  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	   
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.h, 
	  branches/stable/extragear/graphics/digikam/digikam/main.cpp: Add 
	  a command line option to digiKam so you can start the camera 
	  dialog at a certain path. Now you can do digikam --download-from 
	  /a/path/to/camera. This can be used in conjuction with a media:/ 
	  service menu so you can automatically start digiKam and open up 
	  the camera.... 
	  CCMAIL:digikam-devel@kde.org

2006-01-04 00:11  ach

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp:
	   digikam stable: backport from trunk:
	  	give the dcop if a meaningful name:
	          'camera' instead of 'DCOPIface'.

2006-01-03 15:48  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp:
	   Digikam from stable : find a solution to solve command line 
	  incompatibility between old dcraw release and last dcraw release 
	  about -q option. No need to backport RAW file decoding options 
	  from trunk!
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-03 14:22  cgilles

	* branches/stable/extragear/graphics/digikam/libs/dcraw/README: fix

2006-01-02 20:21  toma

	* branches/stable/extragear/graphics/digikam/digikam/scanlib.cpp, 
	  branches/stable/extragear/graphics/digikam/digikam/scanlib.h, 
	  branches/stable/extragear/graphics/digikam/utilities/cameragui/cameraui.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/cameragui/cameraui.h:
	   Backport of the fix for the camergui:
	  When a directory is created, a watch is put on it to spot new 
	  files 
	  but it can occur that the file is copied there before the watch 
	  is 
	  completely setup. That is why as an extra safeguard run scanlib 
	  over the folders we used when the cameragui is closed. 
	  CCBUG: 119201

2006-01-02 18:11  toma

	* branches/stable/extragear/graphics/digikam/libs/jpegutils/transupp.cpp:
	   Restore the possibility to compile with --enable-final. Would 
	  be nice to know if some people confirmed.
	  CCMAIL: digikam-devel@kde.org

2006-01-02 16:39  toma

	* branches/stable/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp:
	   Backport of SVN commit 493185 by cgilles:
	  
	  > digikam from trunk : no need to redraw image guide widget 
	  content if mouse
	  > is not released. This is reduce CPU time require to redraw 
	  content.

2006-01-02 16:20  toma

	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	   Mimetypes is already a QStringList in this branch, error from 
	  me in backporting code from trunk.

2006-01-01 23:57  toma

	* branches/stable/extragear/graphics/digikam/libs/filters/imagefilters.cpp:
	   Rename a variable, because it is also the name of a class, 
	  which collides when using --enable-final.

2006-01-01 16:32  toma

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	   Backport of SVN commit 492900 by cgilles:
	  
	  digikam from trunk : missing to check in saveAs method if user 
	  image file extension is supported by Image editor.

2006-01-01 16:28  toma

	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp:
	   backport of SVN commit 492902 by cgilles:
	  
	  digikam from trunk : missing to check in saveAs method if user 
	  image file extension is supported by showfoto.

2006-01-01 09:52  cgilles

	* branches/stable/extragear/graphics/digikam/digikam/albumiconview.cpp:
	   Digikam 0.9.0 from stable : fix RAW file support backported 
	  from trunk. Launch image editor if RAW file is selected to open 
	  from an album.
	  CCMAIL: digikam-devel@kde.org

2006-01-01 09:17  cgilles

	* branches/stable/extragear/graphics/digikam/kioslave/Makefile.am: 
	  fix linking

2006-01-01 08:58  cgilles

	* branches/stable/extragear/graphics/digikam/kioslave/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/kioslave/digikamthumbnail.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.h:
	   Digikam 0.9.0 from stable : fix RAW file support backported 
	  from trunk. Removed static dcraw_parse method depency and added 
	  an image file format analys in imlibinterface to prevent any 
	  loading order problem with dcraw.
	  CCBUG: 119315
	  CCMAIL: digikam-devel@kde.org

2006-01-01 08:41  cgilles

	* branches/stable/extragear/graphics/digikam/libs/dcraw/README, 
	  branches/stable/extragear/graphics/digikam/libs/dcraw/parse_old.c:
	   remove old implementation. 
	  add any comments

2005-12-30 22:30  toma

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	   Backport of SVN commit 492732 by 
	  cgilles-still-on-vacation-in-italy-but-i-thing-we-must-disable-his-account:
	  digikam from trunk : Image editor BUGFIX in SaveAs method : when 
	  an user set an image file name with an extension without using 
	  mime type combo list from save as dialog, we need to check this 
	  file name extension before to perform image saving, else image 
	  editor will failed.

2005-12-30 22:24  toma

	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp:
	   backport of SVN commit 492733 by cgilles:
	  
	  digikam from trunk : Showfoto BUGFIX in SaveAs method : when an 
	  user set an image file name with an extension without using mime 
	  type combo list from save as dialog, we need to check this file 
	  name extension before to perform image saving, else image editor 
	  will failed.

2005-12-30 13:15  cgilles

	* branches/stable/extragear/graphics/digikam/digikam/pics/histogram-lin.png,
	  branches/stable/extragear/graphics/digikam/digikam/pics/histogram-log.png,
	  branches/stable/extragear/graphics/digikam/digikam/pics/image-full.png,
	  branches/stable/extragear/graphics/digikam/digikam/pics/image-selection.png:
	   digikam from stable : optimize icons size
	  CCMAIL: digikam-devel@kde.org

2005-12-29 23:37  jahrens

	* branches/stable/extragear/graphics/digikam/digikam/folderview.cpp:
	   backported...
	  CCBUG: 117401

2005-12-29 21:10  toma

	* branches/stable/extragear/graphics/digikam/digikam/kipiinterface.cpp:
	   backport
	  
	  r492401 | toma | 2005-12-29 21:51:32 +0100 (do, 29 dec 2005) | 4 
	  lines
	  
	  Make the kipi plugins also work on all images in a search folder 
	  or date folder.
	  CCBUG: 116520

2005-12-29 18:42  toma

	* branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.h, 
	  branches/stable/extragear/graphics/digikam/digikam/digikamui.rc: 
	  Backport of SVN commit 492366 by toma:
	  
	  Add a rescan possibility to the menu, so you dont have to close 
	  and start digiKam again when the app does not detect changes in 
	  the album library path (which it should detect in all cases by 
	  the way, so if you spot a logic, please open a new bugreport)
	  
	  Also makes it possible to turn off scan at start in the settings 
	  and do it manually when needed, this will gain a bit in the 
	  startup time of digiKam.
	  
	  CCBUG: 119073

2005-12-29 13:38  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp:
	   digikam from stable : using -q dcraw option to decode RAW file 
	  under Image Editor is better than -h : right image size, good 
	  image quality, and suitable image decoding speed.
	  CCMAIL: digikam-devel@kde.org

2005-12-26 20:20  toma

	* branches/stable/extragear/graphics/digikam/digikam/upgradedb_sqlite2tosqlite3.cpp,
	  branches/stable/extragear/graphics/digikam/kioslave/sqlitedb.cpp:
	   backport of the fix for --enable-nfs-hack

2005-12-26 18:12  toma

	* branches/stable/extragear/graphics/digikam/libs/dcraw/Makefile.am,
	  branches/stable/extragear/graphics/digikam/libs/dcraw/dcraw_parse.cpp,
	  branches/stable/extragear/graphics/digikam/libs/dcraw/dcraw_parse.h,
	  branches/stable/extragear/graphics/digikam/utilities/cameragui/Makefile.am,
	  branches/stable/extragear/graphics/digikam/utilities/cameragui/umscamera.cpp:
	   - Copy over the dcraw_parse.* files from trunk, needed for the 
	  backport of 491071
	  - backport SVN commit 491071 by cgilles: Camera Interface can 
	  display RAW file thumbnails.

2005-12-26 15:03  toma

	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  branches/stable/extragear/graphics/digikam/showfoto/showfotoui.rc:
	   Backport (SVN commit 491561 by toma: Several changes which make 
	  sure the open file and open folder dialog always open in the 
	  last used folder.)

2005-12-22 19:08  gianni

	* branches/stable/extragear/graphics/digikam/showfoto/mimetypes/x-raw.desktop:
	   PNG, GIF, JPEG, MNG and BMP cannot be RAW images. We need to 
	  open and previe into Konqueror. This commit fix it.
	  CCMAIL:caulier.gilles@free.fr,tomalbers@kde.nl

2005-12-21 03:49  mueller

	* branches/stable/extragear/graphics/digikam/kioslave/digikamthumbnail.cpp,
	   
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp:
	   fix shell quoting

2005-12-19 19:07  toma

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imageprint.cpp:
	   backport SVN commit 489461 by alund:
	  Reorganize the print dialog so that the widgets for configuring 
	  an exact size works like a sencence:
	  o Scale to exact size:
	  [  ] x [  ] [Centimeters v]

2005-12-19 10:55  jahrens

	* branches/stable/extragear/graphics/digikam/digikam/tagfolderview.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/tagspopupmenu.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/tagspopupmenu.h:
	   Backported the patch from Craig Howard to stable branch.
	  CCBUG: 113807

2005-12-19 10:32  jahrens

	* branches/stable/extragear/graphics/digikam/digikam/tagfilterview.cpp:
	   Adding the "Not Tagged" entry, when the tag filter was cleared.
	  (backported to stable branch)
	  BUG: 116343


2005-12-19 00:06  toma

	* branches/stable/extragear/graphics/digikam/digikam, 
	  branches/stable/extragear/graphics/digikam/digikam/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/digikam/dcopiface.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/dcopiface.h, 
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.h: 
	  backport: SVN commit 489526 by toma:
	  Patch received from Leonid Zeitlin:
	  Adds a dcop possibility for digiKam, so the hotplug script can 
	  send a DCOP call to a running instance of DigiKam to show the
	  camera dialog. Needed to prevent starting another digiKam 
	  instance.

2005-12-18 23:46  toma

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imageprint.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imageprint.h:
	   backport from trunk: a patch wich adds the auto-rotate page 
	  option for printing from Anders Lund 

2005-12-18 01:58  toma

	* branches/stable/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  branches/stable/extragear/graphics/digikam/showfoto/showfoto.h, 
	  branches/stable/extragear/graphics/digikam/showfoto/showfotoui.rc,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imagewindow.h:
	   Changes to handle raw support properly. Raw support has 
	  completed.

2005-12-18 01:07  jahrens

	* branches/stable/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/albumiconview.h:
	   Added copy/paste to AlbumIconView (backported to 0.8 from trunk)
	  Now its possible to copy images from outside digikam (like 
	  konqi) or between albums via copy/paste.
	  
	  Todo: cut

2005-12-18 00:19  toma

	* branches/stable/extragear/graphics/digikam/digikam/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/showfoto/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/Makefile.am:
	   Finally it compiles!!!!!

2005-12-17 20:58  toma

	* branches/stable/extragear/graphics/digikam/digikam/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/libs/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/libs/dcraw, 
	  branches/stable/extragear/graphics/digikam/showfoto/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/showfoto/mimetypes, 
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/Makefile.am,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/canvas.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/canvas.h,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.h:
	   First step of 8 bit raw support. It does not link properly yet, 
	  but Gilles will look at that later tonight.

2005-12-15 09:57  cgilles

	* branches/stable/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp:
	   Optimize sharpen settings.

2005-12-15 09:53  cgilles

	* branches/stable/extragear/graphics/digikam/libs/filters/sharpen.cpp:
	   Fix memory leak. Thanks Mr valgrind

2005-12-15 09:29  cgilles

	* branches/stable/extragear/graphics/digikam/themes/Dessert, 
	  branches/stable/extragear/graphics/digikam/themes/Makefile.am: 
	  import Dessert theme from trunk 

2005-12-07 19:00  toma

	* branches/stable/extragear/graphics/digikam/digikam/imageproperties.cpp:
	   Mike Seymour sent us this patch for < KDE 3.3

2005-12-05 17:15  toma

	* branches/stable/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/searchquickdialog.cpp,
	  branches/stable/extragear/graphics/digikam/imageplugins/imageeffect_bcg.cpp,
	  branches/stable/extragear/graphics/digikam/imageplugins/imageeffect_hsl.cpp,
	  branches/stable/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  branches/stable/extragear/graphics/digikam/imageplugins/imageeffect_rgb.cpp,
	  branches/stable/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  branches/stable/extragear/graphics/digikam/showfoto/imagepropertieshistogram.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/setup/setupcamera.cpp:
	   backport: (SVN commit 485597 by mhunter: Typographical 
	  corrections and changes)

2005-12-04 17:34  cgilles

	* branches/stable/extragear/graphics/digikam/utilities/imageeditor/imageprint.cpp:
	   Digikam 0.8.x from stable : patch from Anders Lund for making 
	  printing possible/faster
	  CCMAIL: digikam-devel@kde.org, anders@alweb.dk

2005-11-29 20:38  toma

	* branches/stable/extragear/graphics/digikam/digikam/searchwidgets.cpp:
	   Backport Better Wording

2005-11-29 20:31  toma

	* branches/stable/extragear/graphics/digikam/digikam/albumdb.h: 
	  backport: 'daily unbreak compilation' from (SVN commit 483974 by 
	  uga: gcc 4.1 build fix)

2005-11-27 18:12  toma

	* branches/stable/extragear/graphics/digikam/digikam/Makefile.am, 
	  branches/stable/extragear/graphics/digikam/digikam/albumdb.cpp, 
	  branches/stable/extragear/graphics/digikam/digikam/albumdb.h, 
	  branches/stable/extragear/graphics/digikam/digikam/albumicongroupitem.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/albumiconitem.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/albumiconview.h,
	  branches/stable/extragear/graphics/digikam/digikam/albumsettings.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/albumsettings.h,
	  branches/stable/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/imagedescedit.h,
	  branches/stable/extragear/graphics/digikam/digikam/imageinfo.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/imageinfo.h, 
	  branches/stable/extragear/graphics/digikam/digikam/pics/Makefile.am,
	  branches/stable/extragear/graphics/digikam/digikam/pics/rating.png,
	  branches/stable/extragear/graphics/digikam/digikam/ratingwidget.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/ratingwidget.h,
	  branches/stable/extragear/graphics/digikam/digikam/searchwidgets.cpp,
	  branches/stable/extragear/graphics/digikam/digikam/searchwidgets.h,
	  branches/stable/extragear/graphics/digikam/kioslave/digikamsearch.cpp,
	  branches/stable/extragear/graphics/digikam/kioslave/digikamsearch.h,
	  branches/stable/extragear/graphics/digikam/utilities/setup/setupgeneral.cpp,
	  branches/stable/extragear/graphics/digikam/utilities/setup/setupgeneral.h:
	   Backport from trunk: digikam meets Rating. Now it is possible 
	  to rate your images. The initial patch was sent a couple of 
	  months ago to the mailinglist by Owen Hirst. I removed the dust 
	  and added the possibility to make a search based on the rating. 
	  You can sort on the rating and you can turn it off in the 
	  settings. 
	  
	  It would be nice to have some feedback!
	  CCMAIL:digikam-devel@kde.org

v0.8.0   		11/21/05
----------------------------------------------------------------------------
2005-11-19 23:01  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumhistory.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumhistory.h,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.h: Oh Tung,
	  how do you find all these stupid bugs? Cool :) The album history
	  wasn't cleared if another album library path was set. BUG: 116344

2005-11-19 10:20  jahrens

	* trunk/extragear/graphics/digikam/libs/widgets/sidebar.cpp: The
	  initial widget wasn't properly set if the sitebar was started
	  minimized. BUG: 116346

2005-11-16 11:29  cgilles

	* trunk/extragear/graphics/digikam/digikam/main.cpp: revert
	* trunk/extragear/graphics/digikam/showfoto/main.cpp: revert

2005-11-16 06:00  cgilles

	* trunk/extragear/graphics/digikam/showfoto/main.cpp: Fix real
	  name accordinly with .desktop file

2005-11-15 22:24  gkulzer

	* trunk/extragear/graphics/digikam/themes/Dark: Harmonized colors

2005-11-15 19:52  cgilles

	* trunk/extragear/graphics/digikam/showfoto/main.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.desktop: Fix
	  real name to prevent broken i18n

2005-11-15 17:51  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.desktop: Fix
	  real name

2005-11-15 14:11  cgilles

	* trunk/extragear/graphics/digikam/digikam/main.cpp,
	  trunk/extragear/graphics/digikam/showfoto/main.cpp: No need to
	  internationalize application name, CF mandriva bug report :
	  http://qa.mandriva.com/show_bug.cgi?id=16820 CCMAIL:
	  digikam-devel@kde.org

2005-11-15 13:40  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp:
	  ShowFoto: missing to fix Exif::orientation tag during save
	  operation CCMAIL: digikam-devel@kde.org

2005-11-15 06:03  cgilles

	* trunk/extragear/graphics/digikam/digikam/imageproperties.cpp:
	  Fix broken compilation under KDE 3.2.x

2005-11-14 16:12  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h:
	  Prevent Enter keys events between dialog and spinBox CCBUG :
	  116347

2005-11-08 22:17  mueller

	* trunk/extragear/graphics/digikam/showfoto/pics,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/pics,
	  trunk/extragear/graphics/gwenview/app/configdialog.h,
	  trunk/extragear/graphics/gwenview/app/configslideshowpage.ui,
	  trunk/extragear/graphics/kst/kst/kst2dplot.h,
	  trunk/extragear/graphics/kst/tests/healpix: the usual "daily
	  unbreak compilation". Its getting tiring

2005-11-08 21:00  cgilles

	* trunk/extragear/graphics/digikam/TODO: Update

2005-11-07 11:02  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: Unload
	  image plugins list properly before to reload it. CCBUG : 115850

2005-11-07 08:38  cgilles

	* trunk/extragear/graphics/digikam/TODO: updated

2005-11-06 11:43  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp:
	  Showfoto: Override/Restore Cursor properly when opening image

2005-11-04 10:09  jahrens

	* trunk/extragear/graphics/digikam/ChangeLog: preparing for rc


v0.8.0-rc1		11/03/05
----------------------------------------------------------------------------

2005-11-03 14:49  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: Update

2005-11-03 14:33  jahrens

    * trunk/extragear/graphics/digikam/release_digikam.rb: preparing rc

2005-11-03 14:30  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: Fixed

2005-11-03 14:28  jahrens

    * trunk/extragear/graphics/digikam/digikam.lsm: wrong month

2005-11-03 14:21  jahrens

    * trunk/extragear/graphics/digikam/digikam.lsm: version update

2005-11-03 14:19  jahrens

    * trunk/extragear/graphics/digikam/version.h: version update

2005-11-03 10:45  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING:
      http://websvn.kde.org/tags/digikam/ ==> tags == stable branch ?
      Why there are no entries about 0.8.0 beta releases ? CCMAIL :
      Tom Albers tomalbers@kde.nl, joern.ahrens@kdemail.net

2005-11-03 10:34  cgilles

    * trunk/extragear/graphics/digikam/TODO: Update

2005-11-02 15:43  jahrens

    * trunk/extragear/graphics/digikam/TODO: CVS_SILENT

2005-11-02 15:13  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: updated

2005-11-02 15:04  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: updated

2005-11-02 14:59  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: updtaed

2005-11-02 14:57  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: updtaed

2005-11-02 14:51  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: updtaed

2005-11-02 14:45  cgilles

    * trunk/extragear/graphics/digikam/PACKAGING: notice to create
      tarball from svn

2005-11-02 13:42  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchquickdialog.cpp:
      Fixed widget tip CCBUGS: 115536

2005-11-02 13:34  cgilles

    * trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp:
      Fix i18n CCBUG: 115535

2005-11-01 17:39  cgilles

    * trunk/extragear/graphics/digikam/TODO: Update (2) TODO list for
      later 0.8.0 release CCMAIL: digikam-devel@kde.org

2005-10-31 19:33  cgilles

    * trunk/extragear/graphics/digikam/TODO: Update TODO list for
      later 0.8.0 release CCMAIL: digikam-devel@kde.org

2005-10-31 19:04  cgilles

    * trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: Fix flip
      icon action name

2005-10-31 15:49  cgilles

    * trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: no need
      to toogle slideshow action in this case

2005-10-31 13:15  cgilles

    * trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: Fix icon
      action name

2005-10-31 13:08  cgilles

    * trunk/extragear/graphics/digikam/showfoto/Makefile.am,
      trunk/extragear/graphics/digikam/showfoto/hi128-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/hi16-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/hi22-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/hi32-action-slideshow.png,
      trunk/extragear/graphics/digikam/showfoto/hi32-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/hi48-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/hi64-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics,
      trunk/extragear/graphics/digikam/showfoto/pics/Makefile.am,
      trunk/extragear/graphics/digikam/showfoto/pics/hi128-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi16-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi22-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi32-action-flip.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi32-action-histogram.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi32-action-resize_image.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi32-action-slideshow.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi32-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi48-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics/hi64-app-showfoto.png,
      trunk/extragear/graphics/digikam/showfoto/pics/showfoto-splash.png,
      trunk/extragear/graphics/digikam/showfoto/showfoto-splash.png,
      trunk/extragear/graphics/digikam/utilities/imageeditor/Makefile.am,
      trunk/extragear/graphics/digikam/utilities/imageeditor/hi32-action-flip.png,
      trunk/extragear/graphics/digikam/utilities/imageeditor/hi32-action-histogram.png,
      trunk/extragear/graphics/digikam/utilities/imageeditor/hi32-action-resize_image.png,
      trunk/extragear/graphics/digikam/utilities/imageeditor/pics,
      trunk/extragear/graphics/digikam/utilities/imageeditor/pics/Makefile.am,
      trunk/extragear/graphics/digikam/utilities/imageeditor/pics/hi32-action-flip.png,
      trunk/extragear/graphics/digikam/utilities/imageeditor/pics/hi32-action-histogram.png,
      trunk/extragear/graphics/digikam/utilities/imageeditor/pics/hi32-action-resize_image.png:
      Showfoto and digiKam Image Editor pics and icons : - Do not mix
      pictures and source code for more visibility. - Fix missing
      showfoto action icons if showfoto is installed alone (without
      digiKam). CCMAIL: digikam-devel@kde.org

2005-10-31 12:12  cgilles

    * trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
      trunk/extragear/graphics/digikam/showfoto/showfoto.h:
      Showfoto::slideshow : disable any unecessary actions during
      slide (file open, file save, image plugins, etc.) CCMAIL:
      digikam-devel@kde.org

2005-10-24 18:46  jahrens

    * trunk/extragear/graphics/digikam/digikam/main.cpp: Yes, I fully
      agree. CCMAIL: 113913

2005-10-23 21:01  toma

    * trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
      disable "remove tag" when no tags are available. BUG: 113913

2005-10-22 20:22  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchresultsview.cpp:
      Fixed exif auto thumbnail rotation in digiKam search view.
      Please give me a feeback because i can check if is right (no
      jpeg file with rotation exif tag here) CCBUG: 114848

2005-10-21 11:24  coolo

    * trunk/extragear/graphics/digikam/configure.in.in: if digikam
      does not compile, digikamplugins can't link

2005-10-16 22:04  jahrens

    * trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
      trunk/extragear/graphics/digikam/digikam/digikamapp.h: Thanks
      for reporting! BUG: 114507

2005-10-16 14:38  jahrens

    * trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp: BUG:
      114506

2005-10-16 06:10  scripty

    * trunk/extragear/graphics/digikam/kioslave/digikamalbums.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamdates.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamsearch.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamtags.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.protocol,
      trunk/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx.desktop,
      trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border.desktop,
      trunk/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer.desktop,
      trunk/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal.desktop,
      trunk/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext.desktop,
      trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle.desktop,
      trunk/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
      trunk/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus.desktop,
      trunk/extragear/graphics/digikamimageplugins/restoration/digikamimageplugin_restoration.desktop,
      trunk/extragear/graphics/digikamimageplugins/sheartool/digikamimageplugin_sheartool.desktop,
      trunk/extragear/graphics/fraqtive/src/fraqtive.desktop,
      trunk/extragear/graphics/kst/kst/datasources/healpix/kstdata_healpix.desktop,
      trunk/extragear/graphics/kst/kst/datasources/indirect/kstdata_indirect.desktop,
      trunk/extragear/graphics/kst/kst/extensions/pulse/kstextension_pulse.desktop:
      SVN_SILENT made messages (.desktop file)

2005-10-12 06:15  scripty

    * trunk/extragear/graphics/digikam/kioslave/digikamalbums.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamdates.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamsearch.protocol,
      trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels.desktop,
      trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle.desktop,
      trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus.desktop,
      trunk/extragear/graphics/kst/kst/datasources/fitsimage/kstdata_fitsimage.desktop,
      trunk/extragear/graphics/kst/kst/datasources/healpix/kstdata_healpix.desktop,
      trunk/extragear/graphics/kst/kst/datasources/qimagesource/kstdata_qimagesource.desktop,
      trunk/extragear/graphics/kst/kst/extensions/pulse/kstextension_pulse.desktop:
      SVN_SILENT made messages (.desktop file)

2005-10-10 06:10  scripty

    * trunk/extragear/graphics/digikam/digikam/digikam.desktop:
      SVN_SILENT made messages (.desktop file)

2005-10-06 15:12  jahrens

    * trunk/extragear/graphics/digikam/digikam/monthwidget.cpp: Today
      I wrote the date view manual, and thought it might be good to
      display the week number in the month widget

2005-10-06 06:12  cgilles

    * trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
      trunk/extragear/graphics/digikam/showfoto/showfoto.h: showfoto :
      Fix 'toogle to fullscreen' toolbar icon rules. CCBUG : 113917

2005-10-06 05:20  cgilles

    * trunk/extragear/graphics/digikam/showfoto/setupeditor.cpp:
      showfoto : restore properly thumbar settings. CCBUG: 113919

2005-10-06 02:22  pahlibar

    * trunk/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp:
      preserve permissions when doing save/saveAs BUGS: 113914

2005-10-04 08:29  pahlibar

    * trunk/extragear/graphics/digikam/digikam/digikamapp.cpp: load
      the cameras before the createGUI, so that any toolbar actions
      are plugged in correctly BUGS: 113804

2005-10-04 08:17  pahlibar

    * trunk/extragear/graphics/digikam/digikam/searchquickdialog.cpp:
      save/restore quick search dialog size BUGS: 113806

2005-10-04 08:11  pahlibar

    * trunk/extragear/graphics/digikam/digikam/albumiconview.cpp:
      disable the "set as XX thumbnail" in the non-albums/tags view
      BUGS: 113805

2005-10-04 08:06  pahlibar

    * trunk/extragear/graphics/digikam/digikam/tagcreatedlg.cpp: kde >
      3.3.x allows us to lock out the "other" icon select option. use
      it. Its no longer possible in 0.8.x to set icons through the
      kicondialog. use the assign tag thumbnail or drag-and-drop a
      file to assign thumbnail BUGS: 113808

2005-10-02 06:00  scripty

    * trunk/extragear/graphics/digikam/digikam/digikam.desktop,
      trunk/extragear/graphics/digikam/imageplugins/digikamimageplugin_core.desktop,
      trunk/extragear/graphics/digikam/kioslave/digikamalbums.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamdates.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamsearch.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamtags.protocol,
      trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.protocol,
      trunk/extragear/graphics/digikam/showfoto/showfoto.desktop,
      trunk/extragear/graphics/digikam/utilities/imageeditor/digikamimageplugin.desktop,
      trunk/extragear/graphics/digikamimageplugins/adjustcurves/digikamimageplugin_adjustcurves.desktop,
      trunk/extragear/graphics/digikamimageplugins/adjustlevels/digikamimageplugin_adjustlevels.desktop,
      trunk/extragear/graphics/digikamimageplugins/antivignetting/digikamimageplugin_antivignetting.desktop,
      trunk/extragear/graphics/digikamimageplugins/blowup/digikamimageplugin_blowup.desktop,
      trunk/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx.desktop,
      trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border.desktop,
      trunk/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer.desktop,
      trunk/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal.desktop,
      trunk/extragear/graphics/digikamimageplugins/distortionfx/digikamimageplugin_distortionfx.desktop,
      trunk/extragear/graphics/digikamimageplugins/emboss/digikamimageplugin_emboss.desktop,
      trunk/extragear/graphics/digikamimageplugins/filmgrain/digikamimageplugin_filmgrain.desktop,
      trunk/extragear/graphics/digikamimageplugins/freerotation/digikamimageplugin_freerotation.desktop,
      trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels.desktop,
      trunk/extragear/graphics/digikamimageplugins/infrared/digikamimageplugin_infrared.desktop,
      trunk/extragear/graphics/digikamimageplugins/inpainting/digikamimageplugin_inpainting.desktop,
      trunk/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext.desktop,
      trunk/extragear/graphics/digikamimageplugins/lensdistortion/digikamimageplugin_lensdistortion.desktop,
      trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle.desktop,
      trunk/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
      trunk/extragear/graphics/digikamimageplugins/perspective/digikamimageplugin_perspective.desktop,
      trunk/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop.desktop,
      trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus.desktop,
      trunk/extragear/graphics/digikamimageplugins/restoration/digikamimageplugin_restoration.desktop,
      trunk/extragear/graphics/digikamimageplugins/sheartool/digikamimageplugin_sheartool.desktop,
      trunk/extragear/graphics/digikamimageplugins/solarize/digikamimageplugin_solarize.desktop,
      trunk/extragear/graphics/digikamimageplugins/superimpose/digikamimageplugin_superimpose.desktop,
      trunk/extragear/graphics/digikamimageplugins/texture/digikamimageplugin_texture.desktop,
      trunk/extragear/graphics/digikamimageplugins/unsharp/digikamimageplugin_unsharp.desktop,
      trunk/extragear/graphics/digikamimageplugins/whitebalance/digikamimageplugin_whitebalance.desktop,
      trunk/extragear/graphics/fraqtive/src/fraqtive.desktop,
      trunk/extragear/graphics/kimdaba/x-vnd.kde.kimdaba-import.desktop,
      trunk/extragear/graphics/kst/kst/datasources/cdf/kstdata_cdf.desktop,
      trunk/extragear/graphics/kst/kst/datasources/fitsimage/kstdata_fitsimage.desktop,
      trunk/extragear/graphics/kst/kst/datasources/healpix/kstdata_healpix.desktop,
      trunk/extragear/graphics/kst/kst/datasources/lfiio/kstdata_lfiio.desktop,
      trunk/extragear/graphics/kst/kst/datasources/netcdf/kstdata_netcdf.desktop,
      trunk/extragear/graphics/kst/kst/datasources/qimagesource/kstdata_qimagesource.desktop,
      trunk/extragear/graphics/kst/kst/extensions/elog/kstextension_elog.desktop,
      trunk/extragear/graphics/kst/kst/extensions/js/kjsembed/kjscmd.desktop,
      trunk/extragear/graphics/kst/kst/extensions/js/kjsembed/plugins/qprocess_plugin.desktop,
      trunk/extragear/graphics/kst/kst/extensions/pulse/kstextension_pulse.desktop,
      trunk/extragear/graphics/kst/kst/extensions/rana/kstextension_rana.desktop,
      trunk/extragear/graphics/kst/kst/kst.desktop,
      trunk/extragear/graphics/showimg/showimgapp/konqshowimg.desktop,
      trunk/extragear/graphics/showimg/showimgpart/showimgpart.desktop:
      SVN_SILENT made messages (.desktop file)

2005-09-30 10:43  cgilles

    * trunk/extragear/graphics/digikam/showfoto/main.cpp: fix i18n

2005-09-30 06:12  cgilles

    * trunk/extragear/graphics/digikam/showfoto/Makefile.am: remove
      comments

2005-09-29 17:10  toma

    * trunk/extragear/graphics/digikam/digikam/searchwidgets.cpp: I
      think this is needed to make translation possible.

2005-09-29 13:52  cgilles

    * trunk/extragear/graphics/digikam/showfoto/Makefile.am: Fix error
      about png files

2005-09-29 11:50  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp:
      Fix i18n

2005-09-29 11:46  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp:
      Fix i18n

2005-09-29 11:43  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp:
      Fix i18n

2005-09-29 11:41  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp:
      Fix i18n

2005-09-28 13:37  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp,
      trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.h,
      trunk/extragear/graphics/digikam/digikam/searchquickdialog.cpp:
      add whatsthis polish advanced search interface

2005-09-28 11:46  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchfolderview.cpp:
      fix i18n ==> extended -> avanced (homogenous with handbook and
      dialog title)

2005-09-28 11:00  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchquickdialog.cpp:
      add whatsthis

2005-09-28 09:20  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp,
      trunk/extragear/graphics/digikam/digikam/searchfolderview.cpp,
      trunk/extragear/graphics/digikam/digikam/searchquickdialog.cpp:
      fix i18n ==> extended -> avanced (homogenous with handbook and
      dialog title) Add dialog links to handbook anchors

2005-09-28 05:39  cgilles

    * trunk/extragear/graphics/digikam/digikam/searchresultsview.cpp,
      trunk/extragear/graphics/digikam/digikam/searchresultsview.h:
      Accordinly with Renchi, digikam search result view widget using
      digiKam::thumbnailjob instead kio:previewjob: - Homogenous
      thumbnails rendering like in image view. - More fast with PNG
      and JPEG. - Better results with PNG and TIFF. Kio::PreviewJob
      give weird preview (nuul) with any PNG file using max
      compression level. - RAW image files support ! CCMAIL:
      digikam-devel@kde.org

2005-09-23 13:20  cgilles

    * trunk/extragear/graphics/digikam/utilities/setup/cameraselection.cpp:
      fix i18n

2005-09-22 17:20  cgilles

    * trunk/extragear/graphics/digikam/utilities/setup/cameraselection.cpp:
      Accordinly with Renchi, using generic USB/FireWire Mass Storage
      Device name.

2005-09-22 02:34  pahlibar

    * trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconitem.cpp,
      trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconitem.h,
      trunk/extragear/graphics/digikam/utilities/cameragui/umscamera.cpp:
      * forgot to fix the select/open for the camera icon items.
      (click to open the items only when the mouse cursor is in the
      pixmap region, otherwise select) * fixed a bug in the USB
      storage cameras where the files in the root dir were not listed

2005-09-21 14:38  cgilles

    * trunk/extragear/graphics/digikam/showfoto/imagepropertiesexif.cpp,
      trunk/extragear/graphics/digikam/showfoto/imagepropertiesexif.h,
      trunk/extragear/graphics/digikam/showfoto/imagepropertiesgeneral.cpp,
      trunk/extragear/graphics/digikam/showfoto/imagepropertiesgeneral.h,
      trunk/extragear/graphics/digikam/showfoto/imagepropertieshistogram.cpp,
      trunk/extragear/graphics/digikam/showfoto/imagepropertieshistogram.h:
      showfoto imageproperties using digikam thumbnail job

2005-09-21 13:50  pahlibar

    * trunk/extragear/graphics/digikam/digikam/iconview.cpp: do not
      lose current item on a re-sort of items BUGS: 112971 105663

2005-09-21 07:32  cgilles

    * trunk/extragear/graphics/digikam/digikam/albumsettings.cpp: More
      RAW file formats supported by default

2005-09-19 19:41  cgilles

    * trunk/extragear/graphics/digikam/digikam/albumsettings.cpp: add
      *.cr2 canon RAW file format

2005-09-19 03:17  pahlibar

    * trunk/extragear/graphics/digikam/digikam/pixmapmanager.cpp:
      couple more thumbnail job deletion fixes

2005-09-19 03:02  pahlibar

    * trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
      trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
      trunk/extragear/graphics/digikam/digikam/imagepropertiesexif.cpp,
      trunk/extragear/graphics/digikam/digikam/imagepropertiesgeneral.cpp,
      trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp,
      trunk/extragear/graphics/digikam/digikam/pixmapmanager.cpp,
      trunk/extragear/graphics/digikam/digikam/syncjob.cpp: in kdelibs
      3.5, the default behavior of kio::job has changed, the job is
      not immediately deleted on emitResult, but scheduled for a
      deferred delete. since, we were relying on the immediate delete
      behavior, it ended up causing the loading of thumbnails to slow
      down or stop completely. correct for new behavior. can the
      bugreporters verify that this fixes the problem? CCBUGS: 112467

2005-09-18 12:51  toma

    * trunk/extragear/graphics/digikam/ChangeLog,
      trunk/extragear/graphics/digikam/digikam.lsm,
      trunk/extragear/graphics/digikam/release_digikam.rb,
      trunk/extragear/graphics/digikam/version.h: Preparing for beta2


2005-09-18 00:07  pahlibar

	* trunk/extragear/graphics/digikam/libs/jpegutils/jpegmetadata.cpp:
	  override default jpeg error handling so that the program doesn't
	  bail out on encoutering a rogue jpeg file BUGS: 112801

2005-09-17 16:51  toma

	* trunk/extragear/graphics/digikam/digikam/albumdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.cpp:
	  Disable "remove tags" menu item when there are no common tags,
	  but to not delay the menu appearance due to finding out if there
	  are common items, I disable the menu item when there are more
	  then 250 images. Partly based on patch by Gregory Kokanosky BUG:
	  111798

2005-09-16 10:44  cgilles

	* trunk/extragear/graphics/digikam/digikam/albumsettings.cpp: more
	  video files supported per default

2005-09-15 06:50  pahlibar

	* trunk/extragear/graphics/digikam/sqlite/sqliteInt.h: oops. that
	  should have been 64-bit and not big endian BUGS: 112526

2005-09-13 09:51  cgilles

	* trunk/extragear/graphics/digikam/digikam/albumsettings.cpp: Fix
	  pentax RAW file extension

2005-09-13 09:29  cgilles

	* trunk/extragear/graphics/digikam/digikam/albumsettings.cpp: add
	  Sigma and Fuji raw file format support per default

2005-09-11 17:44  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp: just a
	  first workaround, to display the kipi-plugins again in the menu
	  again

2005-09-11 12:45  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/dragobjects.cpp,
	  trunk/extragear/graphics/digikam/digikam/dragobjects.h,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp: Some
	  programs aren't able to handle the digikamalbums:/ protocol
	  (like k3b). Now digikam uses the file:/ protocol in its
	  dragobject, so k3b is able to get files per drag 'n drop from
	  digikam again. This should work for almost every program (I've
	  tried k3b and gimp which both works now). Internally digikam
	  still uses digikamalbums:/ for drag 'n drop, so the database is
	  still updated when moving objects. CCMAIL: digikam-devel@kde.org

2005-09-09 14:21  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.h: When a
	  camera was added to the toolbar, the icon wasn't displayed after
	  program restart

2005-09-09 10:49  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumlister.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  When an image was saved with "Save As" with a filename that
	  already existed in the album, the new ImageInfo was first
	  created through signalNewFilteredItems but deleted through
	  signalDeleteFilteredItem for the old image - because both used
	  the same filename. BUG: 112000

2005-09-09 07:28  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: showfoto
	  BugFix : Forget to commit this patch to don't prompt user about
	  to save image after to do SaveAs operation. CCBUG: 111873

2005-09-08 07:08  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.h,
	  trunk/extragear/graphics/digikam/showfoto/showfotoui.rc:
	  showfoto BugFix : ToolBar settings crash because "bcg" action
	  instance is created and removed from actionCollection() when
	  imageplugin_core is available. To fix it : - Do create "bcg"
	  action (Brightness/Contrast/Gamma) per default but only when
	  showfoto isn't installed with digikam - Create "bcg" action only
	  if ImagePlugins_core isn't available (showofoto installed
	  alone). This is must be done after that createGUI is done using
	  plugActionList() method. Tested in both ways (digikam
	  installed/not installed with showfoto) CCBUG: 111875

2005-09-07 07:31  cgilles

	* trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.cpp,
	  trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.h,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: showfoto
	  BugFix : - Refresh the right item to save/saveas properly in
	  showfoto thumbbar. Using a new method in thumbbar.cpp to find
	  item by url. - Don't prompt user about to save image after to do
	  SaveAs operation. CCBUG: 111873

2005-09-06 14:23  osterfeld

	* trunk/extragear/graphics/digikam/utilities/cameragui/cameraui.cpp:
	  fix capitalization (noticed by binner)

2005-09-05 15:13  osterfeld

	* trunk/extragear/graphics/digikam/utilities/cameragui/cameraui.cpp:
	  another yes/no replacement

2005-09-05 14:53  osterfeld

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  grmbl, KStdGuiItem::overwrite() is kdelibs >= 3.5 only

2005-09-05 14:48  osterfeld

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  Use kstdguiitems for "Overwrite" and "Cancel" instead of custom
	  strings.

2005-09-05 14:21  osterfeld

	* trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  "Overwrite?" dialog: replace yes/no by overwrite/cancel, use
	  message text from kwrite Forgot that yesterday somehow...
	  CCMAIL: caulier.gilles@free.fr

2005-09-05 11:25  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.h,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.h:
	  Bugfix : no need to plug more than one FullScreen button on Main
	  Tool bar if there is already one (for example if user adding it
	  using toolbar settings). Unplug properly it accordinly.

2005-09-05 08:44  cgilles

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.h,
	  trunk/extragear/graphics/digikam/libs/thumbbar/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.cpp,
	  trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.h,
	  trunk/extragear/graphics/digikam/libs/thumbbar/thumbnailjob.cpp,
	  trunk/extragear/graphics/digikam/libs/thumbbar/thumbnailjob.h,
	  trunk/extragear/graphics/digikam/showfoto/Makefile.am: Use
	  digikamthumbnail protocol with showfoto thumbar when its
	  available, for exemple in a both digikam/showfoto installation.
	  This way : - always update properly thumbnails after image
	  save/saveas. - improve thumnails computation speed, especially
	  with PNG and JPEG files. - digikamthumbnail protocol will render
	  properly PNG, TIFF, and JPEG files preview in all case
	  (KIO::filePreview can't do it). If showfoto is installed without
	  digikam (digikamthumbnail protocol unavialable), showfoto
	  thumbar use KIO::filePreview protocol instead to rendering
	  thumbnails. CCBUG: 111873

2005-09-05 07:00  cgilles

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertiesexif.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertiesgeneral.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp,
	  trunk/extragear/graphics/digikam/digikam/pixmapmanager.cpp,
	  trunk/extragear/graphics/digikam/digikam/syncjob.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.h: Remove
	  digikam database depency on ThumbnailJob implementation

2005-09-04 17:46  osterfeld

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: fix
	  saveas dialog, do not use "Yes", "No" for buttons but
	  "Overwrite" and "Cancel".

2005-09-03 21:09  cgilles

	* trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  Prompt wait cursor during Save/SaveAs operations

2005-09-03 20:43  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: Prompt
	  wait cursor during Save/SaveAs operations

2005-09-02 19:38  cgilles

	* trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.cpp:
	  Don't using KFilePreview thumbnails cache to display properly
	  the image modifications on showfoto thumbbar. Please, give me a
	  feedback... Nota: using KIO:KfilePreview isn't the better way to
	  render thumbnails. This method don't work properly with any TIFF
	  and PNG files generated with imlib2 (especially for example with
	  hight PNG compression level). Perhaps the better way is to use
	  the digikamthumbnails kioslave when it's available (for example
	  in a both installation of showfoto and digikam in the same
	  computer). CCBUG: 111873

2005-09-01 11:49  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: BugFix :
	  Hide properly ToolBar in FullScreen mode. CCBUG: 111876

2005-09-01 11:26  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp:
	  re-select preview item in thumbar if cancel is selected when
	  prompt user save. CCBUG: 111873

2005-09-01 07:48  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h:
	  new method to update selection only

2005-08-31 09:00  cgilles

	* trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.cpp,
	  trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.h,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.h: BugFix :
	  update properly current item informations when images are
	  loaded/removed.

2005-08-31 06:54  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: BugFix :
	  sync properly showfoto config

2005-08-31 05:57  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumiconitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumiconitem.h,
	  trunk/extragear/graphics/digikam/digikam/iconitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/iconitem.h,
	  trunk/extragear/graphics/digikam/digikam/iconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.cpp: *
	  apply marcel's patch for executing the items only if cursor is
	  in the thumbnail area. * double the thumbnail spacing making it
	  easier to unselect or do drag selection * remove the inner white
	  border in the thumbnail highligher. makes the highlights look
	  better, imo and also shows more of the thumbnail BUGS: 111695
	  110178 99416

2005-08-29 19:26  lauri

	* trunk/extragear/graphics/digikam/showfoto/showfoto.desktop:
	  BUGNO:99497

2005-08-29 13:23  pahlibar

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: please
	  follow indentation style which is consistent with rest of
	  digikam code. there is a HACKING guide as a guideline

2005-08-29 12:21  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: BugFix :
	  when current item is deleted, always get the new current item
	  from thumbbar

2005-08-29 07:53  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: use home
	  documents path per default to open new urls

2005-08-29 07:38  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: fix :
	  current Item must be null if no image loaded

2005-08-28 13:53  toma

	* trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp:
	  Save the size of the advanced search window. Could someone look
	  if this is the right place and way to do this? CCMAIL:
	  digikam-devel@kde.org

2005-08-27 21:54  toma

	* trunk/extragear/graphics/digikam/kioslave/digikamalbums.cpp:
	  When moving a file to another folder and the orginal can not be
	  removed, don't show an error about the destination, but check if
	  the source is the cause of this and throw an appropiate error.

2005-08-27 20:39  toma

	* trunk/extragear/graphics/digikam/digikam/scanlib.cpp: The hide
	  thing was not working, probably because it was not shown yet.
	  This workaround seems to be the solution to prevent the dialog
	  to be shown while the user looks at the dialog where he has to
	  decide what to do with deleted folders.

2005-08-27 19:30  pahlibar

	* trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h: even
	  when an image comments/tags/date were not being modified, on
	  item switching the properties were being written out to the db.
	  prevent that. this should make switching images much faster
	  especially for those using "write comments to jpeg files"

2005-08-27 17:52  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumlister.cpp,
	  trunk/extragear/graphics/digikam/digikam/iconview.cpp: *
	  indicate why listing failed * check if pointer is valid, before
	  trying to dereference it

2005-08-26 17:12  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.h:
	  enable/disable menu entries depending on the selected album

2005-08-26 13:29  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/curveswidget.h:
	  Polish code

2005-08-26 11:35  cgilles

	* trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.h,
	  trunk/extragear/graphics/digikam/showfoto/imagepropertieshistogram.cpp,
	  trunk/extragear/graphics/digikam/showfoto/imagepropertieshistogram.h:
	  Polish image properties histogram tab using QGroupButton.

2005-08-26 10:04  pahlibar

	* trunk/extragear/graphics/digikam/configure.in.bot: correct kipi
	  url BUGS: 111511

2005-08-25 20:10  cgilles

	* trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp:
	  Using new color gradient widget

2005-08-25 20:09  cgilles

	* trunk/extragear/graphics/digikam/showfoto/imagepropertieshistogram.cpp:
	  Using new color gradient widget

2005-08-25 20:08  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/colorgradientwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/colorgradientwidget.h:
	  New color gradient widget with no marging and support to toogle
	  in disable state. Look better than old KColorGradient based
	  implementation and is more adapted to Histogram Widget.

2005-08-25 19:53  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h:
	  fix toggle to disable state fix enum : separate type is better
	  to use in GUI.

2005-08-25 12:29  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h:
	  missing repaint widget in disable state

2005-08-25 10:04  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.cpp:
	  fix i18n

2005-08-24 17:49  toma

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  This fix makes it possible to delete folders with subfolders in
	  it. Which is broken in beta1. The routines which ask for
	  confirmation if it is ok to delete a folder which has subfolder
	  is a warningYesNo and the routine without subfolders is a
	  warningContinueCancel. Both are handled by an if statement wich
	  check for Continue. Obviously this breaks deletion of a folder
	  with subfolder. For now I'll revert Stephan Binners style change
	  here. Stephan, what is the best way for both dialogs? yes/no or
	  continue/cancel as they have to be equal? CCMAIL: binner@kde.org

2005-08-24 11:30  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp:
	  fix Button group marging to 0

2005-08-24 08:39  cgilles

	* trunk/extragear/graphics/digikam/digikam/pics/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/pics/histogram-lin.png,
	  trunk/extragear/graphics/digikam/digikam/pics/histogram-log.png,
	  trunk/extragear/graphics/digikam/digikam/pics/histogram.png,
	  trunk/extragear/graphics/digikam/digikam/pics/image-full.png,
	  trunk/extragear/graphics/digikam/digikam/pics/image-selection.png:
	  New icons

2005-08-24 07:37  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/curveswidget.cpp:
	  Add black frame around

2005-08-24 07:34  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  more safety checks in albumfolderview

2005-08-24 07:14  cgilles

	* trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp,
	  trunk/extragear/graphics/digikam/showfoto/imagepropertieshistogram.cpp:
	  No need to have a QFrame around HistogramWidget since this one
	  have a black frame. This way reduce a little the space using by
	  histogram widget.

2005-08-24 06:58  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp:
	  Add black frame around

2005-08-23 22:20  jahrens

	* trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  the beast is back (SVN commit 451394), this "workaround" seems
	  to help until we find the real problem... it's annoying!

2005-08-23 21:36  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp:
	  Enables/disables items in the album menu, depending on the
	  selected album. There are still some cases left which have to be
	  checked.

2005-08-23 12:39  cgilles

	* trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  Fix Image Editor feedback to AlbumIconView : set properly the
	  current item enabling/selection to icon view.

2005-08-23 06:53  pahlibar

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp:
	  fix crash. the button was not set exclusive and so the selected
	  id returned -1, and since this value was stored in an enum and
	  then used in a switch statement, a new pixmap was not being
	  created.

2005-08-22 19:56  cgilles

	* trunk/extragear/graphics/digikam/digikam/iconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/iconview.h,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imageproperties.cpp:
	  Fix image properties and Comments & Tags dialogs feedback to
	  AlbumIconView : set properly the current item enabling/selection
	  to icon view.

2005-08-22 19:22  toma

	* trunk/extragear/graphics/digikam/libs/thumbbar/thumbbar.cpp:
	  Keep the thumbnail completely visible and the next one as well.
	  I heard from the bugreporter that he is extremely happy and will
	  buy a pizza for me. BUG: 104031

2005-08-22 14:12  mlaurent

	* trunk/extragear/graphics/digikam/kioslave/digikamalbums.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.cpp,
	  trunk/extragear/graphics/digikam/libs/jpegutils/transupp.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/cameraselection.cpp:
	  TRUE->true FALSE->false

2005-08-22 09:17  cgilles

	* trunk/extragear/graphics/digikam/digikam/imagepropertiesgeneral.cpp:
	  Bugfix : displaying the album name of the current image selected.

2005-08-21 22:12  toma

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp: when
	  changing an image and pressing next, the method next and the
	  methos openURL are trying to save the changed images. So that
	  results in two dialogs. With this little patch I disable the
	  save menu entry after the first time a users indicates he wants
	  to discard the image changes, so it will not popup in the next
	  method. BUG: 104890

2005-08-21 21:44  toma

	* trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.h: The state
	  of the menu's was checked while loading the images, but that is
	  not sufficient. At the end of the constructor we now check if
	  all menu items are active which should be active. BUGS: 109271

2005-08-21 20:59  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/sidebar.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/sidebar.h: Hide
	  the right sidebar by default

2005-08-21 17:37  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamview.cpp:
	  setting the active tab has to be done through loadViewState()

2005-08-21 11:29  jahrens

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_redeye.cpp:
	  Corrected a failure while reading the red eye correction config

2005-08-21 05:01  pahlibar

	* trunk/extragear/graphics/digikam/configure.in.in: do not enable
	  visibility if kdelibs has not been compiled with visbility
	  enabled, otherwise plugins won't load. ported from 0.7.4 tarball

2005-08-21 01:39  pahlibar

	* trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp: fix
	  crash in tagfolderview, when dragged items where dropped in
	  empty space

2005-08-20 16:46  pahlibar

	* trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp:
	  clear selection and select new tag on new tag creation in the
	  filter view

2005-08-20 15:19  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/canvas.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  Gilles reported a subtle bug, that the image editor size isn't
	  restored *sometimes* after starting image editor. The last days
	  I had this error almost everytime when I started IE. This patch
	  seems to correct it, since it is gone here now, but I'm not
	  really sure of it... CCMAIL: caulier.gilles@free.fr

2005-08-19 09:48  mm

	* trunk/extragear/graphics/digikam/utilities/setup/gpiface.cpp:
	  better leave out GP_PORT_DISK until libgphoto2 2.2 is released

2005-08-19 09:46  mm

	* trunk/extragear/graphics/digikam/digikam/cameralist.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/gpiface.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/setupcamera.cpp:
	  do not unconditionally overwrite port with "usb:", just ports
	  that start with "usb:". start "disk:" support.

2005-08-19 05:32  pahlibar

	* trunk/extragear/graphics/digikam/digikam/digikam_export.h: check
	  if config.h is actually available

2005-08-19 03:57  pahlibar

	* trunk/extragear/graphics/digikam/digikam/main.cpp: KInstance
	  instance is not ready yet. use I18N_NOOP. BUGS: 110984

2005-08-15 20:16  toma

	* trunk/extragear/graphics/digikam/digikam/albumdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/kipiinterface.cpp,
	  trunk/extragear/graphics/digikam/digikam/kipiinterface.h:
	  Owen Hirst <n8rider@sbcglobal.net> has provided a patch for KIPI
	  Rename Images (part of the BatchProcesses Plugin). kipi part: *
	  Complete rewrite * Use rename instead of copy * Allow formatting
	  of date string digikam part: * fixes the time and date
	  adjustment not working * Update database entry when a file is
	  renamed by a KIPI Plugin * make slideshow available right after
	  digikams start This fixes the following bugs:
	  BUGS:110391,110659,110698,110575,99895,104032,105727,110508,104511
	  great work!

v0.8.0-beta1		08/19/05
----------------------------------------------------------------------------

2005-08-15 13:13  jahrens

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.h,
	  trunk/extragear/graphics/digikam/digikam/sidebar.cpp,
	  trunk/extragear/graphics/digikam/digikam/sidebar.h,
	  trunk/extragear/graphics/digikam/libs/widgets/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/sidebar.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/sidebar.h: Moved
	  the sidebar stuff into libs/widgets and removed the albummanager
	  dependency, so we can use the sidebar in image editor and
	  showfoto too. CCMAIL: digikam-devel@kde.org

2005-08-14 08:33  binner

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp:
	  KMessageBox::warningContinueCancel() for delete/trash
	  confirmations


2005-08-09 14:36  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.cpp: When
	  an album is renamed in albumfolderview, update the views.
	  CCMAIL: tomalbers@kde.nl

2005-08-07 15:55  toma

	* trunk/extragear/graphics/digikam/digikam/monthwidget.cpp:
	  localize the days of the month.

2005-08-05 16:40  toma

	* trunk/extragear/graphics/digikam/libs/jpegutils/jpegmetadata.cpp:
	  This fixes an endless loop in the scanning of images. Continue
	  was called without updating a first, so it arrives again at the
	  same continue. BUG: 110214

2005-08-05 16:26  cgilles

	* trunk/extragear/graphics/digikam/digikam/main.cpp,
	  trunk/extragear/graphics/digikam/showfoto/main.cpp: update
	  _active_ dev. : Tom (:=))). Ralf is an old contributor.

2005-08-03 21:11  jahrens

	* trunk/extragear/graphics/digikam/digikam/tagspopupmenu.cpp:
	  CCBUG: 110115

2005-07-31 18:10  cgilles

	* trunk/extragear/graphics/digikam/digikam.kdevelop,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  Bugfix : since imageguidewidget isn't updated periodicly by
	  timerEvent when no guide is diplayed, the preview effect of any
	  plugins isn't rendered. This commit resolve this problem CCMAIL:
	  digikam-devel@kde.org

2005-07-31 11:00  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h:
	  Fix possible compilation problems

2005-07-31 09:31  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h:
	  Fix possible compilation problems

2005-07-29 15:51  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp:
	  digiKam plugins fix : - ImageGuideWidet : no need to redraw
	  pixmap if no guide visible. - ImageGuideWidet : missing to
	  redraw pixmap at resizeEvent(). - ImageGuideWidet and Image
	  SelectionWidget : improve guide visibility. - FreeRotation :
	  setting properly guide size and color. - ImageGuideDialog :
	  saving properly guide size and color settings for each plugins.
	  CCMAIL: digikam-devel@kde.org

2005-07-28 16:50  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/tagspopupmenu.cpp: tag
	  usability 1.2: show tags which are already assigned as checked.
	  not a 100% perfect solution. make use of a custommenuitem and
	  draw the checkbox on the right. instead of doing custommenuitem
	  for each item (which will prevent having submenus), do it only
	  for needed ones. some of the code is copied from Sebastien
	  Laout's custom popupmenu code. screenshot:
	  http://img41.imageshack.us/my.php?image=popupmenu9cv.png CCMAIL:
	  digikam-devel@kde.org

2005-07-28 15:06  pahlibar

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp: the
	  submenu actions of correct exif orientation tag are now children
	  of the menu and not of the actioncollection. this prevents the
	  ugly and confusing actions from appearing in the configure
	  toolbar dialog

2005-07-28 13:51  pahlibar

	* trunk/extragear/graphics/digikam/digikam/monthwidget.cpp,
	  trunk/extragear/graphics/digikam/digikam/monthwidget.h: when an
	  item is deleted, update the date-filter view BUGS: 109703

2005-07-28 13:36  pahlibar

	* trunk/extragear/graphics/digikam/digikam/datefolderview.cpp: if
	  the dateview becomes inactive, set the month filter view to
	  inactive as well. this will remove any date filtering BUGS:
	  109705

2005-07-28 12:50  pahlibar

	* trunk/extragear/graphics/digikam/digikam/imageinfo.cpp,
	  trunk/extragear/graphics/digikam/digikam/imageinfo.h: pass by
	  reference

2005-07-28 06:40  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp:
	  digiKam image control pannel widget : increase visibility line
	  of guide line and border selection to use contrasted color (red
	  and white). Thanks to Unai Garro for this tip. CCMAIL:
	  digikam-devel@kde.org

2005-07-28 06:30  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp:
	  BugFix: Image pannel widget settings must be writting in
	  dedicaced dialog plugin section on host config file, not on a
	  common section. CCMAIL: digikam-devel@kde.org

2005-07-27 20:11  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp:
	  improve image selection visibility

2005-07-27 17:27  toma

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h,
	  trunk/extragear/graphics/digikam/digikam/kdatetimeedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/kdatetimeedit.h:
	  Changed the widget to a new widget. This widget is identical to
	  kDateEdit (as used in the advanced search, which came from
	  libkdepim), but then I have placed a QTimeEdit next to it. Much
	  better in this use case then the KDateTimeWidget from kdelibs.

2005-07-27 14:35  toma

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h,
	  trunk/extragear/graphics/digikam/digikam/imageinfo.cpp,
	  trunk/extragear/graphics/digikam/digikam/imageinfo.h: Adds the
	  possibility to change the database date and time in the
	  commentseditor. Couple of things left: - the view should be
	  refresh, because the date can be changed the order can shift.
	  Howto do that? - The widget used is not the perfect widget imho,
	  but there is no other one available. - The place of the widget
	  can move. I think this is the best place though. - Should the
	  date be written back in the exif-headers?
	  CCMAIL:digikam-devel@kde.org

2005-07-27 12:47  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelviewwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelviewwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/multiviewwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/multiviewwidget.h:
	  digiKam Hot Pixels Tool - third stage : - display the hot pixels
	  on image region widget !!! - Remove unecessary source files. -
	  Finalize for beta. A screenshot :
	  http://digikam3rdparty.free.fr/HotPixelRemovalTool-Alpha.png
	  CCMAIL: digikam-devel@kde.org, ugarro@telefonica.net

2005-07-27 11:47  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp:
	  digiKam Hot Pixels Tool : - Pan Icon Widget must compute itself
	  the point positions on the preview. - remove unecessary methods.

2005-07-27 11:15  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp:
	  digiKam Hot Pixels Tool : Second stage : display the hot pixels
	  on pan icon widget. A screenshot :
	  http://digikam3rdparty.free.fr/HotPixelRemovalTool-Alpha.png
	  CCMAIL: digikam-devel@kde.org, ugarro@telefonica.net

2005-07-27 10:08  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  correct the reparenting of items in collection/date mode since
	  there is a root album now

2005-07-27 10:03  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  don't popup a context menu on groupitems

2005-07-27 09:58  pahlibar

	* trunk/extragear/graphics/digikam/kioslave/exiforientation_p.h:
	  there was an infinite loop in the exif orientation scanning code
	  which prevented the thumbnail from being generated for some
	  images. the design of the load-on-demand thumbnail-generator
	  prevents the next thumbnails from being loaded before the
	  current one is finished. BUGS: 107742

2005-07-26 14:51  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/TODO,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframesetupdialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframesetupdialog.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels.desktop,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi32-action-hotpixels.png,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixel.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelviewwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelviewwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/multiviewwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/multiviewwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/weights.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/weights.h:
	  New digiKam image editor plugin to remove Hot Pixels' on
	  Photograph by Unai Garro. This plugin is in Alpha stage. Need to
	  plolish source code. Auto detection of hot pixels work fine
	  using a 'black frame' image taken with the deficient camera.
	  TODO : - Need to implement manual hot pixels settings (Unai) -
	  Later 0.8.0 issue. - Need to display a preview of hot pixels in
	  panel widget (me). - Need to save default settings in konfig
	  file (me). - Need to polish Black Frame settings interface (me).
	  - Need to write handbook (me, gerhard, and Unai). There is a
	  screenshot of current implementation here :
	  http://digikam3rdparty.free.fr/HotPixelRemovalTool-Alpha.png
	  CCMAIL: digikam-devel@kde.org, ugarro@telefonica.net,
	  gerhard@kulzer.net

2005-07-26 09:30  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/pics/Makefile.am,
	  trunk/extragear/graphics/digikam/imageplugins/pics/duplicateheight.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/duplicatewidth.png,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h:
	  digiKam image plugin and control pannel widget : - Performs
	  update preview optimizations with QPixmap. - 2 new options to
	  seperate view in duplicate mode (vertically or horizontally)
	  like with PowerRetouche photoshop plugins. These modes will be
	  used especially with future Hot Pixel Removal plugin from Unai
	  Garro. In some words, the target image region is duplicated from
	  original to compare exactly the same pixels. There is a
	  screnshoot of Gaussian Blur image editor plugin here:
	  http://digikam3rdparty.free.fr/SeparateView-DuplicateMode.png
	  CCMAIL: digikam-devel@kde.org, ugarro@telefonica.net

2005-07-26 06:16  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h:
	  performs optimizations

2005-07-25 21:14  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp:
	  these root folders looks better

2005-07-25 18:46  pahlibar

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/listitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/listitem.h,
	  trunk/extragear/graphics/digikam/digikam/listview.cpp,
	  trunk/extragear/graphics/digikam/digikam/listview.h,
	  trunk/extragear/graphics/digikam/digikam/listview_p.h: remove
	  listview/listitem. no longer used

2005-07-25 18:44  pahlibar

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp:
	  changing accel of advanced search dialog to Ctrl+Alt+F since it
	  conflicts with the quick search dialog one

2005-07-25 18:19  pahlibar

	* trunk/extragear/graphics/digikam/kioslave/digikamalbums.cpp:
	  .arg argument number should start from %1

2005-07-25 17:56  pahlibar

	* trunk/extragear/graphics/digikam/kioslave/digikamalbums.cpp:
	  more fixes for the QString.arg() problem. please review

2005-07-25 17:09  toma

	* trunk/extragear/graphics/digikam/digikam/squeezedcombobox.cpp,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.h:
	  rename after someone complained

2005-07-25 13:51  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h:
	  Using Default button from KDialogBase to reset filter settings
	  values

2005-07-24 15:10  jahrens

	* trunk/extragear/graphics/digikam/digikam/folderview.cpp: fix

2005-07-24 14:49  toma

	* trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchwidgets.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchwidgets.h,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.cpp,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.h:
	  Several small changes: - advancedsearch: when grouping the
	  checkbox was not correctly added to the layout - removed all
	  adjustSize() calls, not necessary and gives funny resuls when
	  the dialog is maximized - prevented the deletion of the first
	  rule if it is the only one there. - Squuezedcombo: improved
	  logic for amount of characters shown, gives better results -
	  renamed m_OriginalItems to m_originalItems to comply to HACKING

2005-07-24 10:00  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/folderitem.cpp: i
	  think, the folderview looks better now

2005-07-24 09:59  jahrens

	* trunk/extragear/graphics/digikam/digikam/folderview.cpp: always
	  open the root album, if digikam is restarted

2005-07-23 23:09  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp:
	  After I've played some time with the new AlbumFolderView /
	  TagFolderView I realized, that it is sometimes impossible to add
	  a new album to the root album or dragging an album to the root.
	  I've added a new root folder to the two views, which are
	  displayed red, to show their different meaning. Additionally
	  they are displayed without rootDecorations. You can rmb click to
	  that root album to add a new child to the root or drag another
	  album on it. Digikam doesn't allow images to be stored in the
	  root folder. Todo: disable the some parts of the import menu,
	  when the root album is selected. CCMAIL: digikam-devel@kde.org

2005-07-23 22:03  jahrens

	* trunk/extragear/graphics/digikam/digikam/folderview.cpp: oups,
	  that can cause a crash

2005-07-23 19:15  toma

	* trunk/extragear/graphics/digikam/digikam/squeezedcombobox.cpp,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.h:
	  Added a new class which adds a unsqueezed tooltip to the
	  squeezed combobox items, example at
	  http://www.digikam.org/users/tom/t.png CCMAIL:
	  digikam-devel@kde.org

2005-07-23 16:21  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/datefolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/datefolderview.h,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderview.h,
	  trunk/extragear/graphics/digikam/digikam/searchfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/sidebar.cpp,
	  trunk/extragear/graphics/digikam/digikam/sidebar.h,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp:
	  Digikam 0.8 is now able to reconstruct its view state after
	  starting a new session. When digikam is closed, it stores - the
	  last visited albums - the open folders of every view - the
	  selected folder of every view - the last selected view in the
	  sidebar - if the sidebar is hidden/shown

2005-07-23 10:29  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  fixed crash, if an new album was created under the root

2005-07-23 10:14  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h:
	  Common digiKam Image Guide Dialog provide guide settings (color
	  and width). CCMAIL: digikam-devel@kde.org

2005-07-22 23:48  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumlister.cpp: if an
	  item has been filtered out, emit a filtered delete when the item
	  is relisted. this fixes the problem when an item tags are
	  modified when the filters are active and the view doesn't update
	  to reflect that

2005-07-22 23:18  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.h:
	  tag usability 4.0: allow user to assign/remove tags from context
	  menu in the image window

2005-07-22 22:44  toma

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.h,
	  trunk/extragear/graphics/digikam/utilities/setup/setupgeneral.cpp:
	  Removal of the thumbnailsize settings from the settings page.
	  The size can be controlled in the menu View and is simply saved
	  when you close digiKam.

2005-07-22 22:13  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagspopupmenu.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagspopupmenu.h:
	  prepare tagspopupmenu for usage in imageeditor

2005-07-22 22:07  jahrens

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/albumfolderitem_deprecated.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderitem_deprecated.h,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview_deprecated.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview_deprecated.h,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.h: Deleted
	  AlbumFolderView_Deprecated and AlbumFolderItem_Deprecated. This
	  is done by the new AlbumFolderView and AlbumFolderViewItem now.
	  Therefor the tab "Album (old)" isn't shown in the left sidebar
	  anymore. CCMAIL: digikam-devel@kde.org

2005-07-22 21:21  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp: added
	  album[edit|new|delete] to albumfolderview

2005-07-22 20:18  toma

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchwidgets.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchwidgets.h,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.cpp,
	  trunk/extragear/graphics/digikam/digikam/squeezedcombobox.h: Now
	  we have a squeezedcombox. This shows the right part of each item
	  in the combobox, prepended with "...", whenever the widget is
	  not big enough to show the complete contents. Activated it for
	  the tag list and the album list in advanced search, because the
	  current combobox in combination with long named albums, we
	  violate the kde hig. That is solved now.

2005-07-22 12:00  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h:
	  ImageRegionWidget : optimizations using Pixmap cache of current
	  selected region.

2005-07-22 10:17  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h:
	  ImageRegionWidget : ignore wheel events

2005-07-22 07:05  cgilles

	* trunk/extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.h,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.h,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h:
	  Include common pixel anti-aliasing method to ImageFiler class.

2005-07-21 13:38  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h:
	  Add resized signal

2005-07-21 11:23  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h:
	  Add separator option

2005-07-21 10:09  jahrens

	* trunk/extragear/graphics/digikam/digikam/digikamview.cpp:
	  further steps to delete albumfolderview_deprecated soon

2005-07-21 00:51  pahlibar

	* trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp:
	  rename root item to "found tags" when search is active

2005-07-21 00:18  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h: tag
	  usability 3.3.2: * allow searching for tags in the comments-tags
	  editor * this is live search with background color feedback
	  CCMAIL: digikam-devel@kde.org

2005-07-20 20:59  jahrens

	* trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp: open
	  the parent after the item was moved to it

2005-07-20 20:34  pahlibar

	* trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.h: if
	  album is renamed, update viewitem text

2005-07-20 20:24  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.h:
	  mornfall, here you go. * allow users to assign tags by dnd
	  photos onto right tagsfilterview. * remove use of dict. use
	  extradata instead

2005-07-20 18:04  pahlibar

	* trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp: add
	  one more reminder for joern. emit signaltagsassigned so that
	  albumiconview can refresh itself

2005-07-20 17:50  pahlibar

	* trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.h:
	  connect to TAlbum moved signal and use it to reparent Tag view
	  item. There are other views which show tags and they can also
	  possibly reparent tags. Modify the dnd part to shift the work to
	  the slot

2005-07-20 16:46  jahrens

	* trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp: ctrl
	  key was used to add tags without popup

2005-07-20 16:03  pahlibar

	* trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.h:
	  tagfolderview Drag and drop corrections. dropping items on tag
	  should be assigning tags to them and not copy/move

2005-07-20 14:17  pahlibar

	* trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp: move
	  album title to left in the tags popupmenu, as the user focus
	  will be on that

2005-07-20 11:30  toma

	* trunk/extragear/graphics/digikam/digikam/albumdb.cpp: This is a
	  nasty bug. The problem is that QString("%1,
	  %2").arg("ab%2").arg("cd"); results in "abcd, %2", so this patch
	  changes it in QString("%1, %2").arg("ab%2", "cd") which should
	  fix this problem. Please check your konsole for errors and
	  better save then sorry: backup your digikam3.db. CCMAIL:
	  digikam-devel@kde.org BUG: 109355

2005-07-20 00:41  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h: a
	  short list of recently assigned tags is accessible from a
	  popupmenu in the comments tag editor

2005-07-19 22:06  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.h: quick
	  cut and paste and one less todo. context menu in right tag
	  filter view

2005-07-19 20:10  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp:
	  simplest usability change. automatically select newly created tag

2005-07-19 16:57  toma

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h: OU
	  Item: 3.2 Remove Checkbox for "saving automatically"
	  CCMAIL:digikam-devel@kde.org

2005-07-19 10:45  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.h:
	  Fix enable/disable widgets rules

2005-07-19 00:16  pahlibar

	* trunk/extragear/graphics/digikam/digikam/iconitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/iconitem.h: subtle bug.
	  iconitem used update instead of repaint, this would cause the
	  repaints to be not immediate and as a result an iconitem might
	  still be marked as dirty even though a thumbnail has been
	  generated for it. so when pixmapmanager asked for next item for
	  thumbnailing, the same item was returned again. but there is
	  already a pixmap for it in the cache and so the thumbnailing
	  process stopped. thanks to tom for reporting this.

2005-07-18 23:38  toma

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconview.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconview.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/renamecustomizer.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/renamecustomizer.h:
	  Make it possible to download images from the camera and change
	  the filenames to uppercase or lowercase at the same time.
	  FEATURE: 108824

2005-07-18 23:25  pahlibar

	* trunk/extragear/graphics/digikam/digikam/kipiinterface.cpp,
	  trunk/extragear/graphics/digikam/digikam/kipiinterface.h: base
	  operator== for kipiinterface was comparing list of images for
	  albums. this resulted in kipi dialogs for image/imagecollection
	  selection very slow to start up. by overloading and using album
	  pointer for comparison, these dialogs have become miraculously
	  fast.

2005-07-18 19:50  pahlibar

	* trunk/extragear/graphics/digikam/utilities/setup/setupexif.cpp:
	  be correct about where exactly in the JPEG file, the image
	  comment is stored CCBUGS: 109253

2005-07-18 17:25  toma

	* trunk/extragear/graphics/digikam/digikam/albumdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/scanlib.cpp: Show url
	  of the image which needs to be deleted

2005-07-18 06:59  pahlibar

	* trunk/extragear/graphics/digikam/digikam/tagspopupmenu.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagspopupmenu.h: tag
	  usability 1.1: Allow creating new tags while assigning tags in
	  the context menu. also auto-assign these new tags to selected
	  items

2005-07-18 05:24  pahlibar

	* trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp: i
	  feel dirty doing this. Assign a unique id to the Dates and
	  Collection using a negative integer. for Dates use the
	  year-month combo and for collection use the index of the item in
	  the collection name list

2005-07-18 04:21  pahlibar

	* trunk/extragear/graphics/digikam/themes/Dark,
	  trunk/extragear/graphics/digikam/themes/Makefile.am: the time
	  spent in creating the theme editor is paying off. new Dark theme
	  from Gerhard Kulzer

2005-07-17 22:33  cgilles

	* trunk/extragear/graphics/digikam/digikam.kdevelop,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h:
	  digiKam Sharpen and Gaussian blur tools : init properly Gui with
	  default values

2005-07-17 20:01  pahlibar

	* trunk/extragear/graphics/digikam/digikam/album.h,
	  trunk/extragear/graphics/digikam/digikam/albuminfo.h,
	  trunk/extragear/graphics/digikam/digikam/albummanager.cpp:
	  apparently just sorting of taglist won't work for building
	  tagtree; if the tags have been moved around a lot the tree build
	  fails. manually build the tree using a dict for quick lookups
	  and then use the tree to build a sorted list of items. this will
	  ensure that the tree is built correctly everytime.

2005-07-17 18:42  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h,
	  trunk/extragear/graphics/digikam/libs/curves/imagecurves.cpp,
	  trunk/extragear/graphics/digikam/libs/curves/imagecurves.h,
	  trunk/extragear/graphics/digikam/libs/filters/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.h,
	  trunk/extragear/graphics/digikam/libs/filters/sharpen.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/sharpen.h,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.cpp:
	  digiKam Sharpen tool : using threaded interface to compute
	  sharpen filter on image. Add progress bar and Abort button on
	  dialog. CCMAIL: digikam-devel@kde.org

2005-07-17 16:44  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  trunk/extragear/graphics/digikam/libs/filters/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/filters/gaussianblur.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/gaussianblur.h,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.h,
	  trunk/extragear/graphics/digikam/libs/filters/threadedfilter.cpp:
	  digiKam Gaussian Blur tool : using threaded interface to compute
	  blur filter on image. Ad progress bar and Abort button on
	  dialog. CCMAIL: digikam-devel@kde.org

2005-07-17 08:42  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  fix crashes if there is no itemDrop

2005-07-17 08:28  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  sort items correctly for datebased view

2005-07-17 08:06  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp: * sort
	  albums into collections/dates in albumfolderview * dnd assign
	  collection (hopefully all dnd edge cases are handled) still some
	  todo items: * sort date based view correctly * check all edge
	  cases

2005-07-17 07:31  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/pics/Makefile.am,
	  trunk/extragear/graphics/digikam/imageplugins/pics/centerheight.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/centerwidth.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/nocenter.png,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp:
	  digiKam image Control Pannel widget : add missing No Split
	  preview mode and fix icon buttons. CCMAIL: digikam-devel@kde.org

2005-07-16 21:37  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h:
	  digiKam image Control Pannel widget : Split preview can be
	  separate horizontally or vertically. CCMAIL:
	  digikam-devel@kde.org

2005-07-16 21:04  jahrens

	* trunk/extragear/graphics/digikam/digikam/folderitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderview.h,
	  trunk/extragear/graphics/digikam/digikam/sidebar.cpp: this
	  highlighted drop element looks better

2005-07-16 18:03  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumhistory.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumhistory.h,
	  trunk/extragear/graphics/digikam/digikam/datefolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/datefolderview.h,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/sidebar.cpp,
	  trunk/extragear/graphics/digikam/digikam/sidebar.h: * Added a
	  browser-like navigation history to digikam, which is usable with
	  the sidebar. A back/forward history button was added to the
	  toolbar and the album menu. With these buttons the user can
	  browse through the previous opened albums. If the album is
	  changed, the view in the sidebar is changed too. Pressing and
	  holding down the history button... in the toolbar, drops down a
	  menu, with the names of the previous opened albums. CCMAIL:
	  digikam-devel@kde.org

2005-07-15 23:02  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderitem.h,
	  trunk/extragear/graphics/digikam/digikam/folderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderview.h: highlight
	  the dropitem item under the mouse cursor when dragging over it

2005-07-15 16:28  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp:
	  Added drag 'n drop from external programs to albumfolderview -
	  Dropping an image(s) on a folder, opens a popup menu, which lets
	  the user decide, if he wants to move/copy the image(s) to that
	  folder. Pressing CTRL (copy) / SHIFT (move) avoids the popup
	  menu. CCMAIL: digikam-devel@kde.org

2005-07-15 11:40  jahrens

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview_deprecated.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/dragobjects.cpp,
	  trunk/extragear/graphics/digikam/digikam/dragobjects.h,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp:
	  Added drag 'n drop to albumfolderview and tagfolderview -
	  Dropping an image on its album in folderview assigns that image
	  as the folder thumbnail. To avoid the popup menu, press CTRL
	  when dropping the image. - Dropping an image(s) on another
	  folder, opens a popup menu, which lets the user decide, if he
	  wants to move/copy the image(s) to that folder. Pressing CTRL
	  (copy) / SHIFT (move) avoids the popup menu. - An image(s) can
	  also be dropped on an external application, which understands
	  KURLDrag, to move/copy the image to that application. CCMAIL:
	  digikam-devel@kde.org

2005-07-14 22:11  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/albummanager.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/main.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/setupgeneral.cpp:
	  reenable switching album library path. * move scanning/upgrading
	  to new db into AlbumManager::setLibraryPath() testing requested
	  CCMAIL: digikam-devel@kde.org

2005-07-14 21:37  pahlibar

	* trunk/extragear/graphics/digikam/configure.in.in: add configure
	  test to only enable visibility support if kde version is >=
	  3.3.2. this allows compilation on all kde versions. hopefully
	  this is the last of the visibility problems we will have

2005-07-14 21:03  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumiconview.cpp: rmb
	  menu cleanup: remove kipi-plugins actions from context menu and
	  add only "Rotate" from jpeglossless plugin CCMAIL:
	  digikam-devel@kde.org

2005-07-14 16:17  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albummanager.cpp:
	  revert deleting of config entry for locale, as user could have
	  multiple album paths (thanks to tom for pointing this one out)

2005-07-14 16:03  pahlibar

	* trunk/extragear/graphics/digikam/themes/Makefile.am,
	  trunk/extragear/graphics/digikam/themes/Sandy: sandy theme (from
	  Laurent) added

2005-07-14 00:18  pahlibar

	* trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamui.rc,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.h: add
	  extended search to the menubar

2005-07-13 23:46  pahlibar

	* trunk/extragear/graphics/digikam/digikam/kipiinterface.cpp:
	  filter the items using filename extensions before they are sent
	  to the kipi-plugins

2005-07-13 23:21  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albummanager.cpp:
	  remove stale entry from config file as well

2005-07-13 23:17  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/kipiinterface.cpp:
	  fixing kipiinterface. get list of items in an album from the db,
	  instead of trying to read from the disk (which used to fail with
	  the transition to 0.8)

2005-07-13 23:16  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albummanager.cpp: save
	  only the encoding part of the locale instead of the entire
	  locale name. this allows users to switch languages without
	  change of locale. current svn users: if you see a warning
	  message about locale being changed, since you are already
	  running the svn version, you can safely ignore the warning and
	  say yes (provided you haven't changed your locale recently)
	  CCMAIL: digikam-devel@kde.org

2005-07-13 19:49  pahlibar

	* trunk/extragear/graphics/digikam/themes/Makefile.am,
	  trunk/extragear/graphics/digikam/themes/OrangeCrush: simple
	  orange theme

2005-07-13 12:20  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.h:
	  digiKam Ratio Crop tool : add an option to choise Composition
	  Guide width. If another one had a best soltion to make
	  composition guide more visible. Using animate guide is more
	  complex to do. I had to try to use without success
	  QPainter::setPen(Qt::MPenStyle) to define a personal pen mask
	  and change it at QObject::timerEvent(). Any suggestions ?
	  CCMAIL: digikam-devel@kde.org, renchi@pooh.tam.uiuc.edu

2005-07-12 21:17  pahlibar

	* trunk/extragear/graphics/digikam/digikam/albumsettings.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.cpp:
	  creating a separate instance of KConfig can cause race
	  condition, resulting in some of the settings not being saved
	  correctly. use the global config.

2005-07-12 13:37  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h:
	  digiKam Image guide widget : animated guide is more visible!
	  CCMAIL: digikam-devel@kde.org

2005-07-12 08:32  cgilles

	* trunk/extragear/graphics/digikam/digikam.kdevelop,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h:
	  digiKam Image guide widget: - fix spot coordinates computation
	  from real image. - fix mouse draging rules. Now you must to
	  press mouse button without release to drag guide in preview. -
	  Limit spot color draging events. - Polish source code. CCMAIL:
	  digikam-devel@kde.org

2005-07-11 11:13  cgilles

	* trunk/extragear/graphics/digikam/showfoto/showfoto-splash.png:
	  unoficial ShowFoto 0.3.0 splash. We need to start a contest
	  later summer about digiKam 0.8.0 and ShowFoto 0.3.0
	  splashscreens. Any help welcome to start this constest on
	  Kde-look.org. Please contact me if you want more informations
	  about. CCMAIL: digikam-devel@kde.org,

2005-07-11 09:37  pahlibar

	* trunk/extragear/graphics/digikam/configure.in.in,
	  trunk/extragear/graphics/digikam/digikam/digikam_export.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageplugin_core.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamalbums.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamdates.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamsearch.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamtags.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.h:
	  fix visibility problems (now it works with compilers supporting
	  hidden visibility: gcc 4.0.1 and gcc 3.4.3 patched on mandriva)
	  CCMAIL: digikam-devel@kde.org

2005-07-11 06:03  pahlibar

	* trunk/extragear/graphics/digikam/digikam/pixmapmanager.cpp,
	  trunk/extragear/graphics/digikam/digikam/pixmapmanager.h: when a
	  thumbnail _needs_ to be regenerated, remove it from the
	  thumbnail cache directory. this allows regeneration if the
	  timestamp is being preserved due to some action

2005-07-10 22:39  pahlibar

	* trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp:
	  fix memory leak which caused plugins to swap out

2005-07-10 12:38  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h:
	  make compile

2005-07-10 11:00  cartman

	* trunk/extragear/graphics/digikam/libs/filters/threadedfilter.h,
	  trunk/extragear/graphics/digikam/libs/widgets/colorgradientwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/refocus/Makefile.am:
	  Image plugins compile too \o/

2005-07-10 10:30  cartman

	* trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/albummanager.h,
	  trunk/extragear/graphics/digikam/digikam/iconitem.h,
	  trunk/extragear/graphics/digikam/digikam/scanlib.h,
	  trunk/extragear/graphics/digikam/digikam/upgradedb_sqlite2tosqlite3.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.h:
	  Make it compile. Mostly visibility fixes

2005-07-10 09:53  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.h:
	  Backport from experimental

2005-07-10 09:41  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp:
	  Backport from 0.8.0 exp

2005-07-10 09:39  cgilles

	* trunk/extragear/graphics/digikam/libs/widgets/colorgradientwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.h:
	  backport last change from 0.8.0 exp

2005-07-09 18:08  toma

	* trunk/extragear/graphics/digikam,
	  trunk/extragear/graphics/digikam/DESIGN,
	  trunk/extragear/graphics/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/README,
	  trunk/extragear/graphics/digikam/TODO,
	  trunk/extragear/graphics/digikam/configure.in.bot,
	  trunk/extragear/graphics/digikam/configure.in.in,
	  trunk/extragear/graphics/digikam/digikam,
	  trunk/extragear/graphics/digikam/digikam.lsm,
	  trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/digikam/album.cpp,
	  trunk/extragear/graphics/digikam/digikam/album.h,
	  trunk/extragear/graphics/digikam/digikam/albumdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb.h,
	  trunk/extragear/graphics/digikam/digikam/albumdb_sqlite2.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumdb_sqlite2.h,
	  trunk/extragear/graphics/digikam/digikam/albumfilecopymove.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfilecopymove.h,
	  trunk/extragear/graphics/digikam/digikam/albumfiletip.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderitem.h,
	  trunk/extragear/graphics/digikam/digikam/albumfolderitem_deprecated.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderitem_deprecated.h,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview_deprecated.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumfolderview_deprecated.h,
	  trunk/extragear/graphics/digikam/digikam/albumhistory.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumicongroupitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumicongroupitem.h,
	  trunk/extragear/graphics/digikam/digikam/albumiconitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumiconitem.h,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumiconview.h,
	  trunk/extragear/graphics/digikam/digikam/albuminfo.h,
	  trunk/extragear/graphics/digikam/digikam/albumlister.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumlister.h,
	  trunk/extragear/graphics/digikam/digikam/albummanager.cpp,
	  trunk/extragear/graphics/digikam/digikam/albummanager.h,
	  trunk/extragear/graphics/digikam/digikam/albumpropsedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumpropsedit.h,
	  trunk/extragear/graphics/digikam/digikam/albumsettings.cpp,
	  trunk/extragear/graphics/digikam/digikam/albumsettings.h,
	  trunk/extragear/graphics/digikam/digikam/busyprogressbar.cpp,
	  trunk/extragear/graphics/digikam/digikam/busyprogressbar.h,
	  trunk/extragear/graphics/digikam/digikam/datefolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/datefolderview.h,
	  trunk/extragear/graphics/digikam/digikam/digikamapp.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamio.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamio.h,
	  trunk/extragear/graphics/digikam/digikam/digikamui.rc,
	  trunk/extragear/graphics/digikam/digikam/digikamview.cpp,
	  trunk/extragear/graphics/digikam/digikam/digikamview.h,
	  trunk/extragear/graphics/digikam/digikam/dio.cpp,
	  trunk/extragear/graphics/digikam/digikam/dio.h,
	  trunk/extragear/graphics/digikam/digikam/dio_p.h,
	  trunk/extragear/graphics/digikam/digikam/dragobjects.cpp,
	  trunk/extragear/graphics/digikam/digikam/dragobjects.h,
	  trunk/extragear/graphics/digikam/digikam/folderitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderitem.h,
	  trunk/extragear/graphics/digikam/digikam/folderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/folderview.h,
	  trunk/extragear/graphics/digikam/digikam/icongroupitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/icongroupitem.h,
	  trunk/extragear/graphics/digikam/digikam/iconitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/iconitem.h,
	  trunk/extragear/graphics/digikam/digikam/iconview.cpp,
	  trunk/extragear/graphics/digikam/digikam/iconview.h,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagedescedit.h,
	  trunk/extragear/graphics/digikam/digikam/imageinfo.cpp,
	  trunk/extragear/graphics/digikam/digikam/imageinfo.h,
	  trunk/extragear/graphics/digikam/digikam/imageproperties.cpp,
	  trunk/extragear/graphics/digikam/digikam/imageproperties.h,
	  trunk/extragear/graphics/digikam/digikam/imagepropertiesexif.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertiesexif.h,
	  trunk/extragear/graphics/digikam/digikam/imagepropertiesgeneral.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertiesgeneral.h,
	  trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.cpp,
	  trunk/extragear/graphics/digikam/digikam/imagepropertieshistogram.h,
	  trunk/extragear/graphics/digikam/digikam/kdateedit.cpp,
	  trunk/extragear/graphics/digikam/digikam/kdateedit.h,
	  trunk/extragear/graphics/digikam/digikam/kdatepickerpopup.cpp,
	  trunk/extragear/graphics/digikam/digikam/kdatepickerpopup.h,
	  trunk/extragear/graphics/digikam/digikam/kipiinterface.cpp,
	  trunk/extragear/graphics/digikam/digikam/main.cpp,
	  trunk/extragear/graphics/digikam/digikam/monthwidget.cpp,
	  trunk/extragear/graphics/digikam/digikam/monthwidget.h,
	  trunk/extragear/graphics/digikam/digikam/pixmapmanager.cpp,
	  trunk/extragear/graphics/digikam/digikam/pixmapmanager.h,
	  trunk/extragear/graphics/digikam/digikam/scanlib.cpp,
	  trunk/extragear/graphics/digikam/digikam/scanlib.h,
	  trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchadvanceddialog.h,
	  trunk/extragear/graphics/digikam/digikam/searchfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/searchquickdialog.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchquickdialog.h,
	  trunk/extragear/graphics/digikam/digikam/searchresultsitem.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchresultsitem.h,
	  trunk/extragear/graphics/digikam/digikam/searchresultsview.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchresultsview.h,
	  trunk/extragear/graphics/digikam/digikam/searchwidgets.cpp,
	  trunk/extragear/graphics/digikam/digikam/searchwidgets.h,
	  trunk/extragear/graphics/digikam/digikam/sidebar.cpp,
	  trunk/extragear/graphics/digikam/digikam/sidebar.h,
	  trunk/extragear/graphics/digikam/digikam/syncjob.cpp,
	  trunk/extragear/graphics/digikam/digikam/syncjob.h,
	  trunk/extragear/graphics/digikam/digikam/tagcreatedlg.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfilterview.h,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.cpp,
	  trunk/extragear/graphics/digikam/digikam/tagfolderview.h,
	  trunk/extragear/graphics/digikam/digikam/tagspopupmenu.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbdb.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbdb.h,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbnailjob.h,
	  trunk/extragear/graphics/digikam/digikam/thumbview.cpp,
	  trunk/extragear/graphics/digikam/digikam/thumbview.h,
	  trunk/extragear/graphics/digikam/digikam/upgradedb_sqlite2tosqlite3.cpp,
	  trunk/extragear/graphics/digikam/digikam/upgradedb_sqlite2tosqlite3.h,
	  trunk/extragear/graphics/digikam/imageplugins/Makefile.am,
	  trunk/extragear/graphics/digikam/imageplugins/digikamimageplugin_core_ui.rc,
	  trunk/extragear/graphics/digikam/imageplugins/hi32-action-autocorrection.png,
	  trunk/extragear/graphics/digikam/imageplugins/hi32-action-autolevels.png,
	  trunk/extragear/graphics/digikam/imageplugins/hi32-action-equalize.png,
	  trunk/extragear/graphics/digikam/imageplugins/hi32-action-normalize.png,
	  trunk/extragear/graphics/digikam/imageplugins/hi32-action-stretchcontrast.png,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bcg.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bcg.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bwsepia.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_hsl.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_hsl.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_rgb.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_rgb.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageplugin_core.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageplugin_core.h,
	  trunk/extragear/graphics/digikam/imageplugins/pics/Makefile.am,
	  trunk/extragear/graphics/digikam/imageplugins/pics/autolevels.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/centerheight.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/centerwidth.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/equalize.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/normalize.png,
	  trunk/extragear/graphics/digikam/imageplugins/pics/stretchcontrast.png,
	  trunk/extragear/graphics/digikam/kioslave,
	  trunk/extragear/graphics/digikam/kioslave/Makefile.am,
	  trunk/extragear/graphics/digikam/kioslave/digikamalbums.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamalbums.h,
	  trunk/extragear/graphics/digikam/kioslave/digikamalbums.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikamdates.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamdates.h,
	  trunk/extragear/graphics/digikam/kioslave/digikamdates.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikamio.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamio.h,
	  trunk/extragear/graphics/digikam/kioslave/digikamio.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikamsearch.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamsearch.h,
	  trunk/extragear/graphics/digikam/kioslave/digikamsearch.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikamtags.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamtags.h,
	  trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.cpp,
	  trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.h,
	  trunk/extragear/graphics/digikam/kioslave/sqlitedb.cpp,
	  trunk/extragear/graphics/digikam/kioslave/sqlitedb.h,
	  trunk/extragear/graphics/digikam/libs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/curves/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/curves/imagecurves.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.h,
	  trunk/extragear/graphics/digikam/libs/filters/threadedfilter.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/threadedfilter.h,
	  trunk/extragear/graphics/digikam/libs/histogram/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/histogram/imagehistogram.cpp,
	  trunk/extragear/graphics/digikam/libs/histogram/imagehistogram.h,
	  trunk/extragear/graphics/digikam/libs/jpegutils,
	  trunk/extragear/graphics/digikam/libs/jpegutils/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/jpegutils/exifrotate.cpp,
	  trunk/extragear/graphics/digikam/libs/jpegutils/exifrotate.h,
	  trunk/extragear/graphics/digikam/libs/jpegutils/jinclude.h,
	  trunk/extragear/graphics/digikam/libs/jpegutils/jpegint.h,
	  trunk/extragear/graphics/digikam/libs/jpegutils/jpegmetadata.cpp,
	  trunk/extragear/graphics/digikam/libs/jpegutils/jpegmetadata.h,
	  trunk/extragear/graphics/digikam/libs/jpegutils/libjpeg62.README,
	  trunk/extragear/graphics/digikam/libs/jpegutils/transupp.cpp,
	  trunk/extragear/graphics/digikam/libs/jpegutils/transupp.h,
	  trunk/extragear/graphics/digikam/libs/levels/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/levels/imagelevels.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepreviewwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagepreviewwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.h,
	  trunk/extragear/graphics/digikam/release_digikam.rb,
	  trunk/extragear/graphics/digikam/showfoto,
	  trunk/extragear/graphics/digikam/showfoto/Makefile.am,
	  trunk/extragear/graphics/digikam/showfoto/TODO,
	  trunk/extragear/graphics/digikam/showfoto/hi32-action-slideshow.png,
	  trunk/extragear/graphics/digikam/showfoto/main.cpp,
	  trunk/extragear/graphics/digikam/showfoto/setup.cpp,
	  trunk/extragear/graphics/digikam/showfoto/setup.h,
	  trunk/extragear/graphics/digikam/showfoto/setupslideshow.cpp,
	  trunk/extragear/graphics/digikam/showfoto/setupslideshow.h,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.h,
	  trunk/extragear/graphics/digikam/showfoto/showfotoui.rc,
	  trunk/extragear/graphics/digikam/showfoto/slideshow.cpp,
	  trunk/extragear/graphics/digikam/showfoto/slideshow.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/Makefile.am,
	  trunk/extragear/graphics/digikam/utilities/cameragui/albumselectdialog.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/albumselectdialog.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconitem.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconitem.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconview.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraiconview.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/cameraui.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/dirselectdialog.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/dirselectdialog.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/exifrotate.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/exifrotate.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/jinclude.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/jpegint.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/libjpeg62.README,
	  trunk/extragear/graphics/digikam/utilities/cameragui/transupp.cpp,
	  trunk/extragear/graphics/digikam/utilities/cameragui/transupp.h,
	  trunk/extragear/graphics/digikam/utilities/cameragui/umscamera.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/canvas.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imageiface.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imageiface.h,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewidget.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewidget.h,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imagewindow.h,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/imlibinterface.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/setupgeneral.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/setupgeneral.h,
	  trunk/extragear/graphics/digikam/utilities/setup/setupmisc.cpp,
	  trunk/extragear/graphics/digikam/utilities/setup/setupmisc.h,
	  trunk/extragear/graphics/digikam/utilities/splashscreen/digikam-splash.png,
	  trunk/extragear/graphics/digikam/version.h,
	  trunk/extragear/graphics/digikamimageplugins/ChangeLog,
	  trunk/extragear/graphics/digikamimageplugins/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/README,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/digikamimageplugin_adjustcurves.desktop,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/digikamimageplugin_adjustlevels.desktop,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.h,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/digikamimageplugin_antivignetting.desktop,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.h,
	  trunk/extragear/graphics/digikamimageplugins/blowup/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/blowup/digikamimageplugin_blowup.desktop,
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx.desktop,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/border/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border.desktop,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer.desktop,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.cpp,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.h,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal.desktop,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.cpp,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.h,
	  trunk/extragear/graphics/digikamimageplugins/common/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/LICENSE.txt,
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.h,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.h,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagepreviewdialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagepreviewdialog.h,
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  trunk/extragear/graphics/digikamimageplugins/common/include/version.h,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in,
	  trunk/extragear/graphics/digikamimageplugins/despeckle/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/digikamimageplugin_distortionfx.desktop,
	  trunk/extragear/graphics/digikamimageplugins/emboss/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/emboss/digikamimageplugin_emboss.desktop,
	  trunk/extragear/graphics/digikamimageplugins/emboss/emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/emboss.h,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.h,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/digikamimageplugin_filmgrain.desktop,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.h,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.h,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/digikamimageplugin_freerotation.desktop,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h,
	  trunk/extragear/graphics/digikamimageplugins/infrared/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/infrared/digikamimageplugin_infrared.desktop,
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.h,
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp,
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.h,
	  trunk/extragear/graphics/digikamimageplugins/inpainting/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/inpainting/digikamimageplugin_inpainting.desktop,
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.h,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext.desktop,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/digikamimageplugin_lensdistortion.desktop,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.h,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.h,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/despeckle.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/despeckle.h,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle.desktop,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi32-action-despeckle.png,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.h,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_despeckle.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_despeckle.h,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint.desktop,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.h,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.cpp,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/perspective/digikamimageplugin_perspective.desktop,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.h,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop.desktop,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.h,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.cpp,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus,
	  trunk/extragear/graphics/digikamimageplugins/refocus/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/LICENCE,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/README,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/abort_.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/blaswrap.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/clapack.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/close.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dgemm.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dger.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dgesv.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dgetf2.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dgetrf.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dgetrs.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dlaswp.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dscal.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dswap.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/dtrsm.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/endfile.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/err.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/f2c.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/fio.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/fmt.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/fmt.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/fmtlib.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/fp.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/idamax.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/ieeeck.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/ilaenv.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/lsame.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/open.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/s_cmp.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/s_copy.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/s_stop.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/sfe.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/sig_die.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/util.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/wref.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/wrtfmt.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/wsfe.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/clapack/xerbla.c,
	  trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus.desktop,
	  trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/refocus/hi32-action-refocus.png,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/matrix.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/matrix.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/refocus.h,
	  trunk/extragear/graphics/digikamimageplugins/restoration/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/restoration/digikamimageplugin_restoration.desktop,
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.cpp,
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.h,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/digikamimageplugin_sheartool.desktop,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.h,
	  trunk/extragear/graphics/digikamimageplugins/solarize/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/solarize/digikamimageplugin_solarize.desktop,
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/digikamimageplugin_superimpose.desktop,
	  trunk/extragear/graphics/digikamimageplugins/texture/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/texture/digikamimageplugin_texture.desktop,
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp,
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.h,
	  trunk/extragear/graphics/digikamimageplugins/texture/texture.cpp,
	  trunk/extragear/graphics/digikamimageplugins/texture/texture.h,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/digikamimageplugin_unsharp.desktop,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/digikamimageplugin_whitebalance.desktop,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  trunk/extragear/graphics/doc/digikam/editorratiocroptool2.png,
	  trunk/extragear/graphics/doc/digikam/goldensectionsexample.png,
	  trunk/extragear/graphics/doc/digikam/goldenspiralexample.png,
	  trunk/extragear/graphics/doc/digikam/goldenspiralsectionsexample.png,
	  trunk/extragear/graphics/doc/digikam/goldentrianglesexample.png,
	  trunk/extragear/graphics/doc/digikam/harmonioustrianglesexample.png,
	  trunk/extragear/graphics/doc/digikam/index.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/adjustcurves.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/adjustlevels.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/blowup.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/channelmixer.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/despeckle.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/index.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/inpainting.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocus-notsharpened.png,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocus-refocus.png,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocus-sharped.png,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocus-unsharpmask.png,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocus.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocusdialog.png,
	  trunk/extragear/graphics/doc/digikamimageplugins/refocuspreview.png,
	  trunk/extragear/graphics/doc/digikamimageplugins/restoration.docbook,
	  trunk/extragear/graphics/doc/digikamimageplugins/whitebalance.docbook,
	  trunk/extragear/graphics/doc/showfoto/editorratiocroptool2.png,
	  trunk/extragear/graphics/doc/showfoto/goldensectionsexample.png,
	  trunk/extragear/graphics/doc/showfoto/goldenspiralexample.png,
	  trunk/extragear/graphics/doc/showfoto/goldenspiralsectionsexample.png,
	  trunk/extragear/graphics/doc/showfoto/goldentrianglesexample.png,
	  trunk/extragear/graphics/doc/showfoto/harmonioustrianglesexample.png,
	  trunk/extragear/graphics/doc/showfoto/index.docbook: Merge the
	  experimental branch back to trunk. CCMAIL: digikam-devel@kde.org

2005-06-19 20:05  pahlibar

	* trunk/extragear/graphics/digikam/utilities/setup/gpiface.cpp:
	  fix crash due to invalid pointer reference

2005-06-17 10:40  pahlibar

	* trunk/extragear/graphics/digikam/configure.in.in,
	  trunk/extragear/graphics/digikam/digikam/digikam_export.h: fix
	  for kdemacros.h not being usable in kde < 3.3.2 and kde version
	  specific check not usable, because of mandriva's version change.
	  Gilles, can you check if this works on your system CCMAIL:
	  digikam-devel@kde.org

v0.7.4			08/18/05
----------------------------------------------------------------------------

2005-08-09 18:26  cgilles

	* trunk/extragear/graphics/digikam/utilities/imageeditor/canvas.cpp:
	  Patch from Owen Hirst to fix crash when histogram is visible.
	  The histogram thread holds a pointer to the image data. Under
	  certain conditions, for eg, saving of image and reloading of
	  image data, this image data pointer is invalidated. Since the
	  thread still holds a pointer to the invalid pointer and tries to
	  do calculations on it, the application crashes. Attached patch
	  deletes the histogram thread before reloading the image CCMAIL:
	  digikam-devel@kde.org CCBUGS: 109946


v0.7.3			06/15/05
----------------------------------------------------------------------------

2005-06-15 06:37  cgilles

	* extragear/graphics/digikam/libs/widgets/curveswidget.cpp,
	  extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  extragear/graphics/digikam/utilities/imageeditor/canvas.cpp: Fix
	  memory leak;

2005-06-15 06:30  cgilles

	* extragear/graphics/digikam/digikam.lsm,
	  extragear/graphics/digikam/version.h: 0.7.3

2005-06-13 19:26  pahlibar

	* extragear/graphics/digikam/utilities/setup/gpiface.cpp: applied
	  patch from Uli: don't depend on CameraList internals

2005-06-11 10:06  jahrens

	* extragear/graphics/digikam/showfoto/showfoto.cpp,
	  extragear/graphics/digikam/showfoto/showfoto.h: BUG: 107155

2005-06-08 09:26  cgilles

	* extragear/graphics/digikam/digikam/digikam_export.h: Fix
	  compilation rules with KDE 3.3.x under Mandriva 10.2 Thanks to
	  Laurent Montel. IMPORTANT: This rules do not exist under digikam
	  0.8.0 experimental SVN branche. Take a care in the future! CCMAIL:
	  montel@kde.org, renchi@pooh.tam.uiuc.edu

2005-06-08 06:54  cgilles

	* extragear/graphics/digikam/README,
	  extragear/graphics/digikam/configure.in.bot,
	  extragear/graphics/digikam/digikam.lsm,
	  extragear/graphics/digikam/digikam/main.cpp,
	  extragear/graphics/digikam/showfoto/main.cpp: Fixed url

2005-06-08 06:10  cgilles

	* extragear/graphics/digikam/README: Fix url

2005-06-08 06:10  cgilles

	* extragear/graphics/digikam/TODO: Cleanup

2005-06-05 08:00  cgilles

	* extragear/graphics/digikam/showfoto/showfoto.kdevelop: Fix ML

2005-06-05 07:59  cgilles

	* extragear/graphics/digikam/README,
	  extragear/graphics/digikam/digikam.kdevelop,
	  extragear/graphics/digikam/tips: Fix ML

2005-05-25 20:06  pahlibar

	* extragear/graphics/digikam/utilities/cameragui/cameraiconview.cpp,
	  extragear/graphics/digikam/utilities/cameragui/cameraiconview.h:
	  prevent drag

2005-05-18 14:05  jriddell

	* extragear/graphics/digikam/digikam/pics/cr128-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/cr16-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/cr22-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/cr32-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/cr48-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/cr64-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/hi128-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/hi16-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/hi22-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/hi32-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/hi48-app-digikam.png,
	  extragear/graphics/digikam/digikam/pics/hi64-app-digikam.png,
	  extragear/graphics/digikam/showfoto/cr128-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/cr16-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/cr22-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/cr32-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/cr48-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/cr64-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/hi128-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/hi16-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/hi22-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/hi32-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/hi48-app-showfoto.png,
	  extragear/graphics/digikam/showfoto/hi64-app-showfoto.png,
	  Move application icons to global theme Makes them usable in Gnome, 
	  see thread on kde-core-devel

2005-05-14 18:15  cartman

	* extragear/graphics/digikam/kioslave/Makefile.am: Let it find
	  digikam_export.h

2005-05-14 13:56  mlaurent

	* extragear/graphics/digikam/kioslave/digikamio.cpp,
	  extragear/graphics/digikam/kioslave/digikamtags.cpp,
	  extragear/graphics/digikam/kioslave/digikamthumbnail.cpp: Fix
	  export

2005-05-14 13:43  mlaurent

	* extragear/graphics/digikam/utilities/setup/setupgeneral.cpp: Don't
	  display messagebox when test is empty Don't change url when we
	  can't write into directory

2005-05-11 14:59  pahlibar

	* extragear/graphics/digikam/kioslave/digikamio.cpp: CCBUGS: 105303
	  give a more detailed info if user uses symlinks to external
	  files/folders in the album library path and then tries to move it.
	  I'm not going to work on this in the trunk (0.7.x series). The
	  file copy/move kioslave will undergo a rewrite in the experimental
	  branch to work well with kio::jobs and if necessary will be
	  backported

2005-05-11 07:36  cgilles

	* extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h,
	  extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  extragear/graphics/digikam/libs/filters/imagefilters.h: revert

2005-05-10 22:00  mlaurent

	* extragear/graphics/digikam/libs/thumbbar/Makefile.am,
	  extragear/graphics/digikam/libs/thumbbar/thumbbar.h: Last fixe (I
	  hope)

2005-05-10 21:49  mlaurent

	* extragear/graphics/digikam/libs/widgets/colorgradientwidget.h,
	  extragear/graphics/digikam/libs/widgets/curveswidget.h: Other
	  export fix

2005-05-10 21:48  mlaurent

	* extragear/graphics/digikam/libs/curves/Makefile.am,
	  extragear/graphics/digikam/libs/histogram/Makefile.am,
	  extragear/graphics/digikam/libs/levels/Makefile.am: Fix Makefile

2005-05-10 21:40  mlaurent

	* extragear/graphics/digikam/libs/curves/imagecurves.h,
	  extragear/graphics/digikam/libs/widgets/histogramwidget.h: Other
	  fix for digikamimageplugins

2005-05-10 21:30  mlaurent

	* extragear/graphics/digikam/libs/histogram/imagehistogram.h,
	  extragear/graphics/digikam/libs/levels/Makefile.am,
	  extragear/graphics/digikam/libs/levels/imagelevels.h,
	  extragear/graphics/digikam/libs/widgets/imageguidewidget.h: Fix
	  export. Sorry I didn't know that digikma was in beta test. But
	  it's necessary to finish export

2005-05-10 15:50  mlaurent

	* extragear/graphics/digikam/digikam/Makefile.am: Install
	  digikam_export

2005-05-10 14:43  mlaurent

	* extragear/graphics/digikam/configure.in.in,
	  extragear/graphics/digikam/digikam/digikam_export.h,
	  extragear/graphics/digikam/digikam/digikamapp.h,
	  extragear/graphics/digikam/digikam/digikamfirstrun.h,
	  extragear/graphics/digikam/imageplugins/Makefile.am,
	  extragear/graphics/digikam/imageplugins/imageeffect_rgb.h,
	  extragear/graphics/digikam/imageplugins/imageplugin_core.h,
	  extragear/graphics/digikam/libs/filters/Makefile.am,
	  extragear/graphics/digikam/libs/filters/imagefilters.h,
	  extragear/graphics/digikam/libs/widgets/Makefile.am,
	  extragear/graphics/digikam/libs/widgets/imagepreviewwidget.h,
	  extragear/graphics/digikam/libs/widgets/imageselectionwidget.h,
	  extragear/graphics/digikam/showfoto/Makefile.am,
	  extragear/graphics/digikam/utilities/imageeditor/imageiface.h,
	  extragear/graphics/digikam/utilities/imageeditor/imageplugin.h,
	  extragear/graphics/digikam/utilities/imageeditor/imagewidget.h:
	  Add -fvisibility support

2005-05-10 07:57  cgilles

	* extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  extragear/graphics/digikam/libs/filters/imagefilters.h: Fix crash
	  with IR and filmgrain filter using gaussian blur

2005-05-10 07:29  cgilles

	* extragear/graphics/digikam/imageplugins/imageeffect_sharpen.cpp,
	  extragear/graphics/digikam/imageplugins/imageeffect_sharpen.h: Add
	  missing sharpen filter progress and cancel like in other filter
	  plugin (homogenous)

2005-05-10 07:28  cgilles

	* extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  extragear/graphics/digikam/libs/filters/imagefilters.h: Add
	  missing sharpen filter progress and cancel like in other filter
	  plugins (homogenous)

2005-05-10 07:00  cgilles

	* extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  extragear/graphics/digikam/imageplugins/imageeffect_blur.h: cancel
	  operation is possible.

2005-05-10 06:59  cgilles

	* extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  extragear/graphics/digikam/libs/filters/imagefilters.h: Gaussian
	  blur : cancel operation is possible.

2005-05-10 06:34  pahlibar

	* extragear/graphics/digikam/showfoto/showfoto.cpp: iterator fix in
	  showfoto

2005-05-10 06:23  pahlibar

	* extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  since we no longer return a copy of the pluginlist and not a
	  reference to it, correct the iterator for it. (this prevented
	  plugin actions being embedded correctly) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-05-10 05:40  pahlibar

	* extragear/graphics/digikam/configure.in.in,
	  extragear/graphics/digikam/libs/filters/imagefilters.h: add
	  configure check for endianess CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-05-10 00:22  pahlibar

	* extragear/graphics/digikam/utilities/imageeditor/imagepluginloader.cpp,
	  extragear/graphics/digikam/utilities/imageeditor/imagepluginloader.h:
	  plugin->name() is the QObject name() function and we don't have
	  any control over it (the name is set internally by klibloader). So
	  we need to hold the name of the service separately. instead of
	  adding a function to the imageplugin base which will break BC,
	  hold the names of the service in a separate list and use it to
	  check if the plugin has already been loaded or not. this prevents
	  plugins being loaded twice. BUGS: 103147

2005-05-09 14:58  cgilles

	* extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  extragear/graphics/digikam/imageplugins/imageeffect_blur.h,
	  extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  extragear/graphics/digikam/libs/filters/imagefilters.h,
	  extragear/graphics/digikam/libs/widgets/imagepreviewwidget.h:
	  Missing add progress bar in blur plugin (homogenous with other
	  plugin).

2005-05-09 11:30  cgilles

	* extragear/graphics/digikam/libs/filters/imagefilters.cpp:
	  ChangeTonality : Fix Big/little endian compatibility. BW filter is
	  now fixed. To test under PPC. CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-05-09 09:54  cgilles

	* extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  extragear/graphics/digikam/libs/filters/imagefilters.h: Fix
	  BigEndian/Little endian compatibilty with Channel Mixer. Untested
	  yet to PPC. CCMAIL: digikam-devel@lists.sourceforge.net

2005-05-08 07:50  mlaurent

	* extragear/graphics/digikam/TODO: Minor update

2005-05-04 19:49  pahlibar

	* extragear/graphics/digikam/utilities/imageeditor/digikamimagewindowui.rc,
	  extragear/graphics/digikam/utilities/imageeditor/imagewindow.cpp:
	  BUGS: 105007 The context menu is built out of xmlgui. if the user
	  has an old version of ui.rc file present locally in his .kde/...
	  directory (because of for eg, a shortcut change), then the context
	  menu is not created because no xmlui representation for it exists
	  in it the local ui.rc. fix a crash related to that. (Note:
	  whenever you are changing the xmlui files and you want the user to
	  see these changes, bump up the version number of the ui.rc)

2005-05-04 06:20  

	* extragear/graphics, extragear/graphics/Makefile.am.in,
	  extragear/graphics/Makefile.cvs, extragear/graphics/README,
	  extragear/graphics/configure.in.bot,
	  extragear/graphics/configure.in.in, extragear/graphics/digikam,
	  extragear/graphics/digikamimageplugins, extragear/graphics/doc,
	  extragear/graphics/doc/Makefile.am,
	  extragear/graphics/doc/digikam,
	  extragear/graphics/doc/digikamimageplugins,
	  extragear/graphics/doc/gwenview, extragear/graphics/doc/kimdaba,
	  extragear/graphics/doc/kst, extragear/graphics/doc/showfoto,
	  extragear/graphics/doc/showimg, extragear/graphics/gwenview,
	  extragear/graphics/kimdaba, extragear/graphics/kst,
	  extragear/graphics/showimg, extragear/libs, extragear/multimedia,
	  kdeextragear-1, kdeextragear-2, kdeextragear-3,
	  kdeextragear-libs-1: setup extragear/

2005-05-02 08:26  cgilles

	* kdeextragear-3/digikam/Makefile.am: For testing : non-ignore *.ui
	  files from digiKam project for strings extraction (inspired from
	  koffice). CCMAIL: digikam-devel@lists.sourceforge.net

2005-04-30 13:06  toma

	* kdeextragear-3/digikam/digikam/albumpropsedit.cpp: While porting
	  this function to the experimental branch, I ran into this bug in
	  the logica. When you are young, you make stupid mistakes.
	  Calculation of the average date in an album is based on the
	  difference in days to the first image. When calculating the
	  average date of an album, you can not use abs(), because that will
	  ignore a negative difference.

2005-04-29 11:44  cgilles

	* kdeextragear-3/digikam/libs/widgets/imagepreviewwidget.cpp,
	  kdeextragear-3/digikam/libs/widgets/imagepreviewwidget.h: Add
	  progress bar. Unused actually but not experimental (tested with
	  refocus plugin).

v0.7.3-beta2			04/25/05
----------------------------------------------------------------------------

2005-04-25 09:17  cgilles

	* digikam.lsm, version.h: 0.7.3-beta2 tag

2005-04-25 09:16  cgilles

	* AUTHORS: Update

2005-04-24 12:43  toma

	* digikam/: albumdb.cpp, albumdb.h, digikamapp.cpp
	  (digikam_0_8_branch): Documented the functions I worked on (and
	  some others) in albumdb class.  Removed a header.

2005-04-24 00:54  toma

	* Makefile.am, digikam/Makefile.am, digikam/scanlib.cpp,
	  digikam/scanlib.h (digikam_0_8_branch): make apidox should work
	  no for the branch as well. It doesn't show the @param from
	  scanlib.h yet, but I'll look at that tomorrow.  To use it: cvs
	  update everything, including the root of keg-3, "make apidox" and
	  point your browser in the keg-3/apidox folder.  I will work on
	  the layout a bit more later on. Thanks to Adriaan for the help.
	  CCMAIL:digikam-devel@lists.sourceforge.net

2005-04-24 00:21  adridg

	* Mainpage.dox: Fake mainpages for KEG-3 and digikam

2005-04-24 00:13  adridg

	* Makefile.am: [Damn -m automatism] Anyway, this is adding the
	  beginning of Doxygen support for digikam. The things to remember
	  are:

	  1) The Makefile.am must include the Doxy bla-bla 2) Each file to
	  document must have a /** @file Foo */ header 3) You _must_
	  document a surrounding { file, namespace, class }    for the
	  documentation of inner things (ie. member functions)	  to be
	  visible, so document everything.

2005-04-24 00:11  adridg

	* digikam/: Makefile.am, dragobjects.h: Makefile.am

2005-04-23 22:45  pahlibar

	* kioslave/digikamthumbnail.cpp (digikam_0_8_branch):

	  remove fluffy debug statements

2005-04-23 22:29  pahlibar

	* kioslave/digikamtags.cpp (digikam_0_8_branch):

	  recursive queries work (pahlibar crosses fingers). will need to
	  do some testing here

2005-04-23 21:07  pahlibar

	* digikam/albumiconview.cpp (digikam_0_8_branch):

	  refresh view in tag view in case an item's tag has been removed
	  in the tags/comment editor

2005-04-23 21:04  pahlibar

	* kioslave/: digikamtags.cpp, digikamtags.h (digikam_0_8_branch):

	  fix digikamtags kioslave to use the newer communication method
	  for listing files from the db. in plain english, listing of files
	  in a tag works.  still need to implement recursive tag listing

2005-04-23 19:45  pahlibar

	* digikam/: album.h, albumdb.cpp, albuminfo.h, albummanager.cpp
	  (digikam_0_8_branch):

	  start listing tag albums. note: listing of files under a tag is
	  broken. need to fix the kioslave for that

2005-04-23 18:43  toma

	* digikam/: scanlib.cpp, scanlib.h (digikam_0_8_branch): Upgrade of
	  the progress bar.

2005-04-23 18:20  pahlibar

	* digikam/: album.h, albumlister.cpp (digikam_0_8_branch):

	  add getKURL() as pure virtual to base Album class. use getKURL()
	  in albumlister as a generic way of obtaining album url without
	  checking the special type for the album

2005-04-23 17:36  pahlibar

	* digikam/albumlister.cpp (digikam_0_8_branch):

	  implement updating of current listing: recall the kioslave for a
	  relisting.  compare the new list with current list for new items
	  or deleted items and inform the frontend appropriately (NEEDS
	  testing... can be done only when the Tags/Dates view is
	  implemented)

2005-04-23 17:05  pahlibar

	* digikam/albumiconview.cpp (digikam_0_8_branch):

	  reduce item rect size in small mode

2005-04-23 16:30  cgilles

	* showfoto/showfoto.cpp (digikam_0_8_branch): Showfoto : Clear
	  canvas properly is no current image

2005-04-23 16:05  cgilles

	* showfoto/showfoto.cpp: Showfoto Fix : clear canvas properly when
	  no current image available.

2005-04-23 04:24  pahlibar

	* digikam/albumfiletip.cpp (digikam_0_8_branch):

	  modification date -> date

2005-04-23 04:22  pahlibar

	* digikam/albumlister.cpp (digikam_0_8_branch):

	  bye bye kdirlister

2005-04-23 04:15  pahlibar

	* digikam/albumiconview.cpp (digikam_0_8_branch):

	  we don't use dcop anymore to communicate with the camera

2005-04-23 04:13  pahlibar

	* digikam/albumiconview.cpp (digikam_0_8_branch):

	  more cleanup. fix some todo stuff: since we are not using
	  kfileitem anymore, we need to manually find the mimetype of the
	  file

2005-04-23 03:58  pahlibar

	* digikam/: albumiconview.cpp, albumsettings.cpp, albumsettings.h
	  (digikam_0_8_branch):

	  move the full filter name generation to albumsettings and also
	  adding a new file extension there

2005-04-23 03:37  pahlibar

	* digikam/albumiconview.cpp (digikam_0_8_branch):

	  clean up. remove unnecessary code; adapt to new framework

2005-04-23 03:12  pahlibar

	* digikam/: album.cpp, album.h, albumfilecopymove.cpp,
	  albumiconitem.cpp, albumiconitem.h, albumiconview.cpp,
	  imageinfo.cpp, imageinfo.h (digikam_0_8_branch):

	  cutting, cleaning.... renaming a file works again. its now as
	  simple as imageinfo::setName(newName). it will also take care of
	  updating db item

2005-04-23 02:25  pahlibar

	* digikam/: digikamapp.cpp, imageinfo.h, main.cpp, scanlib.cpp
	  (digikam_0_8_branch):

	  move ScanLib to main.cpp and create AlbumManager there too.
	  beginning of doc for imageinfo.  turn off progress printing on
	  screen

2005-04-23 01:19  toma

	* digikam/: scanlib.cpp, scanlib.h (digikam_0_8_branch): For those
	  who install the branch and wonder what is going on while watching
	  the splashscreen, here is a preliminary progress thingie.

	  Also made a small optimalisation.

2005-04-23 00:18  pahlibar

	* digikam/digikamapp.cpp:

	  backporting bugfix: fix bug when settings is changed and the
	  current thumbnail view is changed back to default icon size, but
	  the thumbnail zoom buttons are not kept in sync

2005-04-23 00:12  pahlibar

	* digikam/digikamapp.cpp (digikam_0_8_branch):

	  fix bug when settings is changed and the current thumbnail view
	  is changed back to default icon size, but the thumbnail zoom
	  buttons are not kept in sync

2005-04-22 23:31  pahlibar

	* digikam/: Makefile.am, album.cpp, album.h, albumdb.cpp,
	  albumdb.h, albumfiletip.cpp, albumfolderview.cpp,
	  albumiconitem.cpp, albumiconitem.h, albumiconview.cpp,
	  albumiconview.h, albuminfo.h, albumlister.cpp, albumlister.h,
	  albummanager.cpp, albummanager.h, digikamapp.cpp,
	  imagedescedit.cpp, imagedescedit.h, imageinfo.cpp, imageinfo.h,
	  imageproperties.cpp, tagspopupmenu.cpp (digikam_0_8_branch):

	  Working towards the design mentioned in DESIGN docs (sent to
	  digikam-devel list).	What works: * albums listing (using db) *
	  listing of files in album (using digikamalbums kioslave) * new
	  ImageInfo container as a replacement for file container   (See
	  design doc as to its features) * EXIF date (from DB) is the file
	  datetime

	  What doesn't work: * everything else :) * tag listing * tagging

	  plenty of other stuff (and it sticks closely to the design docs.
	  so please go through it) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-04-22 22:08  binner

	* digikam/albumfilecopymove.cpp, digikam/albumiconview.cpp,
	  digikam/albummanager.cpp, digikam/albumpropsedit.cpp,
	  digikam/digikamapp.cpp, digikam/digikamfirstrun.cpp,
	  digikam/imagedescedit.cpp, imageplugins/imageeffect_bwsepia.cpp,
	  imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageplugin_core.cpp, showfoto/showfoto.cpp,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/setup/setupgeneral.cpp: CVS_SILENT i18n style guide
	  fixes

2005-04-22 22:03  binner

	* digikam/albumfilecopymove.cpp, digikam/albumiconview.cpp,
	  digikam/albummanager.cpp, digikam/albumpropsedit.cpp,
	  digikam/digikamapp.cpp, digikam/digikamfirstrun.cpp,
	  digikam/imagedescedit.cpp, imageplugins/imageeffect_bwsepia.cpp,
	  imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageplugin_core.cpp, showfoto/setupslideshow.cpp,
	  showfoto/showfoto.cpp, utilities/imageeditor/imagewindow.cpp,
	  utilities/setup/setupgeneral.cpp (digikam_0_8_branch): CVS_SILENT
	  i18n style guide fixes

2005-04-22 11:12  cgilles

	* version.h, showfoto/main.cpp, digikam.lsm (digikam_0_8_branch):
	  Fix release number

2005-04-22 10:48  cgilles

	* showfoto/Makefile.am (digikam_0_8_branch): Fix

2005-04-22 10:45  cgilles

	* showfoto/showfoto.cpp (digikam_0_8_branch): fix

2005-04-22 10:41  cgilles

	* showfoto/showfoto.cpp (digikam_0_8_branch): Fix

2005-04-22 10:29  cgilles

	* showfoto/: showfoto.cpp, showfoto.h (digikam_0_8_branch): fix
	  variable name

2005-04-22 10:28  cgilles

	* showfoto/: showfoto.cpp, showfoto.h: Fix variable name

2005-04-22 10:11  cgilles

	* showfoto/: hi32-action-slideshow.png, setup.cpp, setup.h,
	  setupslideshow.cpp, setupslideshow.h, showfoto.cpp, showfoto.h,
	  showfotoui.rc, slideshow.cpp, slideshow.h (digikam_0_8_branch):
	  digikam 0.8.0: showfoto slideshow support ! CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-04-22 06:17  pahlibar

	* kioslave/: Makefile.am, digikamalbums.cpp, digikamalbums.h,
	  digikamalbums.protocol (digikam_0_8_branch):

	  beginnings of a kioslave for listing files from database for a
	  PAlbum CCMAIL: digikam-devel@lists.sourceforge.net

2005-04-22 01:14  pahlibar

	* kioslave/: digikamio.cpp, digikamtags.cpp (digikam_0_8_branch):

	  forgot to do digikam.db -> digikam-testing.db in the kioslaves

2005-04-22 00:30  pahlibar

	* digikam/scanlib.cpp (digikam_0_8_branch):

	  a todo reminder for tom

2005-04-22 00:28  pahlibar

	* digikam/scanlib.cpp (digikam_0_8_branch):

	  minor header reorganization

2005-04-21 22:21  pahlibar

	* digikam/: albumdb.cpp, albumdb.h, scanlib.cpp, scanlib.h
	  (digikam_0_8_branch):

	  general cleanup (use consistent function names and other minor
	  fixes)

2005-04-21 20:32  toma

	* digikam/albumdb.cpp (digikam_0_8_branch): One more before I get
	  fired by renchi

2005-04-21 20:25  toma

	* DESIGN (digikam_0_8_branch): Let us try to document things.

2005-04-21 20:22  toma

	* digikam/albumdb.cpp (digikam_0_8_branch): escape some + missing
	  space

2005-04-21 20:01  toma

	* digikam/: scanlib.cpp, scanlib.h (digikam_0_8_branch): They are
	  moved.

2005-04-21 19:33  toma

	* digikam/: Makefile.am, albumdb.cpp, albumdb.h, digikamapp.cpp,
	  scanlib.cpp, scanlib.h (digikam_0_8_branch): Since this is the
	  experimental branch ;-) : - Added my scanlib lib. It provides
	  some functions to keep the data on disk in sync with the
	  database.  - Put the lib into action.

	  Some of the todo's: - revert the file filter, we should add all
	  files to the db - make the thingie non-blocking the mainwindow -
	  make the check on startup optional - make a progress dialog -
	  replace kfilemetainfo to a call which only retrieves exif info
	  from jpegs - returning qmaps is not efficient, make them an
	  argument.  - some other things.

	  For now you will see some delay the first time you start digikam,
	  this is to store all missing images in the database.

2005-04-21 19:26  pahlibar

	* digikam/: albummanager.cpp, main.cpp (digikam_0_8_branch):

	  copy digikam.db in albumlibrary path to digikam-testing.db .
	  During the initial experimental phase of 0_8 development, this
	  will be the db file being used (so that developers can safely
	  work on their main album library path without risk of clobbering
	  their db)

2005-04-21 19:24  pahlibar

	* digikam/albummanager.cpp:

	  and this one too

2005-04-21 19:23  pahlibar

	* digikam/main.cpp:

	  oops committed it in the wrong revision

2005-04-21 19:19  pahlibar

	* digikam/: albummanager.cpp, main.cpp:

	  copy digikam.db in albumlibrary path to digikam-testing.db .
	  During the initial experimental phase of 0_8 development, this
	  will be the db file being used (so that developers can safely
	  work on their main album library path without risk of clobbering
	  their db) CCMAIL: digikam-devel@lists.sourceforge.net

2005-04-20 19:42  scripty

	* digikam/digikam.desktop,
	  imageplugins/digikamimageplugin_core.desktop: CVS_SILENT made
	  messages (.desktop file)

2005-04-20 07:19  cgilles

	* tips: Fix digiKam tips by Achim

2005-04-20 00:38  ach

	* README: Fix URL

2005-04-18 12:26  cgilles

	* showfoto/showfoto.cpp: Showfoto : toogle properly nav actions in
	  according with current image index in images list.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-04-18 12:00  cgilles

	* showfoto/showfoto.cpp: fix slotSave action to toogle canvas
	  properly (else, it's turn around with save dialog (:=))) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-04-17 21:50  lukas

	* digikam/: digikamapp.cpp, digikamfirstrun.cpp, imagedescedit.cpp,
	  kipiinterface.cpp: i18n fixes + parents to some dialogs (which I
	  had problems with)

2005-04-16 19:28  pahlibar

	* digikam/albumiconview.cpp:

	  if user renames file to a new name with an extension not in the
	  current list of filters, add the extension to the filter BUGS:
	  103515

2005-04-16 18:35  pahlibar

	* utilities/imageeditor/: imagepluginloader.cpp,
	  imagepluginloader.h:

	  the service name is i18ned, whereas plugin name is from ascii.
	  depending on the locale, it may or may not match. set plugin name
	  to be local8bit version of service name. otherwise, the plugin
	  will be loaded multiple times and appear multiple times in the
	  menu BUG: 103147

2005-04-16 17:42  pahlibar

	* digikam/: albumiconitem.cpp, albumiconitem.h, imagedescedit.cpp:

	  refresh the file metainfo if the user selects to save comments
	  embedded in the file.  BUGS: 103458

2005-04-16 15:44  jahrens

	* digikam/albumfolderview.cpp: Checking if a remote directory
	  really exists, isn't supported.

	  BUG: 104005

2005-04-13 18:33  dannya

	* showfoto/showfoto.desktop: Add app icon reference to .desktop
	  file...

2005-04-13 00:04  scripty

	* digikam/digikam.desktop, showfoto/showfoto.desktop: CVS_SILENT
	  made messages (.desktop file)

2005-04-12 18:19  pahlibar

	* utilities/imageeditor/imagewindow.cpp:

	  if format is empty, assume same format as source file. this fixes
	  the exifrestorer to write out exif of original file to new file
	  BUGS: 103618

2005-04-12 10:46  cgilles

	* ChangeLog: Update

v0.7.3-beta1			04/11/05
----------------------------------------------------------------------------
2005-04-11 08:56  cgilles

	* digikam.kdevelop, libs/thumbbar/thumbbar.cpp,
	  showfoto/showfoto.cpp: [no log message]

2005-04-10 11:45  cgilles

	* showfoto/showfoto-splash.png: Update showfoto splash from Joern

2005-04-10 11:32  dannya

	* imageplugins/hi32-action-adjustbcg.png,
	  imageplugins/hi32-action-contrast.png,
	  imageplugins/imageplugin_core.cpp,
	  utilities/imageeditor/hi32-action-flip.png,
	  utilities/imageeditor/hi32-action-flip_image.png,
	  utilities/imageeditor/imagewindow.cpp: Change 2 icon names to
	  more sane, existing ones...

2005-04-09 22:08  jahrens

	* showfoto/setupeditor.cpp: splash screen option in configure
	  dialog does not match the default

2005-04-09 21:46  jahrens

	* showfoto/main.cpp: CVS_SILENT added me to the author list

2005-04-09 15:50  cgilles

	* digikam/imageproperties.cpp: Fix non-initiate data in constructor

2005-04-08 13:59  cgilles

	* imageplugins/imageeffect_bwsepia.cpp: Fix i18n

2005-04-07 21:18  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:

	  fix indent

2005-04-07 21:17  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:

	  reverting patch (bringing back hack). problem in imlib2 (see bug#
	  100894).  remove when imlib2 is fixed.  BUGS: 103445

2005-04-07 09:06  cgilles

	* README: Fix depency to imlib2 1.2.0

2005-04-06 03:56  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:

	  remove hack. problem identified in imlib2

2005-04-05 23:30  toma

	* utilities/imageeditor/imagewindow.cpp: I hope nobody sees this.
	  CVS_SILENT

2005-04-05 23:16  toma

	* utilities/imageeditor/: canvas.cpp, canvas.h, imagewindow.cpp,
	  imlibinterface.cpp, imlibinterface.h: Fixed the bug where the
	  menu items thought the image was saved correctly because the
	  temporary file was successfully saved. But if the real image file
	  misses write rights, that would result in a situation where it is
	  not possible to save the modified image anymore. Bug caused by
	  implementation of wish 87105 (redo)...  BUGS:103219

2005-04-05 19:50  pahlibar

	* digikam/kipiinterface.cpp:

	  if user wants exif rotated image, he will get exif rotated image
	  (in kipi as well) CCBUGS: 103282

2005-04-05 17:32  pahlibar

	* digikam/thumbdb.cpp:

	  check if db is open before trying to close it

2005-04-05 17:31  pahlibar

	* utilities/imageeditor/: imageresizedlg.cpp, imageresizedlg.h:

	  if user has changed values and pressed ok without allowing the
	  focus to return to the resizedialog, then the changed signal is
	  not fired. so check for this change before exiting.

	  BUGS: 103243

2005-04-05 15:20  cgilles

	* showfoto/TODO: Update

2005-04-04 23:14  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h:

	  toogle -> toggle

2005-04-04 14:31  cgilles

	* showfoto/: main.cpp: Fix i18n

2005-04-04 13:21  cgilles

	* showfoto/showfoto.cpp: add current directory localtion in window
	  caption

2005-04-04 11:44  cgilles

	* showfoto/: Makefile.am, TODO, imageproperties.cpp,
	  imageproperties.h, imagepropertiesexif.cpp,
	  imagepropertiesexif.h, imagepropertiesgeneral.cpp,
	  imagepropertiesgeneral.h, imagepropertieshistogram.cpp,
	  imagepropertieshistogram.h, showfoto.cpp: Showfoto : add image
	  properties dialog like in digiKam without add libdigikam depency.

2005-04-04 10:29  cgilles

	* digikam/imageproperties.cpp, digikam/imageproperties.h,
	  digikam/imagepropertieshistogram.cpp,
	  digikam/imagepropertieshistogram.h,
	  utilities/imageeditor/imagewindow.cpp: ImageEditor and
	  HistogramProperties dialog: always showing histogram from
	  modified image in image editor, and not only from image file (if
	  not saved prealably)

2005-04-04 08:00  cgilles

	* showfoto/showfoto.cpp: Fix update thumbbar after delete

2005-04-03 21:36  cgilles

	* utilities/imageeditor/imagewindow.cpp, showfoto/showfoto.cpp: Fix
	  i18n

2005-04-03 21:01  cgilles

	* showfoto/: TODO, showfoto.cpp, showfoto.h, showfotoui.rc:
	  Showfoto : Add RMB menu

2005-04-03 19:55  cgilles

	* showfoto/: TODO, setupeditor.cpp, showfoto.cpp, showfoto.h: add
	  Move to trash/Delete File option

2005-04-03 18:21  cgilles

	* showfoto/: setup.cpp, setupplugins.cpp: Fix setup plugin dialog
	  layout

2005-04-03 18:11  cgilles

	* showfoto/showfoto.cpp: Fix

2005-04-03 18:06  cgilles

	* showfoto/: TODO, setup.cpp, showfoto.cpp, showfoto.h: disable
	  Fix-Increase/Decrease BCG if core plugin is available.

2005-04-03 18:04  cgilles

	* utilities/imageeditor/: imagepluginloader.cpp,
	  imagepluginloader.h: Add new method to check if plugin _library_
	  is loaded in memory (needed in Showfoto to check if plugin core
	  is loaded and disable BCG menu option)

2005-04-03 00:26  cgilles

	* showfoto/: setup.cpp, setup.h, setupeditor.cpp, setupeditor.h,
	  setupplugins.cpp, setupplugins.h: missing file to add

2005-04-03 00:26  cgilles

	* showfoto/TODO: update

2005-04-03 00:25  cgilles

	* showfoto/: Makefile.am, showfoto.cpp, showfoto.h,
	  showfoto.kdevelop, showfotoui.rc: Showfoto: Add setup dialog add
	  new option to toogle thumbbar in fullscreen mode.  load/unload
	  plugins dynamicly in according setup.  TODO : deletefile option

2005-04-01 23:58  cgilles

	* libs/thumbbar/thumbbar.cpp, libs/thumbbar/thumbbar.h,
	  showfoto/showfoto.cpp, showfoto/showfoto.h: Add statusbar

2005-04-01 17:16  cgilles

	* showfoto/TODO: Update

2005-04-01 17:12  cgilles

	* digikam/digikamapp.cpp, showfoto/Makefile.am,
	  showfoto/showfoto-splash.png, showfoto/showfoto.cpp,
	  showfoto/showfoto.h, utilities/splashscreen/splashscreen.cpp,
	  utilities/splashscreen/splashscreen.h: Showfoto Add splashscreen
	  support.

2005-04-01 16:52  cgilles

	* showfoto/main.cpp: Fix

2005-04-01 16:36  cgilles

	* showfoto/main.cpp: add DigikamImagePlugins locale

2005-04-01 16:32  cgilles

	* showfoto/Makefile.am, showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/Makefile.am:
	  Showfoto: add resize image option

2005-04-01 16:10  cgilles

	* showfoto/TODO: Update

2005-04-01 16:07  cgilles

	* showfoto/Makefile.am, showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/Makefile.am:
	  Shofoto : Add Print capability

2005-04-01 15:43  cgilles

	* showfoto/: TODO, showfoto.cpp, showfoto.h, showfotoui.rc: Add Key
	  shortcuts and toolbar configuration settings

2005-04-01 14:18  cgilles

	* showfoto/: TODO, showfoto.cpp, showfoto.h, showfotoui.rc: menu
	  more kde compliant Add go to First/Last image options

2005-04-01 13:03  cgilles

	* showfoto/: TODO, showfoto.cpp: Showfoto: Disable Thumbbar in Full
	  screenmode.  CCMAIL: digikam-devel@lists.sourceforge.net
	  CCBUGS:102195

2005-03-31 23:36  cgilles

	* showfoto/TODO: Update

2005-03-31 23:36  cgilles

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc: Toogle
	  internal actions.  fix menu entries.

2005-03-31 22:24  cgilles

	* imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, showfoto/showfoto.cpp,
	  showfoto/showfoto.h: Toogle image plugins actions if no image
	  available in showfoto.  Warning : BC broken CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-03-31 19:12  cgilles

	* utilities/imageeditor/: imageplugin.cpp, imageplugin.h: Add
	  virtual method to enable/disable plugin actions (needed for
	  showfoto when no current image available).

2005-03-31 18:56  cgilles

	* showfoto/: TODO, showfoto.cpp, showfoto.h, showfotoui.rc: Prompt
	  user save when new image is selected on thumbbar Add Edit/copy
	  action

2005-03-31 16:54  cgilles

	* showfoto/TODO: Update

2005-03-31 16:52  cgilles

	* showfoto/: showfoto.cpp, showfoto.h: Undo/Redo actions

2005-03-31 13:50  cgilles

	* showfoto/showfotoui.rc: Edit menu entry

2005-03-31 13:45  cgilles

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc: Download
	  plugins from memory at end

2005-03-31 00:33  toma

	* digikam/digikam.desktop: Adds a category to the desktop file.
	  File is compatible with standards, so closing the bug stating it
	  was not.  BUGS: 98466

2005-03-30 14:01  cgilles

	* imageplugins/imageplugin_core.cpp: Fix i18n

2005-03-29 19:35  pahlibar

	* showfoto/showfoto.cpp,
	  utilities/imageeditor/imagepluginloader.cpp:

	  look in digikam dirs to load plugin icons in showfoto. remove
	  frivolous debug message

2005-03-29 10:11  cgilles

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc: Add help
	  plugins menu entry

2005-03-29 09:58  cgilles

	* showfoto/TODO: Update

2005-03-29 09:47  cgilles

	* showfoto/main.cpp: fix release number

2005-03-29 09:46  cgilles

	* showfoto/: Makefile.am, cr128-app-showfoto.png,
	  cr16-app-showfoto.png, cr22-app-showfoto.png,
	  cr32-app-showfoto.png, cr48-app-showfoto.png,
	  cr64-app-showfoto.png: Add showfoto icon

2005-03-29 08:49  cgilles

	* showfoto/TODO: Update

2005-03-29 08:46  cgilles

	* digikam.kdevelop, showfoto/Makefile.am, showfoto/showfoto.cpp,
	  showfoto/showfotoui.rc, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/imagepluginloader.cpp: Showfoto now support
	  digiKam image editor plugins (digiKAm plugin core +
	  DigikamImagePlugins) Showfoto Menu Fixed.

	  Note : showfoto is a standalone digiKam image editor program !

	  TODO : - disable plugin menu entries if no current image.  -
	  writing hanbook based on digiKam handbook image editor part.	-
	  add showfoto icon.  - implemented Redo/Undo features - disable
	  Fix-Incease/Decrease BCG if core plugin is available.  - add Edit
	  menu entries like in digiKam image editor.  - add shofoto
	  settings dialog.  - disable thumbbar in full screen mode.

	  CCMAIL: digikam-devel@lists.sourceforge.net CCBUGS: 102195

2005-03-29 02:26  pahlibar

	* digikam/albumiconview.cpp:

	  reselect the renamed item to make user life simpler BUGS: 102322

2005-03-27 22:55  cgilles

	* libs/widgets/imagepreviewwidget.cpp: fix signal/slot

2005-03-27 18:24  cgilles

	* libs/widgets/imagepreviewwidget.cpp: Polish widget to reduce
	  dialog size

2005-03-26 23:29  jahrens

	* utilities/cameragui/renamecustomizer.cpp: Adjusted the renaming
	  box margin

2005-03-25 19:09  cgilles

	* utilities/imageeditor/digikamimagewindowui.rc: Add separator

2005-03-25 09:20  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: digiKam image
	  editor Adjust Levels plugin : add option to see over-exposed
	  pixels in preview effect (like with Acdsee adjust curves tool).
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-03-25 08:04  cgilles

	* libs/levels/: imagelevels.cpp, imagelevels.h: digiKam image
	  editor Adjust Levels plugin : add option to see over-exposed
	  pixels in preview effect (like with Acdsee adjust levels tool).
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-03-25 07:42  cgilles

	* libs/curves/: imagecurves.cpp, imagecurves.h: digiKam image
	  editor Adjust Curves plugin : add option to see over-exposed
	  pixels in preview effect (like with Acdsee adjust curve tool).
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-03-23 12:14  cgilles

	* libs/widgets/histogramwidget.cpp: tooltip more compliant to
	  digikam

2005-03-22 23:05  cgilles

	* libs/widgets/histogramwidget.cpp: Fix

2005-03-22 22:49  cgilles

	* libs/widgets/: histogramwidget.cpp, histogramwidget.h: Add
	  tooltip

2005-03-22 22:28  cgilles

	* libs/widgets/imageguidewidget.cpp: Add tooltip

2005-03-22 19:42  cgilles

	* libs/widgets/histogramwidget.cpp: Re-fix

2005-03-22 19:30  cgilles

	* libs/widgets/histogramwidget.cpp: Fix

2005-03-22 19:23  cgilles

	* libs/widgets/: histogramwidget.cpp, imageguidewidget.cpp,
	  imageguidewidget.h: Fix signals to sent Fix histogram color guide
	  position

2005-03-22 14:43  cgilles

	* utilities/imageeditor/: imagewindow.cpp, imagewindow.h: Fix
	  indent delete canvas in destructor

2005-03-22 14:24  cgilles

	* libs/thumbbar/thumbbar.h: make remove item public

2005-03-22 11:45  cgilles

	* showfoto/showfoto.kdevelop: fix

2005-03-22 11:38  cgilles

	* showfoto/showfoto.kdevelop: Add

2005-03-22 11:36  cgilles

	* Digikam.kdevelop, digikam.kdevelop: Fix name

2005-03-22 11:19  cgilles

	* showfoto/Makefile.am: Fix

2005-03-22 08:44  cgilles

	* libs/widgets/histogramwidget.cpp: Always disable guide in all
	  constructors

2005-03-21 15:24  cgilles

	* libs/: filters/imagefilters.cpp, levels/imagelevels.cpp,
	  levels/imagelevels.h, widgets/curveswidget.cpp,
	  widgets/histogramwidget.cpp, widgets/histogramwidget.h,
	  widgets/imageguidewidget.cpp, widgets/imageguidewidget.h: -
	  Levels API : using QColor instead uchar* - Levels Adjust plugin :
	  Add picker color tools.  - Levels Adjust plugin handbook update.
	  - White Balance / Adjust Curves / Levels Adjust plugins : mouse
	  tracking picker color like in Gimp and Photoshop.

2005-03-21 08:41  cgilles

	* libs/widgets/curveswidget.cpp: reset guide rule

2005-03-21 08:19  cgilles

	* libs/widgets/curveswidget.cpp: Add B/M/H tone separators Add
	  color guide x position

2005-03-21 08:07  cgilles

	* libs/widgets/histogramwidget.cpp: drawing B/M/H tone separator

2005-03-20 15:18  cgilles

	* libs/widgets/: curveswidget.cpp, curveswidget.h: Add new pick
	  color guide for Curve Widget (Gimp/Photoshop like) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-03-20 04:05  pahlibar

	* digikam/: listview.cpp, listview.h:

	  specify a sizehint for the listview for better layouting

2005-03-18 23:01  jahrens

	* digikam/main.cpp: Our brand new junior developer

2005-03-18 22:56  toma

	* digikam/: albumfolderview.cpp, digikamapp.cpp, digikamapp.h: -
	  This will plug the import menu in the context menu of an album.
	  - removes the "add images" from the tools menu which did not
	  belong there.  - fixes a memleak CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-03-18 17:01  cgilles

	* digikam/Makefile.am: fix

2005-03-18 16:47  cgilles

	* libs/thumbbar/thumbbar.cpp, libs/thumbbar/thumbbar.h,
	  showfoto/showfoto.cpp, showfoto/showfoto.h: Missing namespace

2005-03-18 16:40  cgilles

	* libs/Makefile.am, libs/thumbbar/.cvsignore,
	  libs/thumbbar/Makefile.am, libs/thumbbar/thumbbar.cpp,
	  libs/thumbbar/thumbbar.h, showfoto/Makefile.am,
	  showfoto/thumbbar.cpp, showfoto/thumbbar.h: Make ThumbBarView
	  like shared lib, used in showfoto and SuperImpose plugin

2005-03-18 07:52  cgilles

	* libs/widgets/imageguidewidget.cpp: Fixed mouse focus rule

2005-03-17 22:00  jahrens

	* digikam/thumbview.cpp: CVS_SILENT fixed indenting

2005-03-17 15:48  coles

	* imageplugins/imageeffect_blur.cpp:

	  CVS_SILENT

	  Corrected typo.

2005-03-17 10:21  cgilles

	* libs/widgets/: imageguidewidget.cpp, imageguidewidget.h: cross ->
	  spot

2005-03-17 07:38  cgilles

	* libs/widgets/: histogramwidget.cpp, histogramwidget.h: Add new
	  flag to limit widget fick during histogram computation for small
	  image (preview in dialog for example)

2005-03-17 06:51  cgilles

	* showfoto/Makefile.am: Fix tab

2005-03-17 00:26  jahrens

	* digikam/: albumdb.cpp, thumbview.cpp: This is a workaround, so
	  you can use the keyboard selection. But the whole selection
	  process has to be reworked. So I let this bug open as a reminder.

	  CCBUG: 101630

2005-03-16 16:09  cgilles

	* utilities/imageeditor/imagewindow.cpp: Using icon

2005-03-16 16:04  ach

	* kioslave/Makefile.am, showfoto/Makefile.am,
	  utilities/cameragui/Makefile.am: There a configure check for
	  libjpegs name.   Make use of it.  CCBUGS:98706

2005-03-16 15:57  cgilles

	* utilities/imageeditor/hi32-action-histogram.png: Add

2005-03-16 15:47  cgilles

	* showfoto/Makefile.am, showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/digikamimagewindowui.rc,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h: Patch from Alfons
	  Hoogervorst <alfons.hoogervorst@gmail.com> about histogram
	  visible while viewing photo in digiKam image editor using
	  blending.  CCBUGS: 98706 CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-03-16 13:19  cgilles

	* libs/widgets/curveswidget.cpp: Fix CurvesWidget : adjust curves
	  point to the widget size properly

2005-03-14 10:26  cgilles

	* libs/curves/imagecurves.cpp: make sure that curves is initate in
	  Smooth mode.

2005-03-14 09:25  cgilles

	* libs/widgets/: curveswidget.cpp, imageguidewidget.cpp: Fix memory
	  leak in imageguidewiget.

2005-03-13 23:49  cgilles

	* libs/widgets/: curveswidget.cpp, curveswidget.h: Add new option
	  for ReadOnly operations to the curves

2005-03-13 21:16  cgilles

	* libs/histogram/imagehistogram.cpp: Fix ++i to i++

2005-03-13 21:12  cgilles

	* libs/curves/: imagecurves.cpp, imagecurves.h: Add new method to
	  reset all data curves

2005-03-13 20:28  cgilles

	* libs/widgets/: Makefile.am, curveswidget.cpp, curveswidget.h:
	  Moving curveswidget from digikamimageplugins to digikam core.  I
	  will use this one in new WhiteBalance image editor plugin.

2005-03-13 19:39  cgilles

	* libs/widgets/: histogramwidget.cpp, histogramwidget.h: Fix ++i to
	  i++

2005-03-11 14:18  cgilles

	* libs/widgets/: imageguidewidget.cpp, imageguidewidget.h: digiKam
	  ImageGuideWidget : new method for get cursor position, get color
	  under cursor.  There are two running modes : guide tool and pick
	  up color.

2005-03-11 10:32  cgilles

	* utilities/splashscreen/digikam-splash.png: Splashscreen from
	  Andreas Fischer for 0.7.3 (from digikam 0.7.x splashscreens
	  contest)

2005-03-08 22:32  jahrens

	* utilities/imageeditor/: digikamimagewindowui.rc, imagewindow.cpp:
	  RMB menu is back to imageeditor.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-03-08 10:58  cgilles

	* imageplugins/imageeffect_blur.cpp: No need to use memcpy with
	  imagepreviewwidget

2005-03-07 22:29  jahrens

	* imageplugins/imageeffect_blur.cpp,
	  imageplugins/imageeffect_bwsepia.cpp,
	  imageplugins/imageeffect_hsl.cpp,
	  imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_rgb.cpp,
	  imageplugins/imageeffect_sharpen.cpp,
	  imageplugins/imageplugin_core.cpp,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/imageiface.cpp,
	  utilities/imageeditor/imageiface.h,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/undoaction.cpp,
	  utilities/imageeditor/undoaction.h,
	  utilities/imageeditor/undomanager.cpp,
	  utilities/imageeditor/undomanager.h: Added a history based
	  undo/redo function. The undo/redo icons in the toolbar are
	  popup-menus, which describes the actions on the image.

	  CCBUG: 87105 CCMAIL: joern.ahrens@kdemail.net

2005-03-07 16:09  pahlibar

	* imageplugins/pics/.cvsignore:

	  stfu

2005-03-07 15:39  jahrens

	* utilities/imageeditor/undomanager.cpp: CVS_SILENT: forgot some
	  debug messages

2005-03-07 14:11  jahrens

	* showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/canvas.cpp,
	  utilities/imageeditor/canvas.h,
	  utilities/imageeditor/digikamimagewindowui.rc,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/undoaction.cpp,
	  utilities/imageeditor/undoaction.h,
	  utilities/imageeditor/undocache.cpp,
	  utilities/imageeditor/undocache.h,
	  utilities/imageeditor/undomanager.cpp,
	  utilities/imageeditor/undomanager.h: Added a redo operation for
	  the image editor.  Now it is possible to undo/redo operations in
	  the image editor.  Next step is the history based undo/redo.

	  CCBUG: 87105 CCMAIL: joern.ahrens@kdemail.net

2005-03-06 20:10  pahlibar

	* digikam/albumiconview.cpp:

	  update image count after file removal BUGS: 100991

2005-03-06 19:30  pahlibar

	* tips:

	  grammatical fixed and remove the prefix "Did you know..."
	  (redundant)

2005-03-06 19:17  toma

	* tips: proofreading by a dutchman.

2005-03-06 19:07  toma

	* tips: Digikam -> digiKam < -> &lt;
	  > -> &gt;
	  BUGS:100987

2005-03-06 17:34  pahlibar

	* digikam/digikamview.cpp:

	  rename default "Open" button to "Add" in the add images dialog
	  BUGS: 100472

2005-03-04 13:32  cgilles

	* imageplugins/imageeffect_blur.cpp,
	  imageplugins/imageeffect_hsl.cpp, imageplugins/imageeffect_hsl.h,
	  imageplugins/imageeffect_sharpen.cpp,
	  imageplugins/imageeffect_sharpen.h,
	  libs/filters/imagefilters.cpp, libs/filters/imagefilters.h:
	  Moving HSL and Sharpen method to ImageFilers API

2005-03-04 12:36  cgilles

	* imageplugins/: imageeffect_blur.cpp, imageeffect_blur.h: digiKam
	  Blur image editor plugin : using gaussian blur method from
	  digiKam core instead imlib2 API

2005-03-04 12:14  cgilles

	* utilities/imageeditor/imagewindow.cpp: using local config
	  instance instead kapp instance

2005-03-04 10:18  cgilles

	* README, digikam.lsm, version.h,
	  utilities/imageeditor/imagewindow.cpp, utilities/setup/setup.cpp,
	  utilities/setup/setup.h, utilities/setup/setupcamera.cpp,
	  utilities/setup/setupcollections.cpp,
	  utilities/setup/setupeditor.cpp, utilities/setup/setupmime.cpp:
	  Fixed Digikam --> digiKam

2005-03-03 16:18  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: Digikam Ratio Crop tool :
	  using dedicaced setting field in cmain configuration file.
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-03-03 10:23  cgilles

	* imageplugins/imageeffect_bwsepia.cpp: Fix i18n

2005-03-03 09:55  cgilles

	* imageplugins/imageeffect_bwsepia.cpp: Fix i18n

2005-03-03 09:39  cgilles

	* imageplugins/: digikamimageplugin_core_ui.rc,
	  imageplugin_core.cpp: Fix menu entry

2005-03-03 07:51  cgilles

	* ChangeLog, digikam.lsm, version.h: Fix release number to
	  0.7.3-beta1

2005-03-02 22:03  toma

	* digikam/: albumpropsedit.h, albumpropsedit.cpp: Got a tutorial
	  from Jokele and this is the result.

2005-03-02 17:55  toma

	* AUTHORS, digikam/albumpropsedit.cpp, digikam/albumpropsedit.h:
	  This adds a new button to the album properties which calculates
	  the average date of the images in the album based on the EXIF
	  headers or the modification date of the images if the exif
	  headers are not available. It sets the date property of the album
	  to the average date. Includes the documentation.

2005-03-02 14:36  cgilles

	* imageplugins/Makefile.am, imageplugins/imageeffect_bwsepia.cpp,
	  imageplugins/imageeffect_bwsepia.h,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, imageplugins/pics/Makefile.am,
	  imageplugins/pics/browntone.png, imageplugins/pics/bwgreen.png,
	  imageplugins/pics/bworange.png, imageplugins/pics/bwred.png,
	  imageplugins/pics/bwyellow.png, imageplugins/pics/coldtone.png,
	  imageplugins/pics/neutralbw.png, imageplugins/pics/platinum.png,
	  imageplugins/pics/selenium.png, imageplugins/pics/sepia.png,
	  libs/filters/Makefile.am, libs/filters/imagefilters.cpp,
	  libs/filters/imagefilters.h: New digiKam image editor plugin for
	  black and white conversion :

	  - Since digikam include colors channel mixer, using this one for
	  BW conversion. Give best results than old implementation. BW
	  conversion are based on gimpguru.org tutorial
	  (http://www.gimpguru.org/Tutorials/Color2BW).

	  - This plugin have a dialog with preview effect. Look the
	  screenshot at this url :
	  http://digikam3rdparty.free.fr/digikamimageplugins-2005/blackandwhiteconverter.png

	  - Provide BW filters are :   * Neutral BW,   * BW with Green
	  filter(NEW),	 * BW with Orange filter(NEW),	 * BW with Red
	  filter(NEW),	 * BW with Yellow filter(NEW),	 * Sepia,   *
	  Brown,   * Cold,   * Selenium,   * Platinum.

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-03-02 12:53  cgilles

	* imageplugins/: hi32-action-browntone.png,
	  hi32-action-coldtone.png, hi32-action-neutralbw.png,
	  hi32-action-platinium.png, hi32-action-selenium.png,
	  hi32-action-sepia.png: remove

2005-03-02 09:25  ach

	* digikam/main.cpp, showfoto/main.cpp: we already had a release
	  this year


v0.7.2				28/02/05
----------------------------------------------------------------------------
2005-02-28 15:26  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Fix copyright.
	  Fix colors ordering in gaussian blur

2005-02-27 00:31  cgilles

	* libs/filters/imagefilters.cpp: Channel mixer: fixed inversion
	  between red and blue channels

2005-02-25 16:27  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Add channel
	  mixer for future image plugin.

2005-02-25 11:34  cgilles

	* libs/widgets/: imageguidewidget.cpp, imageguidewidget.h: Fix
	  mouse tracking for cross postion at lauch widget.  Add new method
	  for get cross position and set cross visible (for future image
	  plugins)

2005-02-25 10:05  cgilles

	* libs/widgets/: imagepaniconwidget.cpp, imagepaniconwidget.h:
	  Improve double buffering.  Fix mouse right click focus running.

2005-02-25 07:44  cgilles

	* digikam/digikamfirstrun.cpp: Fix i18n

2005-02-24 07:33  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: New gaussian
	  blur filter used in image editor plugins

2005-02-24 02:20  pahlibar

	* utilities/imageeditor/imagewindow.cpp:

	  prompt for save if image has been modified and user tries to open
	  a new file

2005-02-23 11:22  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Fix antialias
	  method to smartblur

2005-02-22 10:57  cgilles

	* digikam/imagepropertieshistogram.cpp: No need to have Qimage
	  alpha buffer enable.

2005-02-22 10:54  cgilles

	* libs/widgets/imageregionwidget.cpp: No need to enable QImage
	  alphaBuffer

2005-02-21 15:55  cgilles

	* libs/widgets/imageselectionwidget.cpp: Fixed bug #91378, comments
	  #6 CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-21 05:37  pahlibar

	* kioslave/digikamio.cpp:

	  when copying files over, set the file modification time to that
	  of src file BUG: 99896

2005-02-20 19:19  pahlibar

	* utilities/imageeditor/imagewindow.cpp:

	  the toolbar "name" got changed in the transition to kmainwindow.
	  change. fixes bug with toolbar not hiding in full screen mode

2005-02-20 19:05  pahlibar

	* utilities/setup/setupcamera.cpp:

	  do the same for auto-detect in setup as in main window
	  auto-detect

2005-02-17 16:47  pahlibar

	* digikam/digikamapp.cpp, utilities/imageeditor/undocache.cpp:

	  make sure the undo cache is properly emptied if the user closes
	  the main window instead of the image window first

2005-02-17 16:15  pahlibar

	* utilities/cameragui/cameraiconview.cpp:

	  use localtime and not utc to generate the exif based filename
	  BUGS: 99544

2005-02-16 19:49  pahlibar

	* digikam/albumfiletip.cpp:

	  Better solution. escape all html characters CCBUGS: 99500

2005-02-16 02:13  pahlibar

	* digikam/: albumfiletip.cpp, imagedescedit.cpp:

	  show tooltip text as actual text. also set format in
	  commentseditor to use plaintext BUGS: 99500

2005-02-15 23:28  ach

	* digikam/main.cpp, showfoto/main.cpp: oh,oh msg freeze. revert

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-15 21:54  ach

	* digikam/main.cpp, showfoto/main.cpp: you were not that lazy this
	  year ;)

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-15 12:40  lukas

	* showfoto/main.cpp: show the app translated

2005-02-14 11:16  cgilles

	* imageplugins/imageplugin_core.cpp: Fix icon name

2005-02-14 09:18  cgilles

	* Makefile.am: Patch from Laurent Montel

2005-02-11 23:21  pahlibar

	* digikam/: albumiconitem.cpp, albumiconitem.h, thumbitem.cpp,
	  thumbitem.h:

	  these methods should be const

2005-02-11 20:26  jahrens

	* digikam/: albumiconitem.cpp, albumiconitem.h, albumiconview.cpp,
	  albumiconview.h, thumbview.cpp, thumbview.h: We just decided not
	  to make this behavior configurable.  So it's possible to commit
	  before 0.7.2 release.

	  Hey Achim, no more reason to walk in circles. Stop walking and
	  update ;-)

	  BUG: 88805

2005-02-11 18:33  pahlibar

	* digikam/main.cpp:

	  insert the catalogues for kipiplugins and digikamimageplugins so
	  that the tips can be translated properly

2005-02-10 18:41  pahlibar

	* libs/filters/imagefilters.cpp:

	  suppress compiler warning

2005-02-09 21:14  adridg

	* kioslave/parse.c: compile on non-linux

2005-02-09 15:47  adrian

	* digikam/digikam.desktop: remove .png icon extentsion, because it
	  might break the svg support in some icon theme.

2005-02-09 13:14  cgilles

	* libs/filters/: imagefilters.cpp, imagefilters.h: Bugfix: Missing
	  to add antialiasing filter after apply an affine transformation
	  to an image.	CCMAIl: digikam-devel@list.sourceforge.net



v0.7.2-beta1			08/02/05
----------------------------------------------------------------------------

2005-02-08 12:17  cgilles

	* ChangeLog: Updated for 0.7.2-beta1 release

2005-02-08 10:29  cgilles

	* digikam.lsm, version.h: UPdate

2005-02-07 22:06  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  fix conflict between accels for crop and copy

2005-02-07 21:34  adridg

	* configure.in.in: Obey settings

2005-02-07 17:17  cgilles

	* utilities/imageeditor/: canvas.cpp, canvas.h,
	  digikamimagewindowui.rc, imagewindow.cpp, imagewindow.h: digiKam
	  image editor : -Add new 'Edit' menu entry.  -Move 'undo' action
	  in (standard KDE) -Add new 'copy' action to copy current
	  selection to clipboard. You can paste this selection in other
	  application like Kolorpaint, Gimp, Kword, etc...

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-07 16:57  cgilles

	* imageplugins/imageplugin_core.cpp: fix broken slot

2005-02-07 08:14  pahlibar

	* showfoto/Makefile.am, utilities/imageeditor/undocache.cpp:
	  in retrospect, storing the undolevels in a gdbm database was a
	  bad idea. by storing the individual undo levels in plain binary
	  cache files, a 10x speedup in saving/restoring undo level is
	  gained CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-07 03:56  pahlibar

	* imageplugins/: imageplugin_core.cpp, imageplugin_core.h:
	  platinum spelled incorrectly

2005-02-06 19:36  pahlibar

	* utilities/imageeditor/undocache.cpp:
	  use a unique name for the undocache db file, using the appname
	  and pid

2005-02-06 19:08  pahlibar

	* showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/undoaction.cpp,
	  utilities/imageeditor/undoaction.h:
	  * Add changing brightness, contrast, gamma (used in showfoto)
	  also as reversible actions.  * Add undo capability for showfoto
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-06 18:50  pahlibar

	* showfoto/Makefile.am, utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/canvas.cpp, utilities/imageeditor/canvas.h,
	  utilities/imageeditor/digikamimagewindowui.rc,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h,
	  utilities/imageeditor/undoaction.cpp,
	  utilities/imageeditor/undoaction.h,
	  utilities/imageeditor/undocache.cpp,
	  utilities/imageeditor/undocache.h,
	  utilities/imageeditor/undomanager.cpp,
	  utilities/imageeditor/undomanager.h:
	  Undo for digiKam image-editor. The undo-stack design is very
	  simple: actions are either reversible (rotate,flip) or
	  irreversible (rest of the actions and all of the plugin actions).
	  The reversible undos are implemented by just saving the commands
	  and for the irreversible undos image copies are saved into a
	  temporary database.

	  At some later stage, this will be improved and redos & "History
	  based undo-redo" will be implemented BUG: 87105

2005-02-05 22:01  pahlibar

	* imageplugins/imageeffect_ratiocrop.cpp:
	  optimize by avoiding one image copy

2005-02-05 19:41  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  when we create a new image using data created on the fly and set
	  it as the main image, replacing the existing image, make sure to
	  copy the image format over. otherwise the image format is empty
	  and in some cases, the compression values will not be applied
	  correctly CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-05 19:23  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: simplify crop
	  implementation. remove imlib2 depency

2005-02-05 16:38  pahlibar

	* digikam/digikamapp.cpp:
	  that should be add images and not import folders

2005-02-05 00:20  toma

	* digikam/digikamapp.cpp: This adds "Import folders..." to the
	  context menu of the album.  Solution idea by Renchi, reviewed by
	  Renchi & approved by Renchi.	BUG: 96369

2005-02-03 18:58  cgilles

	* imageplugins/digikamimageplugin_core_ui.rc: Added action icon

2005-02-03 13:05  cgilles

	* imageplugins/: hi32-action-neutralbw.png, imageplugin_core.cpp:
	  Fix icon

2005-02-03 12:47  cgilles

	* imageplugins/: hi32-action-browntone.png,
	  hi32-action-coldtone.png, hi32-action-neutralbw.png,
	  hi32-action-platinium.png, hi32-action-selenium.png,
	  hi32-action-sepia.png, imageplugin_core.cpp: Add more icon
	  actions yet

2005-02-03 10:21  cgilles

	* imageplugins/: hi32-action-autolevels.png,
	  hi32-action-equalize.png, hi32-action-normalize.png,
	  hi32-action-stretchcontrast.png, imageplugin_core.cpp: Added more
	  action icons

2005-02-03 09:15  ach

	* libs/widgets/Makefile.am: exporting .h instead of .cpp. Fixes
	  digikamimageplugins build outside cvs.

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-03 08:10  cgilles

	* imageplugins/: hi32-action-blurimage.png,
	  hi32-action-bwtonal.png, hi32-action-invertimage.png,
	  hi32-action-ratiocrop.png, hi32-action-sharpenimage.png,
	  imageplugin_core.cpp: Add new icon actions

2005-02-02 19:01  pahlibar

	* imageplugins/digikamimageplugin_core_ui.rc,
	  utilities/imageeditor/digikamimagewindowui.rc:
	  allow plugging of plugin actions into imagewindow toolbar

2005-02-02 17:57  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  allow setting of shortcuts for the plugins. toolbar is proving to
	  be a fight CCMAIL: digikam-devel@lists.sourceforge.net

2005-02-02 17:19  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  manually read/save the mainwindowsettings to force flushing the
	  config properly, so that the window size is correctly restored

2005-02-02 17:00  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  make sure imageviewer windowsize is correctly restored everytime

2005-02-02 16:51  pahlibar

	* utilities/imageeditor/imagewindow.cpp:
	  popupmenu temporarily disabled. don't crash

2005-02-02 16:34  cgilles

	* imageplugins/hi32-action-adjustbcg.png,
	  imageplugins/hi32-action-adjusthsl.png,
	  imageplugins/hi32-action-adjustrgb.png,
	  imageplugins/imageplugin_core.cpp,
	  utilities/imageeditor/hi32-action-flip_image.png,
	  utilities/imageeditor/hi32-action-resize_image.png,
	  utilities/imageeditor/imagewindow.cpp: Add menu icons

2005-02-02 13:42  cgilles

	* imageplugins/: Makefile.am, hi32-action-redeyes.png,
	  imageplugin_core.cpp: redeyes correction icon

2005-02-02 12:56  cgilles

	* utilities/imageeditor/imagewindow.cpp: Fix blank line

2005-02-02 10:03  cgilles

	* utilities/imageeditor/imagewindow.cpp: Always use image editor
	  windows instance for child dialogs creation

2005-02-02 09:53  cgilles

	* utilities/imageeditor/: digikamimagewindowui.rc, imagewindow.cpp,
	  imagewindow.h: Restored image plugins help menu entry

2005-02-01 23:17  pahlibar

	* digikam/Makefile.am, digikam/albumiconview.cpp,
	  digikam/digikamapp.cpp, imageplugins/Makefile.am,
	  imageplugins/digikamimageplugin_core_ui.rc,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, libs/Makefile.am,
	  libs/guibuilder/.cvsignore, libs/guibuilder/Makefile.am,
	  libs/guibuilder/guiclient.cpp, libs/guibuilder/guiclient.h,
	  libs/guibuilder/guifactory.cpp, libs/guibuilder/guifactory.h,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/digikamimagewindowui.rc,
	  utilities/imageeditor/imageguiclient.cpp,
	  utilities/imageeditor/imageguiclient.h,
	  utilities/imageeditor/imageplugin.cpp,
	  utilities/imageeditor/imageplugin.h,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h:
	  * Replaced native dynamic guibuilder system with kde xmlgui one *
	  Core plugin ported to use the new system * Toolbars and shortcuts
	  are now configurable within the imageviewer BUG: 96940

2005-02-01 11:23  cgilles

	* libs/widgets/: imageselectionwidget.cpp, imageselectionwidget.h:
	  Fix missing delete timer in destructor

2005-02-01 00:01  jahrens

	* digikam/digikamapp.cpp: Yep Achim, you're right.

	  BUG: 98305

2005-01-31 20:21  pahlibar

	* digikam/: albumiconview.cpp, kipiinterface.cpp:
	  hold the file dates separately from the kfileitems and on
	  refresh, reread the file dates and resort the items.	BUG: 98189

2005-01-31 20:04  pahlibar

	* digikam/: albumiconitem.cpp, albumiconitem.h, albumiconview.cpp,
	  albumiconview.h, albumitemhandler.h, albummanager.cpp,
	  albummanager.h, kipiinterface.cpp:
	  clean up. use kurl everywhere to prevent unnecessary
	  kurl::list<->qstringlist conversions.  use a separate member
	  variable for time in albumiconitem. to be used for fixing 98189

2005-01-31 18:53  pahlibar

	* digikam/thumbview.cpp, digikam/thumbview.h,
	  utilities/cameragui/cameraiconview.cpp:
	  * expose delayed update function in thumbview * make use of it in
	  camera icon view

2005-01-31 18:51  pahlibar

	* utilities/splashscreen/splashscreen.cpp:
	  don't hardcode fontsizes in

2005-01-31 00:52  jahrens

	* utilities/splashscreen/: splashscreen.cpp, splashscreen.h:
	  Additional animation while displaying messages on the splash
	  screen.

	  CCMAIL: digikam-devel@lists.sourceforge.net,
	  joern.ahrens@kdemail.net

2005-01-30 22:13  cgilles

	* digikam/digikamapp.cpp,
	  utilities/imageeditor/imagepluginloader.cpp: Showing the real
	  plugins number loaded at starting time to the splashcreen
	  (plugins list set in setup dialog) CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-30 21:46  cgilles

	* digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/imageeditor/Makefile.am,
	  utilities/imageeditor/imagepluginloader.cpp,
	  utilities/imageeditor/imagepluginloader.h: Launching loading
	  ImagePlugins progress in Splashcreen like kipi-plugins.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-30 06:13  scripty

	* digikam/digikam.desktop,
	  imageplugins/digikamimageplugin_core.desktop,
	  kioslave/digikamio.protocol, kioslave/digikamtags.protocol,
	  kioslave/digikamthumbnail.protocol, showfoto/showfoto.desktop,
	  utilities/imageeditor/digikamimageplugin.desktop: CVS_SILENT made
	  messages (.desktop file)

2005-01-30 01:53  jahrens

	* digikam/digikamapp.cpp, digikam/digikamapp.h, digikam/main.cpp,
	  utilities/splashscreen/splashscreen.cpp,
	  utilities/splashscreen/splashscreen.h: Display status messages on
	  the splash screen while initializing digikam.

	  CCMAIL: digikam-devel@lists.sourceforge.net,
	  joern.ahrens@kdemail.net

2005-01-28 21:55  pahlibar

	* configure.in.in:
	  remove local pkg-config checks. its in kde-common now with better
	  checking for pc files in the kde prefix and destination prefix
	  (thanks, dfaure)

2005-01-28 13:53  cgilles

	* imageplugins/: imageeffect_bwsepia.cpp, imageeffect_bwsepia.h,
	  imageplugin_core.cpp, imageplugin_core.h: digiKam filters : new
	  classic Black and White photograph tonal Convertion: - Neutral
	  BW.  - Sepia.  - Selenium.  - Platinium - Cold-Tone.	- Brown.

	  Re-organize 'Convert to' filters option with a sub-menu.

	  CCMAIl:digikam-devel@lists.sourceforge.net

2005-01-28 09:23  cgilles

	* utilities/splashscreen/digikam-splash.png: Update spashcreen for
	  0.7.2

2005-01-27 23:39  jahrens

	* digikam/albumfolderview.cpp: BUG: 98026

2005-01-27 15:43  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Finalize digiKam ratio crop
	  tool

2005-01-27 11:21  amantia

	* digikam/Makefile.am, digikam/imagedescedit.cpp,
	  utilities/cameragui/Makefile.am,
	  utilities/imageeditor/Makefile.am, utilities/setup/Makefile.am:
	  Most of digikam does not compile with --enable-final.

2005-01-27 11:16  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp: Aspect ratio crop digiKam
	  tool : -fix minimum selection area to a visible size (50x50).
	  -auto-correction of selection area width/height when mouse resize
	  event CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-25 08:57  cgilles

	* utilities/imageeditor/imagepluginloader.cpp: BugFix : digiKam
	  image plugin core must be loaded at the before all others image
	  plugins for create a consistant menu contruction in Image Editor.
	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-25 07:51  cgilles

	* utilities/: imageeditor/imagewindow.cpp, setup/setupeditor.cpp:
	  Fix PNG compression and JPEG quality min and max values

2005-01-24 22:35  cgilles

	* libs/: filters/imagefilters.cpp, histogram/imagehistogram.cpp,
	  histogram/imagehistogram.h: digikam histogram computation
	  implementation : no need to have a bool flag for indicate to use
	  a threaded/unthreaded computation method. We can use parent
	  instance id instead.

2005-01-24 21:42  cgilles

	* imageplugins/imageplugin_core.cpp: Fix menu entries order

2005-01-24 16:25  cgilles

	* utilities/: imageeditor/imagewindow.cpp, setup/setupeditor.cpp:
	  Bug #97777 : digikam image editor PNG compression settings use
	  same limit that Photoshop and gimp CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-24 15:04  cgilles

	* utilities/setup/setupeditor.cpp: Bug #97777: digiKam image editor
	  setup : fixed 'JPEG Compression' by 'JPEG Quality' CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-24 14:46  cgilles

	* digikam/Makefile.am, imageplugins/Makefile.am,
	  imageplugins/imageeffect_colorsenhance.cpp,
	  imageplugins/imageeffect_colorsenhance.h,
	  imageplugins/imageplugin_core.cpp,
	  imageplugins/imageplugin_core.h, libs/Makefile.am,
	  libs/filters/.cvsignore, libs/filters/Makefile.am,
	  libs/filters/imagefilters.cpp, libs/filters/imagefilters.h:
	  digiKam image editor: - Add Image colors enhance filter in shared
	  lib for DigikamImagePlugins.	- Fix old Normalize option like
	  Stretch Contrast.  - Add new option Normalize using Gimp 2.x
	  algorithm.

	  Digikamimageplugins : - Fixed configure tests for using new
	  digiKam filters lib.	- AntiVignetting plugin use new Normalize
	  filter for digiKam core.

	  CCMAIL : digikam-devel@lists.sourceforge.net

2005-01-24 08:58  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: digiKam ratio Crop tool: reset selection
	  area with ratio properties are changed.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-24 08:53  cgilles

	* libs/widgets/: Makefile.am, imageguidewidget.cpp,
	  imageguidewidget.h, imageselectionwidget.cpp,
	  imageselectionwidget.h: Added common guide widget (from
	  FreeRotation tool) used in : - FreeRotation plugin.  - ShearTool
	  plugin.  - LensDistortion plugin.

2005-01-22 14:50  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: digiKam Aspect Ratio Crop
	  tool : Added a new option for to set the selection area to the
	  max. size accordinly with the current aspect ratio.  CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-22 11:56  cgilles

	* libs/widgets/imageselectionwidget.cpp: digiKam Aspect Ratio crop
	  tool : improve draging selection area control

2005-01-22 10:30  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp: digiKam Aspect Ratio Crop
	  tool : remember X/Y position and width/height selection CCMAIL:
	  digikam-devel@lists.sourceforge.net

2005-01-21 16:29  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Bug fix in digiKam Aspect
	  ratio crop tool : separate width and height "selection change"
	  signals for to update dialog informations.

2005-01-21 12:51  cgilles

	* libs/widgets/imageselectionwidget.cpp: Increase drag corner sizes

2005-01-21 08:03  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Aspect Ratio Crop tool
	  digiKam image editor: added 'Rule Third Lines' guides for to help
	  users to compose a photograph.

	  'Rule Third Lines' guides are based on the 'golden rule' therory
	  used by the most popular photographers (this theory is based on
	  the Fibonacci works).

	  If you want more informations about to use 'Rule Third Lines',
	  please read at this url :
	  http://www.megapixel.net/html/issueindex.php?lang=en

	  CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-20 06:01  scripty

	* kioslave/: digikamio.protocol, digikamtags.protocol,
	  digikamthumbnail.protocol: CVS_SILENT made messages (.desktop
	  file)

2005-01-19 07:58  cgilles

	* libs/widgets/imageselectionwidget.cpp: minor fix

2005-01-19 00:21  pahlibar

	* showfoto/thumbbar.cpp:
	  this should be at the bottom

2005-01-18 01:03  pahlibar

	* showfoto/: thumbbar.cpp, thumbbar.h:
	  tooltip support for showfoto

2005-01-17 22:41  jahrens

	* digikam/digikamapp.cpp: setAutoSaveSettings() was called too
	  early. for imagewindow we need another solution.

	  CCBUG: 96940

2005-01-17 15:41  coles

	* digikam/cameralist.cpp, imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_redeye.cpp,
	  imageplugins/imageeffect_sharpen.cpp,
	  kioslave/digikamthumbnail.cpp:

	  CVS_SILENT

	  Corrected typos.

2005-01-17 06:04  mueller

	* configure.in.in, libs/widgets/imageselectionwidget.h: fix
	  compilation

2005-01-15 12:37  cgilles

	* digikam/albumiconitem.cpp: Apply patch from Carsten GroB
	  <carsten@siski.de> for fix album icon item date i18n using kde
	  API.	CCMAIL: digikam-devel@lists.sourceforge.net

2005-01-15 01:42  jahrens

	* digikam/: digikamapp.cpp, digikamapp.h: BUG: 96941

2005-01-13 21:30  pahlibar

	* digikam/kipiinterface.cpp:
	  pick image list sorted as in current view for tag albums, when
	  the list is sent to kipi-plugins BUG: 96895

2005-01-07 05:44  pahlibar

	* imageplugins/imageeffect_sharpen.cpp:
	  imlib2 sharpen function is broken. replaced with sharpening
	  filter fudged from gimp BUG: 96290

2005-01-06 22:13  pahlibar

	* kioslave/: Makefile.am, digikamthumbnail.cpp, parse.c:
	  partial fix for #96459. try parse.c from dave coffin before
	  trying dcraw to see if we can actually extract the thumbnail from
	  the images. the speed difference doesn't seem too substantial
	  though CCBUG: 96459

2005-01-05 18:06  pahlibar

	* digikam/: cameralist.cpp, cameralist.h, digikamapp.cpp:
	  if we fail to auto-detect the camera at the initial startup, give
	  an option to the user to retry

2005-01-05 17:48  pahlibar

	* utilities/cameragui/cameraiconview.cpp:
	  fixed broken selection for "undownloaded" (new) images BUG: 92977

2005-01-04 22:53  deller

	* version.h: micro-optimization, aproved by Caulier Gilles CCMAIL:
	  Caulier Gilles <caulier.gilles@free.fr>

2005-01-03 18:48  pahlibar

	* ChangeLog:
	  update changelog for release

2005-01-03 18:43  pahlibar

	* version.h:
	  bump up version number

v0.7.1				03/01/05
----------------------------------------------------------------------------
2004-12-29 19:06  pahlibar

	* showfoto/: thumbbar.cpp, thumbbar.h:
	  optimize the repaints. paint only whats needed

2004-12-29 13:13  pahlibar

	* utilities/cameragui/: cameraui.cpp, dirselectdialog.cpp,
	  dirselectdialog.h:
	  Allow downloading of albums into sub auto-albums of root album
	  (if and only if Auto album creation option is checked) BUG: 95965

2004-12-28 21:55  pahlibar

	* utilities/cameragui/: Makefile.am, cameracontroller.cpp,
	  cameraiconview.cpp, dkcamera.cpp, dkcamera.h, gpcamera.cpp,
	  gpcamera.h, umscamera.cpp, umscamera.h:
	  * abstracted out the camera interface * separate implementations
	  for gphoto2 supported cameras and usb mass   storage cameras *
	  the usb mass storage cameras now do direct file io operations
	  instead of   relying on gphoto2 "directory browse" driver * all
	  files (as specified by file extensions) can be browsed using the
	  new	usb mass storage camera interface

2004-12-28 17:06  pahlibar

	* kioslave/: digikamthumbnail.cpp, digikamthumbnail.h:
	  Use dcraw to generate a quick-image to generate thumbnails for
	  raw images. Its more reliable than using Dave Coffin's parse.c in
	  extracting images and the generation speed seems reasonable
	  BUG: 90875

2004-12-27 15:42  pahlibar

	* utilities/setup/setupcamera.cpp:
	  just check in the currently listed cameras in the listview to
	  prevent adding the auto-detected cameras multiple times.  BUG:
	  95880

2004-12-24 03:21  cgilles

	* imageplugins/imageeffect_colorsenhance.cpp,
	  libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h: Fixed Bug 95744 (Digikam crashes
	  when selecting "Automatic level" in the editor) : Since histogram
	  calculation use a thread, i have missing to add a non-threaded
	  calculation for this operation : - AutoLevels.  - Normalize.	-
	  Equalize.  Fixed Histogram lib and imageplugin core
	  implementation.  CCMAIL: digikam-devel@lists.sourceforge.net'

2004-12-24 03:20  cgilles

	* imageplugins/imageeffect_colorsenhance.cpp,
	  libs/histogram/imagehistogram.cpp,
	  libs/histogram/imagehistogram.h: Fixed Bug 95744 (Digikam crashes
	  when selecting "Automatic level" in the editor) : Since histogram
	  calculation use a thread, i have missing to add a non-threaded
	  calculation for this operation :
	  - AutoLevels.  - Normalize.  - Equalize.
	  Fixed Histogram lib and imageplugin core implementation.


2004-12-23 15:49  pahlibar

	* utilities/imageeditor/imlibinterface.cpp:
	  a quick christmas gift before i leave. digiKam and showFoto can
	  now load and display all the "useless" formats which imlib2
	  doesn't support, but kde does (for eg: eps, ico, exr, JPEG 2000,
	  ...)

2004-12-22 16:20  cgilles

	* digikam/imagedescedit.cpp, digikam/imageproperties.cpp,
	  utilities/imageeditor/imagewindow.cpp: Do ensure visible current
	  album thumb item in main window when Next/prev button is actived
	  in Properties Dialog/Description Dialog/ImageEditor.

2004-12-22 13:49  pahlibar

	* digikam/: albumfolderview.cpp, albumpropsedit.cpp,
	  albumsettings.cpp:
	  * sort collections by names * fix an issue with empty collections
	  showing up if the saved collection list   has an empty collection
	  BUG: 95669

2004-12-22 07:44  cgilles

	* utilities/imageeditor/imagewindow.cpp: Thumbs actived in current
	  Album Window follows current image selected in Image Editor.

2004-12-21 12:11  pahlibar

	* kioslave/Makefile.am:
	  added libpng explicitly to the linker flags BUG: 95582

2004-12-21 12:00  pahlibar

	* kioslave/digikamio.cpp:
	  fixed broken copy of a src file with non-latin chars in its path
	  to any destination album. some encoding qcstring->qstring voodoo


v0.7.1-beta2			20/12/04
----------------------------------------------------------------------------
2004-12-20 15:11  pahlibar

	* configure.in.in:
	  make sure to check for libkexif 0.2 version

2004-12-20 13:21  pahlibar

	* digikam/albumdb.cpp:
	  revert back to using local8bit as moving to fromutf8 breaks
	  backward compatibility for "C" locale users

2004-12-20 13:18  pahlibar

	* kioslave/digikamthumbnail.cpp:
	  fix endianness issue in loading png thumbnails

2004-12-18 15:16  cgilles

	* utilities/splashscreen/digikam-splash.png: Updated official 0.7.1
	  release splashscreen from Yemu

2004-12-18 04:17  cgilles

	* digikam/imagedescedit.cpp: kexif.h have been changed to
	  kexifwidget.h.  Bug reported by Laurent Montel from MandrakeSoft

v0.7.1-beta1			17/12/04
----------------------------------------------------------------------------
2004-12-17 12:17  cgilles

	* imageplugins/: imageeffect_colorsenhance.cpp,
	  imageeffect_colorsenhance.h, imageplugin_core.cpp,
	  imageplugin_core.h: Added invert color method for positive image
	  correction.

2004-12-17 11:15  cgilles

	* digikam/imagedescedit.cpp, digikam/imagedescedit.h,
	  utilities/imageeditor/imagewindow.cpp: Image Description dialog:
	  disable Next/Prv button if launched from Image Editor like Image
	  Properties Dialog.

2004-12-17 00:10  cgilles

	* digikam/: imagedescedit.cpp, imageproperties.cpp: Follow selected
	  item from image properties / image description dialogs in current
	  album

2004-12-15 21:10  pahlibar

	* digikam/: imageproperties.cpp, imagepropertieshistogram.cpp,
	  imagepropertieshistogram.h:
	  fix regression. show selected area histograms as well

2004-12-15 14:40  pahlibar

	* digikam/imagepropertiesexif.cpp:
	  make sure that the level currently selected in the exif view is
	  properly restored

2004-12-15 14:31  pahlibar

	* digikam/Makefile.am, digikam/albumiconview.cpp,
	  digikam/imageproperties.cpp, digikam/imageproperties.h,
	  digikam/imagepropertiesexif.cpp, digikam/imagepropertiesexif.h,
	  digikam/imagepropertiesgeneral.cpp,
	  digikam/imagepropertiesgeneral.h,
	  digikam/imagepropertieshistogram.cpp,
	  digikam/imagepropertieshistogram.h, showfoto/showfoto.cpp,
	  utilities/cameragui/cameracontroller.cpp,
	  utilities/imageeditor/imagewindow.cpp,
	  utilities/imageeditor/imagewindow.h:
	  * imageproperties has been split into four classes: three for
	  individual pages   and one for the wrapper to build the dialog *
	  code cleanup galore * use the new embeddable exif widget to build
	  the exif page.  * exif thumbnail option removed * exif list can
	  be shown in two modes (simple - only the EXIF ifd and full -
	  all the EXIF ifds) * imageproperties dialog works in two modes,
	  one activated from the albumiconview,   allows user to traverse
	  through the items, second activated from the imageviewer,   a
	  single item view (need to add a third option to run it with
	  supplied image data	to show the correct histogram for the
	  updated image in the imageviewer) * regression checks requested.

2004-12-15 04:26  pahlibar

	* digikam/albumfolderview.cpp:
	  fix issue with dragitem persisting inspite of mouse button having
	  being released

2004-12-15 04:12  pahlibar

	* digikam/albumfolderview.cpp:
	  do not jump around when an album has been renamed

2004-12-15 03:41  pahlibar

	* digikam/: albumdb.cpp, main.cpp:
	  * disable autorename of albums in db as it can cause problems
	  with user   changing his locale settings * save the current
	  locale setting and warn the user (with option to bail   out and
	  correct the locale) if we detect a locale change from previous
	  run

2004-12-14 12:57  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: Aspect ratio crop tool : remember
	  settings.

2004-12-14 07:56  pahlibar

	* imageplugins/: imageeffect_redeye.cpp, imageplugin_core.cpp:
	  keep the redeye correction tool enabled always. if there is no
	  selection, have a passivepopup popup informing user what to do.
	  the popup hides itself after a short delay or when user clicks on
	  it

2004-12-13 06:35  pahlibar

	* digikam/albumfiletip.cpp:
	  removed the owner and file permissions from the tooltip. takes up
	  space and not a very useful parameter (you can access full info
	  through the file properties dialog anyways)

2004-12-13 06:20  pahlibar

	* imageplugins/imageeffect_ratiocrop.cpp:
	  to add a child layout to a widget which already has a layout,
	  create it first with no parent and then insert it into the
	  widget's layout

2004-12-13 04:17  pahlibar

	* utilities/imageeditor/: imageprint.cpp, imageprint.h,
	  imagewindow.cpp:

	  * default option to print now is "Scale image to fit paper" *
	  another option now is to "Scale image to specified dimensions".
	  implemented	image scaling to handle this for centimeters and
	  inches * Instead of saving the image file first and then
	  reloading to print it, get the   current image data, put it into
	  a qimage and pass it directly to the imageprint.    substantially
	  reduces the time needed for print operations to start  BUG: 92438

2004-12-13 01:04  pahlibar

	* HACKING:
	  Hacking file has been added to cvs. Developers take heed 

2004-12-12 22:23  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: Used GridLayout for
	  widgets. Added Tooltips

2004-12-12 06:50  pahlibar

	* digikam/listitem.cpp, digikam/thumbitem.cpp, digikam/thumbitem.h,
	  digikam/thumbview.cpp, digikam/thumbview.h,
	  showfoto/showfoto.desktop,
	  utilities/imageeditor/imlibinterface.cpp,
	  utilities/imageeditor/imlibinterface.h:
	  various fixes (based on icefox's kde test reports) - added
	  copyrights, replaced func(QString a) with func(const QString& a).

2004-12-11 20:19  pahlibar

	* utilities/cameragui/: cameraiconitem.cpp, cameraiconitem.h,
	  cameraiconview.cpp, cameraiconview.h, cameraui.cpp, cameraui.h:
	  * replaced qiconview	in cameraview with thumbview. selection is
	  now more   sensible, horizontal layout and so horizontal
	  selection * eliminates flicker as well BUG: 94913

2004-12-11 11:20  cgilles

	* libs/widgets/imageselectionwidget.cpp: Fixed feedback local2real
	  selection position when X or Y changing in Ratio-Crop tool dialog

2004-12-10 15:12  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp: Fixed widget canvas

2004-12-10 14:39  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Ratio-crop tool : -Added
	  custom ratio settings.  -Added none ratio setting.  -Make fade
	  selection and border like in ImageEditor. 

2004-12-09 18:55  cgilles

	* libs/widgets/: imageselectionwidget.cpp, imageselectionwidget.h:
	  Ratio-crop tool : patch from Renchi for Blending effect outside
	  image selection

2004-12-09 16:16  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Ratio-Crop tool update : -
	  implementation 90 % complete. Need to polish some points.  -
	  Draging selection by corners done.

2004-12-09 12:25  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h, libs/widgets/Makefile.am,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h,
	  libs/widgets/imageselectionwidget.cpp,
	  libs/widgets/imageselectionwidget.h: Added new widget dedicaced
	  for image selection in Ratio-crop tool instead PanIconWidget.
	  This widget include aspect-ratio code instead ratio-crop dialog
	  code.

2004-12-08 16:14  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: Fixed orientation event

2004-12-08 13:11  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imagepaniconwidget.cpp: Fixed region selection
	  calculation

2004-12-08 11:32  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp, imageplugin_core.cpp:
	  FIxed Ratio-Crop tool accordinly with Renchi

2004-12-08 11:18  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h: Grayed outside selection in
	  ratio-crop tool

2004-12-08 10:39  pahlibar

	* configure.in.in, digikam/albummanager.cpp,
	  kioslave/digikamio.cpp, kioslave/digikamtags.cpp:
	  added configure option "--enable-nfs-hack" for users facing
	  problems with sqlite database file locking not working on nfs
	  mounted disk. the album db is saved (with this option enabled) in
	  $HOMEDIR/.kde/share/apps/digikam with a filename encoded with the
	  full path to the album library path. for eg, for album library
	  path /mnt/nfsmount/Pictures, the db filename will be
	  %2fmnt%2fnfsmount%2fPictures%2fdigikam.db (the %2f is escaped in
	  konqueror as "/") obviously this is an unsupported option and
	  normal users should never use this option BUG: 94161

2004-12-08 09:53  cgilles

	* imageplugins/: imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h: Fixed aspect ratio values : using only
	  ratio, not print paper sizes.

2004-12-08 08:09  cgilles

	* imageplugins/imageeffect_ratiocrop.cpp,
	  imageplugins/imageeffect_ratiocrop.h,
	  libs/widgets/imagepaniconwidget.cpp,
	  libs/widgets/imagepaniconwidget.h: Bug Fix: create new signal
	  when selection size is changed. This fix crash with
	  ImagePreviewWidget used in ImageEditor filter like Blur and
	  Sharpen.

2004-12-08 06:54  pahlibar

	* digikam/digikamapp.cpp, digikam/digikamapp.h,
	  utilities/cameragui/cameraui.cpp, utilities/cameragui/cameraui.h,
	  utilities/setup/setup.cpp:
	  * when downloading files from the camera, check for the file
	  extension of each file and added it to the image mimetype list if
	  not found. refresh the view appropriately.  * minor code cleanup

	  BUG: 94618

2004-12-08 05:36  pahlibar

	* digikam/albumsettings.cpp, utilities/setup/setup.cpp:
	  * add pnm to default file extensions to look for * fix mimetype
	  icon in setup dialog

2004-12-07 16:45  cgilles

	* imageplugins/: Makefile.am, imageeffect_ratiocrop.cpp,
	  imageeffect_ratiocrop.h, imageplugin_core.cpp,
	  imageplugin_core.h: Added ratio-crop tool for image editor
	  inspired from PhotoAlbum and PhotoShop Album tools.  Code
	  partially tested. Tool working but uncomplete. Missing droping
	  selection border and standard photograph paper sizes in inch.

2004-12-07 16:41  cgilles

	* libs/widgets/: imagepaniconwidget.cpp, imagepaniconwidget.h:
	  Added methods for ratio-crop tool

2004-12-06 12:51  cgilles

	* imageplugins/digikamimageplugin_core.desktop: Missing encoding
	  type

2004-12-06 11:11  pahlibar

	* digikam/: tagcreatedlg.cpp, tagcreatedlg.h:
	  do the same (enable ok button only if title is non-empty) for tag
	  edit/create dialogs. will be a good idea to merge both dialogs
	  into one

2004-12-06 11:04  pahlibar

	* digikam/: albumpropsedit.cpp, albumpropsedit.h:
	  disable ok button if title is empty. there might be other places
	  too where this will be needed

2004-12-06 01:24  pahlibar

	* digikam/albumfolderview.cpp:
	  fix crash in albumfolderview because of mouse tracking. still not
	  optimal, you have problems with dragging starting if a tag/folder
	  has been dragged before and then you press alt/ctrl/shift.

	  need to talk to joern whether mouse tracking on the treeview is
	  really necessary. it makes life more difficult without really
	  adding anything much of value
          
2004-12-05 21:21  pahlibar

	* showfoto/showfoto.cpp:
	  include unistd header for unlink

2004-12-05 10:11  pahlibar

	* digikam/: albumfolderview.cpp, albumfolderview.h:
	  fix bug where dragging item and then releaseing it out the
	  folderview, will not clear the dragitem.

2004-12-05 09:51  pahlibar

	* digikam/imagedescedit.cpp:
	  item gets deleted unwantendly

2004-12-05 08:16  pahlibar

	* showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, showfoto/thumbbar.cpp,
	  showfoto/thumbbar.h, utilities/imageeditor/imlibinterface.cpp:
	  added save/saveas to showFoto. with this showFoto is feature
	  complete for release with digiKam 0.7.1

2004-12-05 02:20  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc:
	  added revert action

2004-12-05 01:10  pahlibar

	* showfoto/: TODO, showfoto.cpp, showfoto.h, showfotoui.rc:
	  add crop action

2004-12-05 00:53  pahlibar

	* showfoto/TODO, showfoto/showfoto.cpp, showfoto/showfoto.h,
	  showfoto/showfotoui.rc, utilities/imageeditor/canvas.cpp,
	  utilities/imageeditor/canvas.h,
	  utilities/imageeditor/imlibinterface.cpp:
	  added actions to increase/decrease gamma/brightness/contrast in
	  imageditor canvas. accessible only through showfoto.	digikam
	  users can use the brightness/contrast/gamma dialog

2004-12-04 17:06  cgilles

	* libs/curves/imagecurves.cpp: Fixed stupid limit for x Points
	  values (-1 is used for disable a point) !

2004-12-04 06:32  pahlibar

	* showfoto/TODO:
	  added mini TODO file for showFoto

2004-12-04 06:32  pahlibar

	* showfoto/showfoto.cpp:
	  zoom autofit should be saved and restored. default autofit

2004-12-04 06:23  pahlibar

	* showfoto/showfoto.cpp:
	  add additional key accels for loading next/prev image. that
	  should take care of all complaints

2004-12-04 06:18  pahlibar

	* showfoto/: showfoto.cpp, showfotoui.rc:
	  added options for rotating and flipping the image. use kuickshow
	  keys for the actions

2004-12-04 05:55  pahlibar

	* showfoto/: showfoto.cpp, showfoto.h, showfotoui.rc:
	  added config option to autosave/restore window size and showing
	  of thumbnail sidebar

2004-12-04 05:22  pahlibar

	* showfoto/: showfoto.cpp, thumbbar.cpp:
	  showFoto can now see remote images.  show kde image icon for
	  failed thumbnails

2004-12-03 21:13  cgilles

	* libs/curves/imagecurves.cpp: Curves histgram manipulation API
	  100% complete.

2004-12-03 15:04  cgilles

	* libs/curves/imagecurves.cpp: no init nedded

2004-12-03 12:56  cgilles

	* libs/curves/: imagecurves.cpp, imagecurves.h: Fixed Curves API
	  (90% completed)

2004-12-02 11:37  cgilles

	* libs/curves/: imagecurves.cpp, imagecurves.h: Update curves
	  methods (80% completed)

2004-12-01 22:57  cgilles

	* libs/widgets/histogramwidget.h: Fixed enum

2004-12-01 16:03  cgilles

	* digikam/Makefile.am: added curve API in libdigikam

2004-12-01 16:02  cgilles

	* libs/curves/: .cvsignore, Makefile.am, imagecurves.cpp,
	  imagecurves.h: Added curve API from Gimp2.0. Uncomplete (70%).
	  This API will be use in the future for: - new convert 2 B&W
	  filter implementation based on
	  http://www.gimpguru.org/Tutorials/Color2BW tutorial.	- new image
	  plugin (in digikamimageplugins project) for adjust curves.  - new
	  colors filters.

2004-12-01 15:57  cgilles

